GNU bug report logs - #37774
27.0.50; new :extend attribute broke visuals of all themes and other packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrey Orst <andreyorst@HIDDEN>; dated Wed, 16 Oct 2019 07:32:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 15 Nov 2019 08:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 03:09:04 2019
Received: from localhost ([127.0.0.1]:35557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVWfA-00043y-AC
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2019 03:09:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVWf8-00043V-Go
 for 37774 <at> debbugs.gnu.org; Fri, 15 Nov 2019 03:09:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40749)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVWf2-0003z2-PB; Fri, 15 Nov 2019 03:08:56 -0500
Received: from [176.228.60.248] (port=3470 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVWf1-0004Vr-41; Fri, 15 Nov 2019 03:08:55 -0500
Date: Fri, 15 Nov 2019 10:08:40 +0200
Message-Id: <838soh4l4n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <cb7753ba-8b83-fcfa-da1c-26795c74b1b5@HIDDEN> (message from
 Dmitry Gutov on Fri, 15 Nov 2019 00:42:40 +0200)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN> <87k186nsku.fsf@HIDDEN>
 <83blte7kvc.fsf@HIDDEN> <d43bf39e-5e3d-e69f-5d45-b9ae6598c304@HIDDEN>
 <838soi5xm1.fsf@HIDDEN> <cb7753ba-8b83-fcfa-da1c-26795c74b1b5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: jonas@HIDDEN, 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Fri, 15 Nov 2019 00:42:40 +0200
> 
> > custom-theme-set-faces is different: it's code written by theme
> > authors, so we could expect them to cater to :extend.
> 
> Lots of themes out there, though. Lots of said authors. Who will have to 
> do a version check and the splat-unquote thing, every one of them. I 
> think that's pretty bad.

It's not bad, because IMO most faces don't need to be changed at all.
That Jonas and others went ahead and decided to change almost all of
them is IMO a mistake.

> > If the backward compatibility (or, rather, transparent DWIM-ish
> > operation) is the overriding consideration, then you are actually
> > saying that any face attribute we will introduce in the future will
> > have to be treated the same?
> 
> I don't know what attributes we will introduce, and whether the default 
> values will be a departure from the previous behavior like this one is.

It doesn't matter if the default face definition uses that attribute,
does it?

> But please note that having it a face attribute was your choice (or 
> maybe Ergus's). I suggested using a symbol property instead. Though I 
> was admittedly late to the party. Doing it in this way would side-step a 
> number of questions like the ones you just asked.

Using a symbol property is extremely unclean, IMO, and would
unnecessarily complicate the face-merging code.

> > IOW, we will have to "inherit" it from
> > the default face definition even if :inherit was not specified?  If
> > so, how does a theme refuse to "inherit" in this way?
> 
> By setting it to an explicit nil value?

That does nothing if the :inherit is not explicit.  Unless, again, we
complicate the heck out of the face-merging code.

> BTW, does this scheme have a chance of working at all? IIUC, 
> custom-theme-set-faces also handles faces which are not defined at all 
> (yet), so inheriting an attribute from its default value might not be 
> too easy.

Probably not, and I said up front I didn't see how doing this will
fly.

I guess the best solution at this point is to require all themes to
make the appropriate changes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 14 Nov 2019 22:42:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 17:42:57 2019
Received: from localhost ([127.0.0.1]:35376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVNpJ-00077R-DB
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 17:42:57 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:38399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iVNpB-000777-DR
 for 37774 <at> debbugs.gnu.org; Thu, 14 Nov 2019 17:42:55 -0500
Received: by mail-wr1-f45.google.com with SMTP id i12so8717869wro.5
 for <37774 <at> debbugs.gnu.org>; Thu, 14 Nov 2019 14:42:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=dEpyRdbC3CyEycglGlVtmEXJ00tPqtjL57rsds63MXA=;
 b=iwm3bjDqSeQS1dVXFHWeYxm95c2YRkbVpgNtb/7zkOK+/gpywgCghZABcFjGqbR17N
 /EZcG3A4wKHgLLUQbVtSDZvGRzsnAdzXzKSQTaOlLsQKXAFJPlBqJCoc/CjhYIyHoWY2
 iexofxVVHHUvbLZDE3veFktFpbRmMcCDgcrjMlmHqpvGJ70bGoG8XdHElChOzca2n/Zw
 fVh0xOHf8gmj/QlpVQLFlCWtk9iSUPcR+ZiJINdk7TDpZ/Fv3PN1NDztG46/SJyxHh+x
 lH7pBr61Hht1pRToDBAvG3PZaPw6wrZP0lNO3kfHwWpGgycCCFx/twFUW9cLgsd8QxSs
 IAgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dEpyRdbC3CyEycglGlVtmEXJ00tPqtjL57rsds63MXA=;
 b=eBnRlr4/d6OS4N1gD/pV/LaXlS/rPPPRqOE7zxy3BvARFb+dFHbNG/ScoQfd3wW3nF
 nX9ED21YfXTYP7ZktwLJJjIFAm6X0/bhQSVL9MCJm0Sk+pEzUN5CzU/rG+3VmHxHgJ9b
 8rIjOQSZl0DdzbU84rxOtQAs0GXSj7bzJINuIPJLnehB4qTtOGMQcFI2mu9bXVqk+T4r
 FprkxNE6xPqaiXmDZRyXaiFJ6Fdt94wjaMC28Ge02eH5DO/Mz6bF1rBapW1+uC1GzuvY
 o0wzQm0kcTAIHW8TSauTZF9j/9jd+hhi4KCT+NH3oxXAca8Z4oN0aEsqJkzf9nFZLfyI
 1XcA==
X-Gm-Message-State: APjAAAXhmuPkXXFNJAZcKz8hcqzCNSEX54CpSUw2HDrrwhm5j53HqA9C
 L6IJFmGUZ6etE9G2eXO9gfcHqzynnFI=
X-Google-Smtp-Source: APXvYqw6V0JszeqcDXs83QWBTfdo46WJUd51lx/SYCGNIzj1omvtJ/oh19P5VgfVi77TFubzqNdTJg==
X-Received: by 2002:adf:ab41:: with SMTP id r1mr12213776wrc.281.1573771363063; 
 Thu, 14 Nov 2019 14:42:43 -0800 (PST)
Received: from [192.168.0.5] ([212.50.117.215])
 by smtp.googlemail.com with ESMTPSA id h140sm8770997wme.22.2019.11.14.14.42.41
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 14 Nov 2019 14:42:42 -0800 (PST)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN> <87k186nsku.fsf@HIDDEN>
 <83blte7kvc.fsf@HIDDEN> <d43bf39e-5e3d-e69f-5d45-b9ae6598c304@HIDDEN>
 <838soi5xm1.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <cb7753ba-8b83-fcfa-da1c-26795c74b1b5@HIDDEN>
Date: Fri, 15 Nov 2019 00:42:40 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <838soi5xm1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 14.11.2019 16:41, Eli Zaretskii wrote:
>> Cc: 37774 <at> debbugs.gnu.org
>> From: Dmitry Gutov <dgutov@HIDDEN>
>> Date: Thu, 14 Nov 2019 16:14:16 +0200
>>
>>> How is :extend different from any other face attribute?
>>>
>>> The documentation of custom-theme-set-faces says that FACE should be a
>>> face spec, like in defface.  And the latter does override all the
>>> attributes, unless it uses :inherit.
>>>
>>> So I'm not unsure why you expected something else.
>>
>> *I* expected that going by your messages here and here:
>>
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#104
>>
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#131
> 
> That was about custom-set-faces, not custom-theme-set-faces.  The
> former is a function we write into the user files, so it's hard to
> expect anyone to insert :extend there.

Okay, I didn't catch the distinction.

> custom-theme-set-faces is different: it's code written by theme
> authors, so we could expect them to cater to :extend.

Lots of themes out there, though. Lots of said authors. Who will have to 
do a version check and the splat-unquote thing, every one of them. I 
think that's pretty bad.

>> Then the backward compatibility problem is going to be bigger than I
>> thought. That's too bad. And my apologies to Jonas.
> 
> We are still discussing, so I see no need for apologies.
> 
> If the backward compatibility (or, rather, transparent DWIM-ish
> operation) is the overriding consideration, then you are actually
> saying that any face attribute we will introduce in the future will
> have to be treated the same?

I don't know what attributes we will introduce, and whether the default 
values will be a departure from the previous behavior like this one is.

But please note that having it a face attribute was your choice (or 
maybe Ergus's). I suggested using a symbol property instead. Though I 
was admittedly late to the party. Doing it in this way would side-step a 
number of questions like the ones you just asked.

> IOW, we will have to "inherit" it from
> the default face definition even if :inherit was not specified?  If
> so, how does a theme refuse to "inherit" in this way?

By setting it to an explicit nil value? Since the default is known, this 
should have the exact same effect.

BTW, does this scheme have a chance of working at all? IIUC, 
custom-theme-set-faces also handles faces which are not defined at all 
(yet), so inheriting an attribute from its default value might not be 
too easy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 14 Nov 2019 14:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 09:41:52 2019
Received: from localhost ([127.0.0.1]:32935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVGJj-0001A3-Bf
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:41:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVGJh-00019r-Sp
 for 37774 <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:41:50 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52124)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVGJb-0002X5-Ac; Thu, 14 Nov 2019 09:41:43 -0500
Received: from [176.228.60.248] (port=2583 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVGJa-0005SI-GA; Thu, 14 Nov 2019 09:41:43 -0500
Date: Thu, 14 Nov 2019 16:41:26 +0200
Message-Id: <838soi5xm1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <d43bf39e-5e3d-e69f-5d45-b9ae6598c304@HIDDEN> (message from
 Dmitry Gutov on Thu, 14 Nov 2019 16:14:16 +0200)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN> <87k186nsku.fsf@HIDDEN>
 <83blte7kvc.fsf@HIDDEN> <d43bf39e-5e3d-e69f-5d45-b9ae6598c304@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 14 Nov 2019 16:14:16 +0200
> 
> > How is :extend different from any other face attribute?
> > 
> > The documentation of custom-theme-set-faces says that FACE should be a
> > face spec, like in defface.  And the latter does override all the
> > attributes, unless it uses :inherit.
> > 
> > So I'm not unsure why you expected something else.
> 
> *I* expected that going by your messages here and here:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#104
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#131

That was about custom-set-faces, not custom-theme-set-faces.  The
former is a function we write into the user files, so it's hard to
expect anyone to insert :extend there.  And it was only a question, to
which I still don't have an answer (the issue of user face
customizations somehow stopped being discussed).

custom-theme-set-faces is different: it's code written by theme
authors, so we could expect them to cater to :extend.

> Then the backward compatibility problem is going to be bigger than I 
> thought. That's too bad. And my apologies to Jonas.

We are still discussing, so I see no need for apologies.

If the backward compatibility (or, rather, transparent DWIM-ish
operation) is the overriding consideration, then you are actually
saying that any face attribute we will introduce in the future will
have to be treated the same?  IOW, we will have to "inherit" it from
the default face definition even if :inherit was not specified?  If
so, how does a theme refuse to "inherit" in this way?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 14 Nov 2019 14:14:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 09:14:28 2019
Received: from localhost ([127.0.0.1]:32923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVFtE-0000TV-HY
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:14:28 -0500
Received: from mail-wm1-f54.google.com ([209.85.128.54]:38652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iVFtB-0000TD-GP
 for 37774 <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:14:27 -0500
Received: by mail-wm1-f54.google.com with SMTP id z19so6074047wmk.3
 for <37774 <at> debbugs.gnu.org>; Thu, 14 Nov 2019 06:14:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=7oQctVDMf++n3TcAyCzlnafHqTJFAxaCwkDkRKA2P4s=;
 b=Mcjk7JJnDB0PpAC1MEE98dYH5NaDEm3aUhWpKjQIn9iNdwj/dyN2t0BfNlOqHqq9oR
 MJ8flVWiL638EUJRjJDCIqjcoaynmccFnFJje4MFsPGIOfsqpDotd0VKdbZOL2r15hM/
 auYzjqC8vT7Uwclb/ObGbx2xd/ZSWQo31VFwNolZoX9LpaL5K+Ar660qGY27GP8ttMzE
 XAmlVzpc3YLbgPQZAIegZsydjC4lG3BWeR2zx3XmucrPlxYz6WKq+7JRwrcxN7FK+5Uy
 luGNth0DtRUbYMJqtz5gSEQmfMG1+2J2ZrUCdPaXEpPSKuCDnL4k5kDqIiKxkh0dDtxP
 ld9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=7oQctVDMf++n3TcAyCzlnafHqTJFAxaCwkDkRKA2P4s=;
 b=YPECPuISUZH6QYKZMRjqOofarbt6cKM+/f/no8RDdoEzb1Mf4a82jZcwZNgLhZ8cpG
 smHKn+9jqzkjMt8EF6GYcC266x8dq38gNJZ8K+qzV6XuZ/lktzAutAmxx335/jaLGlaW
 in6q+KTlv6v+Prj3Chx2TYGH+meG/KbnxF7uUKq0pFNzzgZLj16M7lJE/M7LzlLRi7S4
 TX6bu/9jFIcDEu/SeZRIC0lztT+M/V/6ci2Lc692WUaXJpo5ifbvu2o9H4tUxxmEUH2Z
 oenc5iz3DMIGzuehWdTXQP/SI7ewyvXmD7q5AuBAdw80sD7sKpNT2t4t39Mz8AB4KxCe
 A+vQ==
X-Gm-Message-State: APjAAAX20/FPOCbTHmKeAvVPMqfqDXT8hXonoyYqQQKjaaohM0cWJ50M
 QD18DXQYrqVxLq76UFyB7SceAhnv5Yw=
X-Google-Smtp-Source: APXvYqwDQRIedsdrR0KGkhIARNldpxRoFWnwTmA5MSTNW+eWeGVJB+tYyxfrEZeF4OOqbjiv8CZgow==
X-Received: by 2002:a7b:cb09:: with SMTP id u9mr2692366wmj.28.1573740859366;
 Thu, 14 Nov 2019 06:14:19 -0800 (PST)
Received: from [192.168.0.149] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id z9sm7333328wrv.35.2019.11.14.06.14.17
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 14 Nov 2019 06:14:17 -0800 (PST)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>, Jonas Bernoulli <jonas@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN> <87k186nsku.fsf@HIDDEN>
 <83blte7kvc.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d43bf39e-5e3d-e69f-5d45-b9ae6598c304@HIDDEN>
Date: Thu, 14 Nov 2019 16:14:16 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83blte7kvc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 14.11.2019 13:33, Eli Zaretskii wrote:
>> Should it be unnecessary that each and every theme does:
>> -  '(hl-line ((t (:background "lightgrey"))))
>> +  '(hl-line ((t (:background "lightgrey" :extend t))))
>> ?
> How is :extend different from any other face attribute?
> 
> The documentation of custom-theme-set-faces says that FACE should be a
> face spec, like in defface.  And the latter does override all the
> attributes, unless it uses :inherit.
> 
> So I'm not unsure why you expected something else.

*I* expected that going by your messages here and here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#104

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#131

Had I been mistaken?

Then the backward compatibility problem is going to be bigger than I 
thought. That's too bad. And my apologies to Jonas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 14 Nov 2019 11:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 06:34:08 2019
Received: from localhost ([127.0.0.1]:32798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVDO4-0002XK-F1
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 06:34:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVDO2-0002Wv-GN
 for 37774 <at> debbugs.gnu.org; Thu, 14 Nov 2019 06:34:07 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48772)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVDNw-0005jP-Hm; Thu, 14 Nov 2019 06:34:00 -0500
Received: from [176.228.60.248] (port=3041 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVDNv-0005G0-UZ; Thu, 14 Nov 2019 06:34:00 -0500
Date: Thu, 14 Nov 2019 13:33:43 +0200
Message-Id: <83blte7kvc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-reply-to: <87k186nsku.fsf@HIDDEN> (message from Jonas Bernoulli on Mon, 
 11 Nov 2019 20:03:45 +0100)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN> <87k186nsku.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 37774 <at> debbugs.gnu.org
> Date: Mon, 11 Nov 2019 20:03:45 +0100
> 
> Then enable any theme and notice how the highlighting no longer extends
> to the edge of the window.
> 
> That's because the theme does something like:
>   '(hl-line ((t (:background "lightgrey"))))
> as opposed to
>   '(hl-line ((t (:background "lightgrey" :extend t))))
> 
> I mentioned this elsewhere and Dmitry said that this is not how it is
> supposed to work and if it did work that way then that would be a bug.
> 
> He also mentioned that this had been discussed here but I have been
> reading this issue from the top while listening to all the way to
> "The End" of the The Very Best Of The Doors and I still have not read
> anything about something being done to prevent the need to repeat the
> extend setting.  Message #104 mentions a variation of this issue, but
> so far I haven't gotten to a message saying "okay lets add a hack to
> deal with this" yet, so I figured I would ask:
> 
> Should it be unnecessary that each and every theme does:
> -  '(hl-line ((t (:background "lightgrey"))))
> +  '(hl-line ((t (:background "lightgrey" :extend t))))
> ?

How is :extend different from any other face attribute?

The documentation of custom-theme-set-faces says that FACE should be a
face spec, like in defface.  And the latter does override all the
attributes, unless it uses :inherit.

So I'm not unsure why you expected something else.  AFAIU, we should
now modify all the themes that come with Emacs to use :extend for
those faces whose default spec does.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 11 Nov 2019 19:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 14:03:49 2019
Received: from localhost ([127.0.0.1]:55994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUEyb-0006ZH-Cf
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 14:03:49 -0500
Received: from mail.hostpark.net ([212.243.197.30]:44992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1iUEyZ-0006Z8-Ee
 for 37774 <at> debbugs.gnu.org; Mon, 11 Nov 2019 14:03:48 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id C36891669C;
 Mon, 11 Nov 2019 20:03:45 +0100 (CET)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id ge0uHt8Tl8Fo; Mon, 11 Nov 2019 20:03:45 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 4BFE0168B8;
 Mon, 11 Nov 2019 20:03:45 +0100 (CET)
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
 <87zhh2ofc9.fsf@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
In-reply-to: <87zhh2ofc9.fsf@HIDDEN>
Date: Mon, 11 Nov 2019 20:03:45 +0100
Message-ID: <87k186nsku.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I'll be back.

Currently if a package sets `:extend t` for some face, then that has no
effect if some theme modifies that face without explicitly repeating the
`:extend t'.

Lets use `hl-line' as an example.  Enable `hl-line-mode' and visit the
definition of the `hl-line' face.  You will notice that it `:extend t'
and that the highlighting indeed extends to the window edge.

Then enable any theme and notice how the highlighting no longer extends
to the edge of the window.

That's because the theme does something like:
  '(hl-line ((t (:background "lightgrey"))))
as opposed to
  '(hl-line ((t (:background "lightgrey" :extend t))))

I mentioned this elsewhere and Dmitry said that this is not how it is
supposed to work and if it did work that way then that would be a bug.

He also mentioned that this had been discussed here but I have been
reading this issue from the top while listening to all the way to
"The End" of the The Very Best Of The Doors and I still have not read
anything about something being done to prevent the need to repeat the
extend setting.  Message #104 mentions a variation of this issue, but
so far I haven't gotten to a message saying "okay lets add a hack to
deal with this" yet, so I figured I would ask:

Should it be unnecessary that each and every theme does:
-  '(hl-line ((t (:background "lightgrey"))))
+  '(hl-line ((t (:background "lightgrey" :extend t))))
?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 11 Nov 2019 10:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 11 05:52:14 2019
Received: from localhost ([127.0.0.1]:53176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iU7Is-0000kQ-Hz
	for submit <at> debbugs.gnu.org; Mon, 11 Nov 2019 05:52:14 -0500
Received: from mail.hostpark.net ([212.243.197.30]:50906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1iU7Ir-0000kJ-Jf
 for 37774 <at> debbugs.gnu.org; Mon, 11 Nov 2019 05:52:14 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 1775216C3B;
 Mon, 11 Nov 2019 11:52:12 +0100 (CET)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id 9X3FuFMX5Kz6; Mon, 11 Nov 2019 11:52:11 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 979A516937;
 Mon, 11 Nov 2019 11:52:11 +0100 (CET)
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <83imnvg53q.fsf@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
In-reply-to: <83imnvg53q.fsf@HIDDEN>
Date: Mon, 11 Nov 2019 11:52:06 +0100
Message-ID: <87zhh2ofc9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Jonas Bernoulli <jonas@HIDDEN>
>> Cc: 37774 <at> debbugs.gnu.org
>> Date: Wed, 06 Nov 2019 17:26:12 +0100
>>
>> ------
>> (defface testing '((t (:background "LightYellow"))) "DOC")
>>
>> (overlay-put (make-overlay (point-min) (point-max) nil t)
>>              'face ; or 'font-lock-face
>>              'testing)
>>
>> (remove-overlays (point-min) (point-max))
>>
>> (put-text-property (point-min) (point-max) 'font-lock-face 'testing)
>> ------
>
> Thanks.
>
>> I have not yet looked into why Magit's diff faces extend beyond eol even
>> though I didn't tell them too
>
> Crystal ball says that Magit faces which inherit from some core faces
> behave differently than those which don't inherit.

Turns out it was the same issue as the one above.  (Magit's diff faces
do not inherit from diff faces that led to too many regressions when
themes changed diff faces without thinking of the somewhat different
needs of Magit.)

Okay then moving on to telling many Magit faces to :extend...
I'll be back.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 19:14:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 14:14:59 2019
Received: from localhost ([127.0.0.1]:47630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT9ii-0006Sx-81
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 14:14:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT9ig-0006Sd-LY
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 14:14:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53863)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT9ib-0007Jk-6v; Fri, 08 Nov 2019 14:14:49 -0500
Received: from [176.228.60.248] (port=3835 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT9iV-0001Mr-Py; Fri, 08 Nov 2019 14:14:48 -0500
Date: Fri, 08 Nov 2019 21:14:35 +0200
Message-Id: <837e4ab2p0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <999a07b8-66f9-9cbd-40a0-1b192c7f29a8@HIDDEN> (message from
 martin rudalics on Fri, 8 Nov 2019 19:26:38 +0100)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN> <83imnud581.fsf@HIDDEN>
 <999a07b8-66f9-9cbd-40a0-1b192c7f29a8@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: spacibba@HIDDEN, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: spacibba@HIDDEN, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Fri, 8 Nov 2019 19:26:38 +0100
> 
>  > More clumsy than it was before installing that feature?
> 
> No.  But line breaks in underlined text appear strange (as I noticed
> when looking at Bug#38038).

OK, but let's see what we get about this new feature during the
pretest.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 18:27:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 13:27:43 2019
Received: from localhost ([127.0.0.1]:47585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT8z0-0005CQ-V7
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 13:27:43 -0500
Received: from mout.gmx.net ([212.227.15.15]:43085)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iT8yy-0005CA-Ux
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 13:27:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573237649;
 bh=ugti9Y29ZWmN/PWOKZb2srrr7zYW8hYZR6IR3smxiRg=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=AQ0oRZmj+R5M4ou/cl5sLizV4IXsVbZUukV6iW94cNr3UhRq+wGs25pIK6j+VO5py
 S1ZUasJQOGvQjtgLbWfRozmGqQD10+MIGq+FV5IQmzzfCcS3nuwj6o8+sF7Gj1ixV7
 sOzzq4Gahbm4q7bJaFRk+lskdUoXxMO117EeghRk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.197]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N9MpS-1hoKXM37C8-015IMA; Fri, 08
 Nov 2019 19:27:28 +0100
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Ergus <spacibba@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
 <E005979F-8AB4-431B-9886-7A1AA341685A@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <e4e10084-23ba-dd6a-557e-132f75ad65df@HIDDEN>
Date: Fri, 8 Nov 2019 19:27:29 +0100
MIME-Version: 1.0
In-Reply-To: <E005979F-8AB4-431B-9886-7A1AA341685A@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:/fHZ/v5t6zNr+dfqQD+BwUmSaFITGi5OQMh2w93aZMdGmmaG2/Z
 Q7JapEYuYAdkeYfi6PjoGeyE7BV50QYJXOWrGLr0JoU0wdij2mcIIyuKzJU9QZCuVIkLB6n
 zllcdGK15lmBQNGodtF4/4MQMXw5ekkEFY5f4CEbPeQNU3RTuGF7MsXKKCMoAk7s3azGzB1
 1Lf5hZkBJJj/yyzn1W1Ew==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:J5rLoSIMfcc=:AQCsN7UZPNJqMPLK+VpZxZ
 ukv3AN1OcN8TvTr6qBUSh5wE0HKtImwPFXUDY/RPxboPrxB1IbjTY/je4Bn9URY/t7mSN2q4T
 xr8nd26qzn5BhY6N4+GcvaliKiNShaLRrUkPbnEXTyCXBUa+6xegAgSvv28ZqQJTClkW2Xja5
 BNyloAImqhLSFeqBe/P4JcONBHtsR4H7bJ88OE5xAkdLwLO8ckMYJCevqtjjZXbirw35RsxoR
 A5WE1pMRjYKXPoZxlNg/x9vJbS82AKBQymV7l/j7AJlPmsIihc4rHsB3WUq4b6g1CHaIkjQgh
 w79NFap/bvMsTQbzQhj3cvZdY9fkyn4u3Gy92VmVPigBLffhCF28fnjMcIcIYwOEj8BMguoS3
 MGMNWBtS6T0FOTh4AnwCKnPF+HAQOCodhh1H4joP4XpJMZBEuL1yAFGfe7ityekBObI4dKS38
 xqHwrAalrIEpt/+l9tQS5sAesZRKXJ6hA+j92TQUO5BOEHGTdieA1Q6FxxGg9CAJa1wb8cJDb
 LC4LvrO09tpWIMRvtP4tV/9BvS5M/nBB7LxUzEM2NXGtlTFWCMSTxHV5nq5OMdQrK+n7LcQgW
 VXyXFC9KfsOCrFCcivGbla2ll8cocXAzR8ZihKiMJahgRLYp22VNWvWt72PQ1zE/djERo8hDG
 6Ecds/PSYLZ+8yk4UKm2uHKCSOZ7pl6na2eeZ2WuK1GmD7xXOz3O9jYu4Ysm0NXMTRdtvQPv2
 1S+8wwwhbRGQ2tayDPjE4W8d5Mh6ZbhBpDpB9nQTnTzPYz+d3Moa51hc07nhQq4A71dV8mYvW
 EKzDvVTKrBv3+zTLaGJ5r78m0HG07hli2PPT7IUwJdvY+oziH5gDtRMPynEUR5PirUWK6N+lB
 QuC16Kd06mXZTdpZb/sgsaDXfpr7HK64oYqvnri0KJ39HLkcMUXLZLEp57+2ce86/J+8/yZCq
 khQEgQIM8YmyVpXexgsYJE2jY6/yfhZlRacpHlMIP6LvYUm49T9bv8TlJa9Y+PRPY7HGmuES0
 fAdyzqW+myAFxLcd7uIsUdW3CPnA9Q52w5LxDFVnxk4ulGp+s6WP63Wi8sCxmNgnQcMjs7FBP
 0zkRdj3aYr2KrUSrLoJGtwMUUVR1bJ1pv9AZAjZ93YgYV8xCRQ0Hc/THubfg8597vk7GNfmtI
 t67Lgo0Xf+5Q1T0zeMTLpWKahE8uFtm1RuaESSmh8ZzBn7zdop0dnrUnzawbXWTS1p9wS0Cq4
 +xauJRHtJ9zWmtar6/CU7Fu5Bcy42F3ruG+iIsyoVVupHwluMy1EV3VZOQPE=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > It is useful, for example, when not extending the region face and
 > the region contains empty lines.  It is actually the main reason for
 > it I think.

OK.  Non-extended highlighting a line might be another reason then.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 18:26:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 13:26:55 2019
Received: from localhost ([127.0.0.1]:47578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT8yF-0005AY-BF
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 13:26:55 -0500
Received: from mout.gmx.net ([212.227.15.18]:43247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iT8yD-0005AE-AJ
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 13:26:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573237600;
 bh=y+PYJWB1BZv+BHTdq+ZZzdjS7qCoo3JD7g9DNaE1jHg=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=agLoj8QIUr3t1+h5+zK/FUsINt1rwbAgxd86GlKc/FC8eL+203uWDPTmAH5wgPbUa
 TWyULj4WQNtCNn3KFHC70AJSLbUJsWFOwX0+Y/ZWRXm85bBiUloWrURx5u75vvnxy2
 45z8OKhWv+JkTRqzcHJiLsytsQgVwjGstu60qCxc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.197]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mn2aD-1i1kYx1uml-00kAgQ; Fri, 08
 Nov 2019 19:26:40 +0100
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN> <83imnud581.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <999a07b8-66f9-9cbd-40a0-1b192c7f29a8@HIDDEN>
Date: Fri, 8 Nov 2019 19:26:38 +0100
MIME-Version: 1.0
In-Reply-To: <83imnud581.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:A5e6PO8t19wQNF7+26R3SeVBgh7Y/ifmlxJO9FlZ309qMkOmzXf
 0iga4YMG8/zu/mP5YWZ08Yx5v3FzhAOdPlMrieHxixiBI6bwa0CMDDWelbSyIPAGkKuNwl1
 fmuNtYQ7BpaCHQw9BtpvomcflKsMp/mmRD9w0gAobzQAgvfld4iMBKqQwYwkKS8wHet+I4t
 6IrnNR7GAqTbctWxBW8ag==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5rx4V4lsI8w=:oQnTo1Kp8fhEiRIqOhGrUI
 2TpfSiRsx+l+dASK+W95z3tMB6lPk/Gp+9y0v4yojelB1ZEecPNSrChZR4R5HZhpaOHJFedCv
 BA/Ji2V2mhUZ4MIcIuyrrLbOccPTVvpzT0dVou7n/KvN2KIckoHMwDMfarIezvrNVr90CgXEA
 +AqA3V9zz/F37G6kCUmK2oEBu8zy8gnkCs72JFzG3VFK84TH0KichYFhqu9YSGwdsuETsLdf+
 eDGwhST2SviUnt00YtJOWLT57TPj9ZX7R1+xdbllNBxP9kkCaDnjMCyOjx/zBw5f1hMXjuXZs
 NUH9+nP0Fz9D14K5gy3rN86czTyzYSUcc3rtHMGDKLfIMFBQBS+b4PPKapQ4QyzOFpGTkSv2S
 c/rnHs5kXc8NjFbOr+wK9+Y9Dnz0BVGRTIxgYqfXmUl+lU8E9hPfuGePnP2dpP6/LINMCMF2Z
 517pt8im6Atf4SSW0bRLZ2sbfs2coU8U1wkWa+RiDGPu+gDMeci419drTtafrQY9QgVw5Z3r0
 dDv89wiaSEfYXxPw5bx/dvnthPVzRyiaGc+P8ZNE14ugrX4RK6u1uRkWfYAA53ARgnmXu6Yrq
 Qw4A3fAF8S7GWahXf8iU8GaIr/dL3bXAFUCpEJD7sJBawLzFPIqAPPxlP/jZxiyl95cugcD1N
 3aXWaaQlx0jqsqkrUFlQnyAuFi4LL+9pbTzigO4Chu9pmjPRxpMjj6Tgs8Bm3aH+5y9R9Ai35
 PtmijrCEJiAqdCzbNok4B83Da/z5ELtZZPiH2eZ5BFAafsX2p/903OaAQ8K0zynqtaYucxbwS
 H8b/DAJq1EaIOiIL2qYdfCuVULD22bEgWZeq7/eTyK3UQsNmX1Bp90GT2+MrgPtX38ewvmYdI
 V2rdQFaXrqwCFnHWnrT9x1h1XvWHKJoDiYnG7+OV/7P/bnNv2qoUBl29bvmyIorb2wh+IYLZe
 qsgRzJrKgI7qXdqig89qW/wk3kWpmNEszYlMyRAZ10BsG5lAKm0HBjRXfQTaEBMMe5aB8q5o5
 QybotudzulrjlK5vfawMI+2oo5jByF3VfOQUJDxHbN/OD6Mqn1fEmqD7fzfJwQx3Exp0R68Bf
 VhVdSCRFaFgQ5/P1ZVJ8EtqQ9ZYHyksFie3XPc3NTmVnC4/RqgMxO4fJcgORzDtkkS0ZkeSO7
 pSVw81fosBGwyorM2WDzKUjNY5g4xBcWS1J0vWfCu5t5DFwwaquDnYu4QnPYeAaeOBVCeOLrx
 rmONCHnu1gGE8zDXyEN4QvpttOEFMW+f4LH1+OHE5HxMfLn7h3Or+Yz8cITs=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: spacibba@HIDDEN, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > More clumsy than it was before installing that feature?

No.  But line breaks in underlined text appear strange (as I noticed
when looking at Bug#38038).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 11:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 06:39:28 2019
Received: from localhost ([127.0.0.1]:44880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT2bw-00013t-1e
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:39:28 -0500
Received: from sonic306-20.consmr.mail.ne1.yahoo.com ([66.163.189.82]:33655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iT2bs-00013T-14
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:39:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573213158; bh=+KR4vLHqVNe0CRrDtEvHWTj0pcq797nJEvypl93VUk4=;
 h=Date:In-Reply-To:References:Subject:To:From:From:Subject;
 b=c2mD5xDrlroL2IJ1c5DUkj44ydFQCmdoy4j8ey1+VBVcerrLoDrFBLcoRqA7yjl3N6U04Pjc5HI617hrb1XAtOIR2bYVjnqZ1gPa9mPHGs87E/v8nw3RJrj1CctUFlYGgDqEfLjIL487MN7UUTSC9YXgqt4yu49k/coRjvupw+/8fTv3eJWxGCt22lR8q20nNv6oBurVXzgsCCix4ouZQQxqV5ONLbumpGvjHW0D5VDiFoWnhDko5eolKRNt5cp1+a5HPDox6GLHj5bbDdZaGlb5/9629MUNTewWZ7OIAu+858eAkz1bRGVdKlopI8eBXFsNPNScCbgSDAOcikSmJw==
X-YMail-OSG: MeUqSvwVM1neokeLMkj0d8YIlzz1BVHB2gjbvfhHtuHGr.dZZ9Ij5qjsUCKpHbt
 IAw_1uIJzAw84bvpHRQiAoGK0imebIf_bKnckwVVcpoCE4kVsdMcp82.B53_FlhTZ7KhjiCp6CK1
 c7bzA7zRmD.inPvncplevMOputYAKGttxzZAVFDFJ65Wd5mec7ewfA8XXQpViZDAkSYDwhXBF45A
 bDse5r4YrGcCz.87mIb.vQNPQbT0sd526hZvmvMXum7AsZSuX88yKHcySRyiABCOXQaMVe.UfMNj
 oT8b7kIOAZhHgclN6uaJV6rt8roc8yqHhzsuRjsjcK.fRZmbH1dJQJeGK5dtvzdv4Pnzt96CvMgb
 10lgHLpF1S.q0PlRsbAyTHi.iJVck3pBRtOjO.TDgtKo4BmQ6IeC3h1rxvmYXMKwRijkMV4Y9tHt
 3Q2CyGI.TxspGcmv3rz5rQQcueo_0vdzUKnchfrosSyyE6_okwx6_j1ihHm2pCrHx6LJwD.euCB4
 zmoTNr2JHy68kAIkxMnIsA8_.rat5jtuLa2srZqJWKdr6MlQw5j_VsJYAhksu7lZ9OdERLRj08Xm
 PAHX8_5Co0vtPFAKq_xqll5UJfoz2.7mEQi2ycPcUWGFKqcRrGdGtb0uxKjeZwb2BJi8AKJguOY2
 vWTZl9DtKknaf8JJHkatQyrUoxhJ0XJdbVj0EVrAEqORK.aK2nGmULEf68EMb4alcJGHbvC787dN
 oieX_6i02ipiGuhtGh2aLHQGkz10pS5Ua.mkhXSWILtu29ciM5EV7.JFyxFFEuPIwSbwkLSVLrqi
 5ysHfIAjYVsQGT0sSgoCtPmMw73nSdX3TxF8LHObSni.KED3PHPZ3yDVR.hY1ehc_IGlN82Mjwz1
 qVI.iRAsYITQqkbRS9_ZsnAjfZVR3UiVymtmznQXb0aHa_Ek1wMytnqHHKMAwiQdA8dBRCHqk7vN
 RXsgAlbmDUz6AoW5Hv2VE8eqwULvCUlHK8oZ2ssT02hWsz4HXIdaWjdeETmJPVjnqP2dDzjr6PmE
 5vsJGMSmXkozxwBxW1bMk3Hqy91_VxqIcJydcqe8.LsjfkYD3CpCYZoF0ACTC517MLRkjUUKJqan
 W.h9ttgQOrHiaaUBiuLib211r9K3oNHTVFl4NQo6_Hm7NmCMkAKHeikQG.3d5Wc9_cEX_lzV_cHf
 coNbBPd8a3oQnSWUft4NxRjhsZcvuxDx9I1MrjRbXn.ZxIm5d3WCxzvzSvcqnU46sccP2icpv2oY
 CchXtAR9aJFFFGcQg12X24asHoACEEoiFx70YS7.34HM7z4UtasNmMbF6Buvp1v6QsMMrzOVYdA3
 9pOcGpUJMFhtvokxLWSyp2n4L6fYAehFIyv3yPvgBG1LFSP.tv_Unlq3w6.nQ_xLISB.tFA--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 11:39:18 +0000
Received: by smtp415.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID c6367e33e1bc28e52c59100a7fe707d1; 
 Fri, 08 Nov 2019 11:39:14 +0000 (UTC)
Date: Fri, 08 Nov 2019 12:39:08 +0100
User-Agent: K-9 Mail for Android
In-Reply-To: <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
To: martin rudalics <rudalics@HIDDEN>
From: Ergus <spacibba@HIDDEN>
Message-ID: <E005979F-8AB4-431B-9886-7A1AA341685A@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 766
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On November 8, 2019 10:20:22 AM GMT+01:00, martin rudalics <rudalics@gmx=
=2Eat> wrote:
> > Please push it for me=2E
>
>Pushed now=2E  Please have a look=2E
>
>One more question: Are we sure that we want to show the background
>(underline, =2E=2E=2E) on the newline character when we do not extend?  I=
t
>certainly provides the information that the character is covered by
>the property or overlay at that position and also fits well when the
>cursor is positioned on it=2E  Yet it appears somewhat clumsy=2E
>
>martin


It is useful, for example, when not extending the region face and the regi=
on contains empty lines=2E=20
It is actually the main reason for it I think=2E

Ergus

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 11:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 06:39:28 2019
Received: from localhost ([127.0.0.1]:44878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT2bv-00013q-L7
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:39:27 -0500
Received: from sonic306-20.consmr.mail.ne1.yahoo.com ([66.163.189.82]:43718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iT2br-00013S-OD
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 06:39:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573213158; bh=+KR4vLHqVNe0CRrDtEvHWTj0pcq797nJEvypl93VUk4=;
 h=Date:In-Reply-To:References:Subject:To:From:From:Subject;
 b=c2mD5xDrlroL2IJ1c5DUkj44ydFQCmdoy4j8ey1+VBVcerrLoDrFBLcoRqA7yjl3N6U04Pjc5HI617hrb1XAtOIR2bYVjnqZ1gPa9mPHGs87E/v8nw3RJrj1CctUFlYGgDqEfLjIL487MN7UUTSC9YXgqt4yu49k/coRjvupw+/8fTv3eJWxGCt22lR8q20nNv6oBurVXzgsCCix4ouZQQxqV5ONLbumpGvjHW0D5VDiFoWnhDko5eolKRNt5cp1+a5HPDox6GLHj5bbDdZaGlb5/9629MUNTewWZ7OIAu+858eAkz1bRGVdKlopI8eBXFsNPNScCbgSDAOcikSmJw==
X-YMail-OSG: MeUqSvwVM1neokeLMkj0d8YIlzz1BVHB2gjbvfhHtuHGr.dZZ9Ij5qjsUCKpHbt
 IAw_1uIJzAw84bvpHRQiAoGK0imebIf_bKnckwVVcpoCE4kVsdMcp82.B53_FlhTZ7KhjiCp6CK1
 c7bzA7zRmD.inPvncplevMOputYAKGttxzZAVFDFJ65Wd5mec7ewfA8XXQpViZDAkSYDwhXBF45A
 bDse5r4YrGcCz.87mIb.vQNPQbT0sd526hZvmvMXum7AsZSuX88yKHcySRyiABCOXQaMVe.UfMNj
 oT8b7kIOAZhHgclN6uaJV6rt8roc8yqHhzsuRjsjcK.fRZmbH1dJQJeGK5dtvzdv4Pnzt96CvMgb
 10lgHLpF1S.q0PlRsbAyTHi.iJVck3pBRtOjO.TDgtKo4BmQ6IeC3h1rxvmYXMKwRijkMV4Y9tHt
 3Q2CyGI.TxspGcmv3rz5rQQcueo_0vdzUKnchfrosSyyE6_okwx6_j1ihHm2pCrHx6LJwD.euCB4
 zmoTNr2JHy68kAIkxMnIsA8_.rat5jtuLa2srZqJWKdr6MlQw5j_VsJYAhksu7lZ9OdERLRj08Xm
 PAHX8_5Co0vtPFAKq_xqll5UJfoz2.7mEQi2ycPcUWGFKqcRrGdGtb0uxKjeZwb2BJi8AKJguOY2
 vWTZl9DtKknaf8JJHkatQyrUoxhJ0XJdbVj0EVrAEqORK.aK2nGmULEf68EMb4alcJGHbvC787dN
 oieX_6i02ipiGuhtGh2aLHQGkz10pS5Ua.mkhXSWILtu29ciM5EV7.JFyxFFEuPIwSbwkLSVLrqi
 5ysHfIAjYVsQGT0sSgoCtPmMw73nSdX3TxF8LHObSni.KED3PHPZ3yDVR.hY1ehc_IGlN82Mjwz1
 qVI.iRAsYITQqkbRS9_ZsnAjfZVR3UiVymtmznQXb0aHa_Ek1wMytnqHHKMAwiQdA8dBRCHqk7vN
 RXsgAlbmDUz6AoW5Hv2VE8eqwULvCUlHK8oZ2ssT02hWsz4HXIdaWjdeETmJPVjnqP2dDzjr6PmE
 5vsJGMSmXkozxwBxW1bMk3Hqy91_VxqIcJydcqe8.LsjfkYD3CpCYZoF0ACTC517MLRkjUUKJqan
 W.h9ttgQOrHiaaUBiuLib211r9K3oNHTVFl4NQo6_Hm7NmCMkAKHeikQG.3d5Wc9_cEX_lzV_cHf
 coNbBPd8a3oQnSWUft4NxRjhsZcvuxDx9I1MrjRbXn.ZxIm5d3WCxzvzSvcqnU46sccP2icpv2oY
 CchXtAR9aJFFFGcQg12X24asHoACEEoiFx70YS7.34HM7z4UtasNmMbF6Buvp1v6QsMMrzOVYdA3
 9pOcGpUJMFhtvokxLWSyp2n4L6fYAehFIyv3yPvgBG1LFSP.tv_Unlq3w6.nQ_xLISB.tFA--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Fri, 8 Nov 2019 11:39:18 +0000
Received: by smtp415.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID c6367e33e1bc28e52c59100a7fe707d1; 
 Fri, 08 Nov 2019 11:39:14 +0000 (UTC)
Date: Fri, 08 Nov 2019 12:39:08 +0100
User-Agent: K-9 Mail for Android
In-Reply-To: <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
To: martin rudalics <rudalics@HIDDEN>
From: Ergus <spacibba@HIDDEN>
Message-ID: <E005979F-8AB4-431B-9886-7A1AA341685A@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 766
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On November 8, 2019 10:20:22 AM GMT+01:00, martin rudalics <rudalics@gmx=
=2Eat> wrote:
> > Please push it for me=2E
>
>Pushed now=2E  Please have a look=2E
>
>One more question: Are we sure that we want to show the background
>(underline, =2E=2E=2E) on the newline character when we do not extend?  I=
t
>certainly provides the information that the character is covered by
>the property or overlay at that position and also fits well when the
>cursor is positioned on it=2E  Yet it appears somewhat clumsy=2E
>
>martin


It is useful, for example, when not extending the region face and the regi=
on contains empty lines=2E=20
It is actually the main reason for it I think=2E

Ergus

--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 10:37:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 05:37:20 2019
Received: from localhost ([127.0.0.1]:44800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT1do-0007k8-3P
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 05:37:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42501)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iT1dn-0007jx-2r
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 05:37:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35746)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iT1dg-00028q-Ux; Fri, 08 Nov 2019 05:37:12 -0500
Received: from [176.228.60.248] (port=3782 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iT1dg-0002vw-7H; Fri, 08 Nov 2019 05:37:12 -0500
Date: Fri, 08 Nov 2019 12:37:02 +0200
Message-Id: <83imnud581.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN> (message from
 martin rudalics on Fri, 8 Nov 2019 10:20:22 +0100)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
 <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: spacibba@HIDDEN, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Fri, 8 Nov 2019 10:20:22 +0100
> 
> One more question: Are we sure that we want to show the background
> (underline, ...) on the newline character when we do not extend?  It
> certainly provides the information that the character is covered by
> the property or overlay at that position and also fits well when the
> cursor is positioned on it.  Yet it appears somewhat clumsy.

More clumsy than it was before installing that feature?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 8 Nov 2019 09:20:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 04:20:41 2019
Received: from localhost ([127.0.0.1]:44604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT0Rd-0005au-3v
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 04:20:41 -0500
Received: from mout.gmx.net ([212.227.17.22]:57029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iT0RY-0005af-3y
 for 37774 <at> debbugs.gnu.org; Fri, 08 Nov 2019 04:20:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573204824;
 bh=ErzlVM2mtT9d0wS6tsRaTzaRUA4RMzHDLQq1cOSmjYc=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=FVt9Op+6OhtcoxuCMI+4SAlA3qsd9m63LPvRrwGEzIOZoQT1NxqpDSReftWxnhLDt
 pLuuHXtpG1ks6NRmE96+Ec/T8wljkfSCzRSRbD9HvRlDOZ4f8iGmsYl+MydQpkRKNG
 wnaRPOWGZUUmt+rU9keXjI3P4NekblqlpgLyoLPE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.7.234]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MbzyJ-1hvKa72M9P-00dacQ; Fri, 08
 Nov 2019 10:20:24 +0100
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Ergus <spacibba@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
 <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <9a3e72e8-6ac4-70e0-11fe-0f0d84b41932@HIDDEN>
Date: Fri, 8 Nov 2019 10:20:22 +0100
MIME-Version: 1.0
In-Reply-To: <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:gRWrSStdt/ghs0bjsm3UooTEHBHIiMWmzR0N8l5+ol/N2oM3bZS
 I7gpI70lB3YKmeFiKx278zNb8tW3sFCb1a3vcFAGc0ChEJcW78uezjVHm/GdvVoLCyQBdFz
 QjmnAOAoAoPVCOU49KJg3UyGE6bLQffwOuSjNhmxd82F+jYwMkisT75qDF1MFq9mlB8RnVI
 cVmfgRJS6xCzzNNRgkmyg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:0zdLjpqJGIs=:NLNRdFX1M9qGH0CIrxKj0E
 +91mVWY4jIKEnQnMHmzCNtMI5y4kfm+AmYnTbkHevwgWceMjgVGmQ5pc8X8m7DtB0xETDrgzg
 ep/HANBaaw3X/PvrCMDkUEUp8VoBtQ7wiEIOU0ebC9ptCnQ2voPBQJVVEBqL5a9iFEOzl+myx
 RSBXbBfK5can1Usq+Ds3Msl1FOueuyQkm0MLVG6wP97nSh7KMJ2XUV1i47RwFtPu0Xi4t6Jrn
 7C0nnTiWZFgTqB+LhoNxUN55PGmzHUnTKwRJchugNaA3vZFQ1/Oxil8krgTiJH5lu4/ZEbuqC
 yuYmOGgWok0jOCB+z30mS38AJaIYtm/IKVYVnI37UaHY7+C98qeBoE/CWTLclAgktKI7XBs8w
 EvUTbRzyTCCTcHozmaplbz+Rc2Rss+4KHh8eyX4W9wkkGe6WcNjwhN0T2Cc1txIHbP+fvbSSf
 bGesVnfIhBZ7vK9dpheLUmWPTyrBJ/Np1FoJadE7JfvbfKGo1irUf+vpM8M0Qavi3femRZ/1p
 pGHChi6v3NLqv4/s+WKdgLUMkyjP40k8161jfOQJJQbT0hKKssSLATqq1dnsJm/o+1vO/T7Vf
 IAhSNNiutzpnyUvDXBO2SogvXoOl8oMiEe97y7gdbkgkyNBTSfnfCYcRtFhVqST6CWleMHAIz
 SnT8VqwYbzqOf/AuVZacrO+Gn+Z6eVXK8YLCDrtqmdE//9Eqp+lejdUg35pc0XLbro9GT2sdZ
 qRcJ7yL+lTVPtVZ07Phm29EgENJu6tcZfg/S73EpyylwhkQHGGKLgE5kISlbejuK//Abnyc4N
 5xKKMw41VU4jLzO8Jvj1xSHf69io03xZ+aAQMTtGWk69xqO09dB12sdKYrFXIrddIizQKBX9R
 dSJl7+b254SaKyu2liRd4ETCvudUYkimuoJlUmBlDswQkzQOYxm6IXjqi/Mdlt6P5IstTAxbw
 88SZEn/aXNWN+/SjGwytFc4pa4Nn8+Dcs8rThHro+XkSwRo4IqOUmThk3FfTM7pvUYVJUbIXk
 av6T7LOheG9kazdtoI1OLvByneL5ntdIHtGE++4vc3U5UkZ/J2JPrF8Wm0vhUQEmnLUc7nOvc
 YI6kFD16A5uOh0z5Qyw4vZO+RsXgnxb4JCOjkjRho5JmoCeePzuzrBe1H22hW19RfDK28NYci
 4Q7ybXaQUpxffqdfATp9Wo8X3SNUb7M41TTsb7Vzu7aNKJNlBC4P2CD8ADPZaovf/xolA/u/E
 VD7zhs0mD07ZU1nW4t8kZbwfi/pG9QRJV8Y9CIE9coC/zFvui0Yi5pX7hEb5nHiBVQra81dSu
 G9Yqm9jv
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Please push it for me. Pushed now. Please have a look.
 One more question: Are we sure that we want to show the background (underline, 
 ...) on the newline character when we do not extend? It certainly provides
 the information that the character is covered [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.7.234 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.22 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Please push it for me. Pushed now. Please have a look.
   One more question: Are we sure that we want to show the background (underline,
    ...) on the newline character when we do not extend? It certainly provides
    the information that the character is covered [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.22 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.7.234 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > Please push it for me.

Pushed now.  Please have a look.

One more question: Are we sure that we want to show the background
(underline, ...) on the newline character when we do not extend?  It
certainly provides the information that the character is covered by
the property or overlay at that position and also fits well when the
cursor is positioned on it.  Yet it appears somewhat clumsy.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 21:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 16:57:59 2019
Received: from localhost ([127.0.0.1]:44050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSpmx-000475-5n
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 16:57:59 -0500
Received: from sonic301-32.consmr.mail.ne1.yahoo.com ([66.163.184.201]:44629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSpmt-00046j-OF
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 16:57:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573163870; bh=qbYkG8bw87wRMk4qYSvA/LadsEl3j4CddtUZrnImPBw=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=pDuJMbePTYMdoyb6axY5QWupAKbpGl+xt9qSfEHiDSrgxYq3qdfD1AXPOfAvCEjUJxGXDRG4rAtx+bRVUP5qVypeRAn4EODNgeqEzM+oaHc6zGYCU+0T9HwXlKfZzPecgxgqB8E+npjV33eNeHJfrImgapAeRGRKTdZByaspBoOdrhreMdcscIiGRRXfN+DySP9imO9Ad/99H0xkwxdrCoEHG8lIa3dkK5Ex9jZSPkWXxeMVBD7v6PVk87H3n6uL0F/k6pEmP7oVsgWaVekqNq9LcwTQ6lqanoWlPDxeF0rPzUO8zhSOike0Yqi8eRpJbuyZGJqUAcu0pgO72+gzbA==
X-YMail-OSG: U4L7gfwVM1npMX7KUkvQwwk1e9MkuVgTJIVQ_PgXMfwF_bLX8Y3wrVSTqi5Afpq
 VdIdSjfdGWNyd17m12uePbds0D6snLRuvonipu.YmbNDgs6ZrzsE_tA82wxvZd5w94EWGY61MWvg
 mdJtJZ5TLTT2VyPVh3oTiUGliZBtnq6EVN8up9vS0pw.CW9nKJO79cKTLri.2XWh.dUhF7S2QKSl
 imB_NurEAQPlIYD3yUI14r.lCjqB5WBnXvXdAlbVG.H7_zgE_1L76fmZQUaLGb5YZpc2yJuhNhLq
 aAi_MNqyC2Eb.yKE86i7bW7juSQJJZJTW4vvEfZCfcumfdXXdWkRIpdozkA1DnUkIwQnTIAeha.w
 KkRmZaAckyW_ZBfhUstqKyBuu8O1pFtxhtGHzuLvSqpxuP6RaTZ_imW4EpEUxTaqLjWFIWWZPX0m
 nwHtD8QyIcLJ9LvIYnGTBbo9mdYtjPTm92kHpgQOPsj4uioE159uDARLZtM1czCXIegXATekoupV
 GBbfB8kThnbO2uUF.owWlvUh21rbK37eVri3lm1VX6.sfH3AB7y2mDKDqaSbnPJ.in2t3RF4NVqM
 viEmrWJpheC8BT6tMOcY.SldQDjRIMHgL6_3prHwwg0B0GiG7Uh5I8JM4fWzAUACL1reIIENM07P
 bSBl8AfJPULz4XKTliOzYU4myh7HcPWdHO_.T3I25yr29M3WbuR62P4oPmhV0cXN59o5xvpy7Pfd
 qdoBMj5kDicqdihOnxq7o1NWTIHhNbkcPQYpUSm92rRXJ6so7VC4XfS.TQdC6aTuGazSZrVa9FVf
 kIEFLUNDYVUWT7JMs0vIOfmmdxUcAo219HIkSNUMX.HANIZEihLpEGTR5LM4Sxnll_rzZ.MNEKaa
 0hgwVECQ0K2rRIW95AENUrHj10ATjB79EdiBaoee3sHZLgz9NfYEvKY7x.j88o4OQflnFPCIIFey
 W_siVcTS5kcp_nonmEqNs0ix_N_YC1YxH2mnInN1gSq9OrWbcFi3n1NoYS6gOSnMrFeFKVYLIMwD
 GOdWtjIxOOjLd2mPyzFk1jyiLwH5OhN_yX120XigDcgUCKMxiaBQ5PqM0FqKb._AaG6FAfGXz4F_
 jDkTaiWSTnxzr_pKL0IUYepwuh5StFMInCoDzENZp3rafa9Pmo0mYXiL2c6pdqCp7Brif20C0A4O
 8OVxkYHwOYKuDNnGvbN_woYMA.LUD47vYozsac1dVNoUwPU_9gq55z8iv3WXLMo2waCgDJk2KGcP
 oVJf9VC1ybJp7V7J3XTeLciDQC1e6chudmJl_hMBfXhse4UbMzqNdqQ9AI9.7aGPXr4zAThl5SL7
 PFZXCg_OaMKQWfTFbMeH7ZQMCTS1G3XhEdmLLdSh1qZX5obqxi0Yee.mikJhZ
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 21:57:50 +0000
Received: by smtp418.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 618eab0a707c06ea5d94e52469462771; 
 Thu, 07 Nov 2019 21:57:47 +0000 (UTC)
Date: Thu, 7 Nov 2019 22:57:32 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Message-ID: <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
 <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 233
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Nov 07, 2019 at 06:10:40PM +0100, martin rudalics wrote:
>> Please try the attached patch. (I'm in a network where I can't use git
>> now.)
>
>Works as expected with this patch.
>
>Many thanks, martin

Please push it for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 21:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 16:57:59 2019
Received: from localhost ([127.0.0.1]:44048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSpmw-000472-Qn
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 16:57:59 -0500
Received: from sonic301-32.consmr.mail.ne1.yahoo.com ([66.163.184.201]:38981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSpmt-00046i-Lu
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 16:57:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573163870; bh=qbYkG8bw87wRMk4qYSvA/LadsEl3j4CddtUZrnImPBw=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=pDuJMbePTYMdoyb6axY5QWupAKbpGl+xt9qSfEHiDSrgxYq3qdfD1AXPOfAvCEjUJxGXDRG4rAtx+bRVUP5qVypeRAn4EODNgeqEzM+oaHc6zGYCU+0T9HwXlKfZzPecgxgqB8E+npjV33eNeHJfrImgapAeRGRKTdZByaspBoOdrhreMdcscIiGRRXfN+DySP9imO9Ad/99H0xkwxdrCoEHG8lIa3dkK5Ex9jZSPkWXxeMVBD7v6PVk87H3n6uL0F/k6pEmP7oVsgWaVekqNq9LcwTQ6lqanoWlPDxeF0rPzUO8zhSOike0Yqi8eRpJbuyZGJqUAcu0pgO72+gzbA==
X-YMail-OSG: U4L7gfwVM1npMX7KUkvQwwk1e9MkuVgTJIVQ_PgXMfwF_bLX8Y3wrVSTqi5Afpq
 VdIdSjfdGWNyd17m12uePbds0D6snLRuvonipu.YmbNDgs6ZrzsE_tA82wxvZd5w94EWGY61MWvg
 mdJtJZ5TLTT2VyPVh3oTiUGliZBtnq6EVN8up9vS0pw.CW9nKJO79cKTLri.2XWh.dUhF7S2QKSl
 imB_NurEAQPlIYD3yUI14r.lCjqB5WBnXvXdAlbVG.H7_zgE_1L76fmZQUaLGb5YZpc2yJuhNhLq
 aAi_MNqyC2Eb.yKE86i7bW7juSQJJZJTW4vvEfZCfcumfdXXdWkRIpdozkA1DnUkIwQnTIAeha.w
 KkRmZaAckyW_ZBfhUstqKyBuu8O1pFtxhtGHzuLvSqpxuP6RaTZ_imW4EpEUxTaqLjWFIWWZPX0m
 nwHtD8QyIcLJ9LvIYnGTBbo9mdYtjPTm92kHpgQOPsj4uioE159uDARLZtM1czCXIegXATekoupV
 GBbfB8kThnbO2uUF.owWlvUh21rbK37eVri3lm1VX6.sfH3AB7y2mDKDqaSbnPJ.in2t3RF4NVqM
 viEmrWJpheC8BT6tMOcY.SldQDjRIMHgL6_3prHwwg0B0GiG7Uh5I8JM4fWzAUACL1reIIENM07P
 bSBl8AfJPULz4XKTliOzYU4myh7HcPWdHO_.T3I25yr29M3WbuR62P4oPmhV0cXN59o5xvpy7Pfd
 qdoBMj5kDicqdihOnxq7o1NWTIHhNbkcPQYpUSm92rRXJ6so7VC4XfS.TQdC6aTuGazSZrVa9FVf
 kIEFLUNDYVUWT7JMs0vIOfmmdxUcAo219HIkSNUMX.HANIZEihLpEGTR5LM4Sxnll_rzZ.MNEKaa
 0hgwVECQ0K2rRIW95AENUrHj10ATjB79EdiBaoee3sHZLgz9NfYEvKY7x.j88o4OQflnFPCIIFey
 W_siVcTS5kcp_nonmEqNs0ix_N_YC1YxH2mnInN1gSq9OrWbcFi3n1NoYS6gOSnMrFeFKVYLIMwD
 GOdWtjIxOOjLd2mPyzFk1jyiLwH5OhN_yX120XigDcgUCKMxiaBQ5PqM0FqKb._AaG6FAfGXz4F_
 jDkTaiWSTnxzr_pKL0IUYepwuh5StFMInCoDzENZp3rafa9Pmo0mYXiL2c6pdqCp7Brif20C0A4O
 8OVxkYHwOYKuDNnGvbN_woYMA.LUD47vYozsac1dVNoUwPU_9gq55z8iv3WXLMo2waCgDJk2KGcP
 oVJf9VC1ybJp7V7J3XTeLciDQC1e6chudmJl_hMBfXhse4UbMzqNdqQ9AI9.7aGPXr4zAThl5SL7
 PFZXCg_OaMKQWfTFbMeH7ZQMCTS1G3XhEdmLLdSh1qZX5obqxi0Yee.mikJhZ
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 21:57:50 +0000
Received: by smtp418.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 618eab0a707c06ea5d94e52469462771; 
 Thu, 07 Nov 2019 21:57:47 +0000 (UTC)
Date: Thu, 7 Nov 2019 22:57:32 +0100
From: Ergus <spacibba@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Message-ID: <20191107215732.ojv3jjbyaxh6lgcj@Ergus>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
 <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
 <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 233
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Nov 07, 2019 at 06:10:40PM +0100, martin rudalics wrote:
>> Please try the attached patch. (I'm in a network where I can't use git
>> now.)
>
>Works as expected with this patch.
>
>Many thanks, martin

Please push it for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 17:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 12:10:57 2019
Received: from localhost ([127.0.0.1]:43830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSlJB-00017V-FO
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 12:10:57 -0500
Received: from mout.gmx.net ([212.227.15.15]:55587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iSlJ9-00017G-NS
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 12:10:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573146643;
 bh=TJq0pYRNhHoIqhzEeugK5NkV40qZsSSXktWCjszCktA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=e4rS4hzrEPsmAl04zRoR7Kj4qhBIVn5CTZhjyqGuu8wocXuYt7YgXQTgsAZi58dbX
 A+eKcCgirnP1U95tV4Hmts3vQxRn5laZGHRd2l9UEGviAPC/HxYLkNVRpmAsRf3X+a
 MRakT9GHZJJMugiiDTukXTELQsVHst0DXBnr80dI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.189]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MRTRH-1iEepT3b3V-00NOuk; Thu, 07
 Nov 2019 18:10:43 +0100
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Ergus <spacibba@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN> <20191107154136.nqujd5olhudr5nvr@Ergus>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <372f47e9-74fe-e3cc-8061-ebfbe629392e@HIDDEN>
Date: Thu, 7 Nov 2019 18:10:40 +0100
MIME-Version: 1.0
In-Reply-To: <20191107154136.nqujd5olhudr5nvr@Ergus>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:xMShKvGBJhYbxkk4UXojCeLbAL5zcFEdl0XzXooSBgFTQihWSP4
 oPMw1NcTkJOLnPBWzLUeh6PZFxyILwmE9PmfZO7yUqSXcYspyXL/XaqgWbE2UNg+VXXlCRU
 Ar+zky8uL8iezH5FxIN3JcuU/3c0A9b0XqaBh8qmUzGJ3Yhs11phsnCPIe5hDamJUNRyYxb
 0RwY8NrjjUa0avb9Cgjdw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Ywbek5i+iTQ=:fZCZxi9AV4Q8bzPCwPLjzS
 YbFmM5YGiHEfAZI7ENbl54XkyvLszy8hT2mOTQ6ly28wI/I4mrlq3q3TuEswT+13MoPYovS8X
 FN9rhw2HI6TDti4K5Hqm/r3s0GhEnooRzVx8OriWXRJWFOpxP58eRQtLFe0W75Gwa3Az7p5QY
 YA/RwtAhYjlvr/PV2FPuRFfw03S0mLx5S2XgSJxe3YWGdnmrRDl+hWJHTxsR9I1OePIXB1eOH
 ZxtqZxzC30HSO9EdKXDXdC+YpOwX527V48ce8ANRtu1AGH8ByK/g+wBWP733NlKXYge+6XStg
 8XgxGxyIf3Q8YNJPZdrRm7jvXqGN9WNVJkFmAZeYWVMjJarEaR2SURbdbh/jeHJeyO5tTpPB1
 0J32LyD6lNRUIUrf+Dmz57VYdtHtmFuCI2GfZINYPEPJniT0KCF+rye8ePCBBx0sqf1uQRYCQ
 2Ebh+Rp/+yhcM7R7i03aKh44t9/1EJ3Wx5uJLkyNywemfufp7BH0298N88CWeXWJ0Xfnc0LNJ
 fO0EKzIhkuYqxcK2ndXUkw6FPMYHNcgrs9UbBkyMlwv90OU82G3j0auXcCnOfXozZQ4bZnufg
 Yf/6XTYeLnQg4+qkiezGKe3Xh5OIMwKgz5WJ5KgcqNTjarJMg0bYJp03O20seF7EiHHNgzOli
 EJeDFvxRELNzVY2eoMarytInt3r1YdnCC8KOzx4VWQgnBeThwkTMg+KGreU2wuQrkFCPF/N/B
 nT3Ajt4JfewFauUw7sm3GRIuGsQDKGibwuNeDmNcH8V+BKeLkjThpxYS+Vn77pjEpG/veUsov
 6kReSejScATZ563FBtWYmc8oGO2XZYd+hTuWQTE7/4kQHvKZLO4SnRcujyfVRtn5ZRT8ULWhM
 5Aue4ITH6gsowx4cgmhFfmZcZjtsUntWM/YZqX/Tb7CImsRN23VLS6y9IJjuSQlghh9khI3e0
 2phe2O763f9hmsqxRBy2pxGxCACax3HrHOs2+xeRcc8EKaujZWAiKm2ODasWe10oyJmy4Dks+
 auzLi+OdzC+ErTzeBIVpgxsQPRTdBXSMLd5T7ZptbqdRinSq/dAWEH9XdYCVGJljsktqo3Cz9
 kgWI1chIJc98MYF89q0SzMCtaWcqVcAJ/f2CWQ1J5CkVBlsd5vfQE7vkPHa77/wrOgYux7Wpb
 KwH43cumXUfPmyAisXjABcw4tCqWMemsYi1Zd3moalKRXcWc5wKI8jkv3eCZZ4IXwB73WgxXO
 pzJmuYmvqYI+FvTDuXH8ndhoeZ4RJBjaCKzW4tEmA3BhtDZatnxgXwV/94nE=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Please try the attached patch. (I'm in a network where I can't use git
 > now.)

Works as expected with this patch.

Many thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 15:44:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 10:44:05 2019
Received: from localhost ([127.0.0.1]:43708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSjx4-0007B6-Cg
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 10:44:03 -0500
Received: from sonic313-35.consmr.mail.ne1.yahoo.com ([66.163.185.58]:35106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSjx1-0007AJ-Uc
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 10:44:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573141434; bh=0F3R6Ae8CZ6MVJDsJ2yIqRA9Z2xV56LP6iXXFkU7vOg=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=JvgfAVkGabhrDfLWg+izwmzT14szZZ1/mFHSzPN/zc5d6PWWX2XzkX47xjqyDnPsmERNQPNOG8V8gPu6kvheaZv1IxEdVN/pYz+yJBIP1injMk5JWgaiWdmYZEYEkJoC505SuWNp8o4OPsCi0IN9bL+KSjBxQXjx+mk86gQ2JTb/TDTJN8wP+hO/FgyOypwm9Xk8BmbxysouhHFoLmdT6Zli/CnEh9vXsMxrWORCirNEc0lvWHG2G0ljYVxZ0Q3tbd1wpzulJI6ytbOulbA1RrSr+EZZdL4/LP3GqNmE3S7hK5DmxSSGHR8dhEkSZADCReVRYuCGqxquz7u58euhLg==
X-YMail-OSG: N_6BpMEVRDvd.miR6A7lED5GPdAEx7ojsA--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 15:43:54 +0000
Received: by smtp427.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID db4cf1091158350b7debba8c3dcf2a87; 
 Thu, 07 Nov 2019 15:41:51 +0000 (UTC)
Date: Thu, 7 Nov 2019 16:41:36 +0100
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Message-ID: <20191107154136.nqujd5olhudr5nvr@Ergus>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
 <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="ffmuqa6wjq6xprsm"
Content-Disposition: inline
In-Reply-To: <83k18bg55h.fsf@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 2968
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: martin rudalics <rudalics@HIDDEN>, 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ffmuqa6wjq6xprsm
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline

On Thu, Nov 07, 2019 at 03:58:02PM +0200, Eli Zaretskii wrote:
>> Cc: 37774 <at> debbugs.gnu.org
>> From: martin rudalics <rudalics@HIDDEN>
>> Date: Wed, 6 Nov 2019 18:06:04 +0100
>>
>> One surprising effect with recent master is that with emacs -Q
>> evaluating
>>
>> (custom-set-faces
>>   '(font-lock-comment-face ((((class color) (background light)) (:background "Beige" :foreground "Black")))))
>>
>> makes the comment background extend to the end of the window.  This
>> means that unless I explicitly supply :extend nil, the behavior is as
>> with Emacs 26.  Is that intended?
>
>No, of course it isn't intended.
>
>Jimmy, are you looking into this?  It sounds like there's a difference
>with processing the :extend attribute when its value is 'unspecified'
>and when it's nil.  Because just adding
>
>  (set-face-extend 'FOO nil)
>
>for the faces named by Jonas and Martin makes the problem go away, and
>the faces aren't extended, as I'd expect.
>
>Let me know if you need help in debugging or resolving this.
>
>Thanks.

Hi:

Please try the attached patch. (I'm in a network where I can't use git
now.)

Best,
Ergus

--ffmuqa6wjq6xprsm
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="test.patch"

diff --git a/src/xfaces.c b/src/xfaces.c
index 3806fa90e2..ff4e2796f2 100644
--- a/src/xfaces.c
+++ b/src/xfaces.c
@@ -2063,7 +2063,10 @@ merge_face_vectors (struct window *w, struct frame *f,
   eassert (attr_filter <  LFACE_VECTOR_SIZE);
 
   /* When FROM sets attr_filter to nil explicitly we don't merge it.  */
-  if (attr_filter > 0 && NILP(from[attr_filter]))
+  if (attr_filter > 0 && (NILP(from[attr_filter])
+                          || (UNSPECIFIEDP(from[attr_filter])
+			      && (NILP (from[LFACE_INHERIT_INDEX])
+			          || UNSPECIFIEDP (from[LFACE_INHERIT_INDEX])))))
     return;
 
   /* If FROM inherits from some other faces, merge their attributes into
@@ -2082,7 +2085,7 @@ merge_face_vectors (struct window *w, struct frame *f,
       else if (UNSPECIFIEDP (from[attr_filter])) /* FROM don't specify filter */
 	{
 	  Lisp_Object tmp[LFACE_VECTOR_SIZE];
-	  memcpy (tmp, to, LFACE_VECTOR_SIZE * sizeof *tmp);
+	  memcpy (tmp, to, LFACE_VECTOR_SIZE * sizeof(*tmp));
 
 	  merge_face_ref (w, f, from[LFACE_INHERIT_INDEX],
 	                  tmp, false, named_merge_points, attr_filter);
@@ -2177,7 +2180,8 @@ merge_named_face (struct window *w,
 		     && !UNSPECIFIEDP(from[attr_filter]))
                  || (!NILP(from[attr_filter])  /* Filter, unspecified, but inherited.  */
 		     && UNSPECIFIEDP(from[attr_filter])
-		     && !NILP (from[LFACE_INHERIT_INDEX]))))
+		     && !NILP (from[LFACE_INHERIT_INDEX])
+		     && !UNSPECIFIEDP (from[LFACE_INHERIT_INDEX]))))
         merge_face_vectors (w, f, from, to, named_merge_points, attr_filter);
 
       return ok;

--ffmuqa6wjq6xprsm--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 15:44:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 10:44:02 2019
Received: from localhost ([127.0.0.1]:43705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSjx3-0007Ar-Kh
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 10:44:02 -0500
Received: from sonic313-35.consmr.mail.ne1.yahoo.com ([66.163.185.58]:38153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iSjx1-0007AI-Vy
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 10:44:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1573141434; bh=0F3R6Ae8CZ6MVJDsJ2yIqRA9Z2xV56LP6iXXFkU7vOg=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=JvgfAVkGabhrDfLWg+izwmzT14szZZ1/mFHSzPN/zc5d6PWWX2XzkX47xjqyDnPsmERNQPNOG8V8gPu6kvheaZv1IxEdVN/pYz+yJBIP1injMk5JWgaiWdmYZEYEkJoC505SuWNp8o4OPsCi0IN9bL+KSjBxQXjx+mk86gQ2JTb/TDTJN8wP+hO/FgyOypwm9Xk8BmbxysouhHFoLmdT6Zli/CnEh9vXsMxrWORCirNEc0lvWHG2G0ljYVxZ0Q3tbd1wpzulJI6ytbOulbA1RrSr+EZZdL4/LP3GqNmE3S7hK5DmxSSGHR8dhEkSZADCReVRYuCGqxquz7u58euhLg==
X-YMail-OSG: N_6BpMEVRDvd.miR6A7lED5GPdAEx7ojsA--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Thu, 7 Nov 2019 15:43:54 +0000
Received: by smtp427.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID db4cf1091158350b7debba8c3dcf2a87; 
 Thu, 07 Nov 2019 15:41:51 +0000 (UTC)
Date: Thu, 7 Nov 2019 16:41:36 +0100
From: Ergus <spacibba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Message-ID: <20191107154136.nqujd5olhudr5nvr@Ergus>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
 <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
 <83k18bg55h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="ffmuqa6wjq6xprsm"
Content-Disposition: inline
In-Reply-To: <83k18bg55h.fsf@HIDDEN>
X-Mailer: WebService/1.1.14680 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 2968
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: martin rudalics <rudalics@HIDDEN>, 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ffmuqa6wjq6xprsm
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline

On Thu, Nov 07, 2019 at 03:58:02PM +0200, Eli Zaretskii wrote:
>> Cc: 37774 <at> debbugs.gnu.org
>> From: martin rudalics <rudalics@HIDDEN>
>> Date: Wed, 6 Nov 2019 18:06:04 +0100
>>
>> One surprising effect with recent master is that with emacs -Q
>> evaluating
>>
>> (custom-set-faces
>>   '(font-lock-comment-face ((((class color) (background light)) (:background "Beige" :foreground "Black")))))
>>
>> makes the comment background extend to the end of the window.  This
>> means that unless I explicitly supply :extend nil, the behavior is as
>> with Emacs 26.  Is that intended?
>
>No, of course it isn't intended.
>
>Jimmy, are you looking into this?  It sounds like there's a difference
>with processing the :extend attribute when its value is 'unspecified'
>and when it's nil.  Because just adding
>
>  (set-face-extend 'FOO nil)
>
>for the faces named by Jonas and Martin makes the problem go away, and
>the faces aren't extended, as I'd expect.
>
>Let me know if you need help in debugging or resolving this.
>
>Thanks.

Hi:

Please try the attached patch. (I'm in a network where I can't use git
now.)

Best,
Ergus

--ffmuqa6wjq6xprsm
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="test.patch"

diff --git a/src/xfaces.c b/src/xfaces.c
index 3806fa90e2..ff4e2796f2 100644
--- a/src/xfaces.c
+++ b/src/xfaces.c
@@ -2063,7 +2063,10 @@ merge_face_vectors (struct window *w, struct frame *f,
   eassert (attr_filter <  LFACE_VECTOR_SIZE);
 
   /* When FROM sets attr_filter to nil explicitly we don't merge it.  */
-  if (attr_filter > 0 && NILP(from[attr_filter]))
+  if (attr_filter > 0 && (NILP(from[attr_filter])
+                          || (UNSPECIFIEDP(from[attr_filter])
+			      && (NILP (from[LFACE_INHERIT_INDEX])
+			          || UNSPECIFIEDP (from[LFACE_INHERIT_INDEX])))))
     return;
 
   /* If FROM inherits from some other faces, merge their attributes into
@@ -2082,7 +2085,7 @@ merge_face_vectors (struct window *w, struct frame *f,
       else if (UNSPECIFIEDP (from[attr_filter])) /* FROM don't specify filter */
 	{
 	  Lisp_Object tmp[LFACE_VECTOR_SIZE];
-	  memcpy (tmp, to, LFACE_VECTOR_SIZE * sizeof *tmp);
+	  memcpy (tmp, to, LFACE_VECTOR_SIZE * sizeof(*tmp));
 
 	  merge_face_ref (w, f, from[LFACE_INHERIT_INDEX],
 	                  tmp, false, named_merge_points, attr_filter);
@@ -2177,7 +2180,8 @@ merge_named_face (struct window *w,
 		     && !UNSPECIFIEDP(from[attr_filter]))
                  || (!NILP(from[attr_filter])  /* Filter, unspecified, but inherited.  */
 		     && UNSPECIFIEDP(from[attr_filter])
-		     && !NILP (from[LFACE_INHERIT_INDEX]))))
+		     && !NILP (from[LFACE_INHERIT_INDEX])
+		     && !UNSPECIFIEDP (from[LFACE_INHERIT_INDEX]))))
         merge_face_vectors (w, f, from, to, named_merge_points, attr_filter);
 
       return ok;

--ffmuqa6wjq6xprsm--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 13:59:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 08:59:25 2019
Received: from localhost ([127.0.0.1]:41801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSiJp-0001y9-8A
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 08:59:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iSiJn-0001xs-AI
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 08:59:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42581)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iSiJi-0002pF-3I; Thu, 07 Nov 2019 08:59:18 -0500
Received: from [176.228.60.248] (port=3845 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iSiJh-000316-8F; Thu, 07 Nov 2019 08:59:17 -0500
Date: Thu, 07 Nov 2019 15:59:05 +0200
Message-Id: <83imnvg53q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-reply-to: <877e4d7yzf.fsf@HIDDEN> (message from Jonas Bernoulli on Wed, 
 06 Nov 2019 17:26:12 +0100)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: 37774 <at> debbugs.gnu.org
> Date: Wed, 06 Nov 2019 17:26:12 +0100
> 
> ------
> (defface testing '((t (:background "LightYellow"))) "DOC")
> 
> (overlay-put (make-overlay (point-min) (point-max) nil t)
>              'face ; or 'font-lock-face
>              'testing)
> 
> (remove-overlays (point-min) (point-max))
> 
> (put-text-property (point-min) (point-max) 'font-lock-face 'testing)
> ------

Thanks.

> I have not yet looked into why Magit's diff faces extend beyond eol even
> though I didn't tell them too

Crystal ball says that Magit faces which inherit from some core faces
behave differently than those which don't inherit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 7 Nov 2019 13:58:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 08:58:26 2019
Received: from localhost ([127.0.0.1]:41797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSiIr-0001wA-Rm
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 08:58:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iSiIq-0001vv-0c
 for 37774 <at> debbugs.gnu.org; Thu, 07 Nov 2019 08:58:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42560)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iSiIj-0001ya-K5; Thu, 07 Nov 2019 08:58:17 -0500
Received: from [176.228.60.248] (port=3780 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iSiIi-0000h4-66; Thu, 07 Nov 2019 08:58:16 -0500
Date: Thu, 07 Nov 2019 15:58:02 +0200
Message-Id: <83k18bg55h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, Ergus <spacibba@HIDDEN>
In-reply-to: <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN> (message from
 martin rudalics on Wed, 6 Nov 2019 18:06:04 +0100)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN> <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org, jonas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Wed, 6 Nov 2019 18:06:04 +0100
> 
> One surprising effect with recent master is that with emacs -Q
> evaluating
> 
> (custom-set-faces
>   '(font-lock-comment-face ((((class color) (background light)) (:background "Beige" :foreground "Black")))))
> 
> makes the comment background extend to the end of the window.  This
> means that unless I explicitly supply :extend nil, the behavior is as
> with Emacs 26.  Is that intended?

No, of course it isn't intended.

Jimmy, are you looking into this?  It sounds like there's a difference
with processing the :extend attribute when its value is 'unspecified'
and when it's nil.  Because just adding

  (set-face-extend 'FOO nil)

for the faces named by Jonas and Martin makes the problem go away, and
the faces aren't extended, as I'd expect.

Let me know if you need help in debugging or resolving this.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 6 Nov 2019 17:06:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 06 12:06:20 2019
Received: from localhost ([127.0.0.1]:41185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSOlA-0003l2-1n
	for submit <at> debbugs.gnu.org; Wed, 06 Nov 2019 12:06:20 -0500
Received: from mout.gmx.net ([212.227.15.15]:41811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iSOl7-0003ke-KL
 for 37774 <at> debbugs.gnu.org; Wed, 06 Nov 2019 12:06:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1573059970;
 bh=jnz8kZlDjwiHoTJ1yfBubEVWob9jPD8ZJNJ27iPq2tU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=adB9GmYbfLNT0aC53iiSvMxC4xQ/N5TC7SwQa3sgBGJZp70ca8cvZkeIy663UNdTX
 EL5xarzcveW47WNQhzV76/SjcOS+kroWgoNBzXQQo5kXug8e8cdV64v0lqbJmQRf//
 qJvOMislmiWvCpBsAQZqyIDNqVz+ZTAfj5Mt36cY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.10]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M1psI-1iUacL3Nuq-002Hwm; Wed, 06
 Nov 2019 18:06:09 +0100
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Jonas Bernoulli <jonas@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
 <877e4d7yzf.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <e9c2f5a5-3e2d-3121-e3bf-63d0926d518b@HIDDEN>
Date: Wed, 6 Nov 2019 18:06:04 +0100
MIME-Version: 1.0
In-Reply-To: <877e4d7yzf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:vjQy2bxIK/DT1iR4ZgXtja/RxHAzTYpRmR0qjUm0M1rVySfoT2a
 gLW7vAWG1I9oBzSHX50vjQ770tcA/ZY5Kjgsi7/7lsJ2IVOm8W0L+oDihQaiWfgXji/m36a
 KwXcOnpc0UN88VAKwEg+oVmH5Q0RPsuYJZwVZ7f+t5erHU5hh8IYY10MydKMP0GBLyxgAtb
 njNXMQoeV3H6nZvpOXfLw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Ii/fslfP0o0=:pbJgIFj21uiMxL/MDcYCM/
 cGbeNh4KbFL58lRY1JLdU0gq+iv8WyNhICOrLxarApyX703YlHkmmDmxIxes7y/GQgrmZjHGl
 6LcjF6L205zmpq03Ry73Mh/Iqs2pvZnA41GQssbnSuTsNuprZ+/n6DdkHb6cBgaHVyrdmcSR0
 GI4m1QORJdi7NDQXj6qDlh1hwDe3I0pLoQsTG5CVoMKEJMPlf+TtLycAQP5qzhMfwS7iYUnDk
 3hKJ+YgDlcAaWnF+3qgBD2yw7Ei/+2V40eMV+cQL0/4/+4pYi6JyPo3w6tYmU45DLi+Zb5Gzw
 3tpPgIc7DqiBGbnzYF65SSVHz0chG8ttg7YI01jN6AB/EfkqsHWlmNuX997fiC2OWVwg0GSFZ
 8PW3kKuWIwTXDnXkJusFIWRbvTIR1jSB2DiNaIL9CZpXjcUq2WxBY9uYsET2DZbxPfP2C60sQ
 Upa7pY/G+Yh9p4c+X6b7ima/omiWw9VeX80AqzqoUx50a+nXO5r1y6134B8pskn7tczpmHygA
 cOeqnU4IwjVRq2WGxjme8jc7/R6uxk+X17saTweXlWZSFS+AKcKLLdSZgk22SnIjMVrcSQZVI
 6ELpRNNgqyfts74AN3ZPGu1zdcQDwE4ydP38whoaGJJZcGC80MC9+Ifyj1/488l96Uy5zheip
 pU3397/7RiW0y5T+gWd5zVMZmjisCIxN+kGdU3ULeVoOSZRsaZO5AMgDQig+1rXBmvXpI7xVC
 rS4RH+xCBRAGNbrlsxmTsy0aA0O+eIWP6lwlgRQAoJM1rdb/IXj9B09cXPBYqg2uYRloyYzzy
 t2INh2to/FaXayO9ZpMAGc/5JarPjMcBDbfuebcUy/fTSZ4BTJWZEiBG6gC9Mk+nKt3fVlDlr
 Zx0PIv/o3A/3dmzPPjIESMUF2p0PQapYQ4qtDgjh7Vsy9I6YyOnXIXMLhZDYuGdfxNpwIkbOP
 EiOngi1pI0X/qbKcdlYRYOh4oY/YvAjSUJnl/two6CczgOfCjkq4V/UunFWKlisxWEGikuP4a
 t4i6522oMWEeskwJzG2o/VUfRl7epiuuENvrrfygmbPuuREQza1sdotjmtOR3yOONiyK4L2Un
 3x60gCeP03KQd/giikl13kCfXKUHVmyq5liX3OfpxxRf1fsIgQoUu69/ktsfjVhLDVWVfQjb3
 Fnz/4ANuU/Fk4ynVHZDy8WxHLUBXhe3BxGPSyRxBS+uwgs0+ph77smH6G4aeV1VaU1V5cecVc
 6a+Ctrthj3LoSnIgAR1ytiDY+u6Envp6rV2vzJwBus8wouJ33tN13hROtR8w=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

One surprising effect with recent master is that with emacs -Q
evaluating

(custom-set-faces
  '(font-lock-comment-face ((((class color) (background light)) (:background "Beige" :foreground "Black")))))

makes the comment background extend to the end of the window.  This
means that unless I explicitly supply :extend nil, the behavior is as
with Emacs 26.  Is that intended?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 6 Nov 2019 16:26:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 06 11:26:25 2019
Received: from localhost ([127.0.0.1]:41120 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSO8V-0002Wd-LW
	for submit <at> debbugs.gnu.org; Wed, 06 Nov 2019 11:26:25 -0500
Received: from mail.hostpark.net ([212.243.197.30]:40212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1iSO8S-0002WQ-9T
 for 37774 <at> debbugs.gnu.org; Wed, 06 Nov 2019 11:26:22 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id DC6F116C3E;
 Wed,  6 Nov 2019 17:26:18 +0100 (CET)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id ipY27uUOVrLj; Wed,  6 Nov 2019 17:26:18 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 755DC1661A;
 Wed,  6 Nov 2019 17:26:18 +0100 (CET)
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN> <834kzooo8e.fsf@HIDDEN>
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
In-reply-to: <834kzooo8e.fsf@HIDDEN>
Message-ID: <877e4d7yzf.fsf@HIDDEN>
Date: Wed, 06 Nov 2019 17:26:12 +0100
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Eli Zaretskii <eliz@HIDDEN> writes:
> Is there an easier way of reproducing this than installing Magit and
> actually using it?  Could you perhaps come up with a much simpler
> recipe that just defines a face like Magit does?

Sorry for the delay.  I have finally reproduced some of the unexpected
behavior without using Magit.

Yank the following in some buffer like *scratch*.

------
(defface testing '((t (:background "LightYellow"))) "DOC")

(overlay-put (make-overlay (point-min) (point-max) nil t)
             'face ; or 'font-lock-face
             'testing)

(remove-overlays (point-min) (point-max))

(put-text-property (point-min) (point-max) 'font-lock-face 'testing)
------

Evaluate just the first two forms and notice that the `testing' face is
used beyond eol.  At that point I assummed I had narrowed down the issue
to overlays, but then I evaluated the next two forms and that resulted
in the same issue (the comment and strings used different faces, but
that is due to font-lock using two fontification phases I believe).

I have not yet looked into why Magit's diff faces extend beyond eol even
though I didn't tell them too, but the above is so surprising to me that
I will wait to hear back from you about that first before investigating
any further.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 31 Oct 2019 17:29:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 13:29:57 2019
Received: from localhost ([127.0.0.1]:54228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQEGi-0005xf-QN
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:29:57 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:55552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iQEGg-0005xQ-Iz
 for 37774 <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:29:54 -0400
Received: by mail-wm1-f49.google.com with SMTP id g24so6802000wmh.5
 for <37774 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 10:29:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=3Xiq3dZWZ4BHZMZdzIpNxC61AsbOv70f5p+0/oCPWh4=;
 b=LZ68vUpziZXLlDZWBJ5eRk70LWtMnFWkVhTyMpqzdBTMs+mj1yxrMfMSV4PM5BxvSk
 5hmpvKCHluXFWPuqX4rxKCzDqRIXgI6js4EacT1XFbQ6eJSLvr4+ApHeDpl6VOlFFovK
 f14up1ExwRqDpGFklm1XxrqGyVz4k4lJlun0h5FyDZeW7ZUk/GkIWvsqg6xlU96YpEBe
 jIRa1LcvQHEd7BctGVvmex88ALpjvZHcr4vyIH2O0gm5pKYnD4NMHxQXtPquReVeMvKE
 nzEZv3d4Ydx6dUnLLLInOAFkL0poyuZrnJ2sqiugfGgy3fTSF/9ZfaJBPNtnl440GWHd
 hR9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=3Xiq3dZWZ4BHZMZdzIpNxC61AsbOv70f5p+0/oCPWh4=;
 b=jeEaJdDxoSff+E5AXk8/A0NjRi0/aHhgGKiPkgolL7FY8oKCYPZtZmyc66VWMTRd9I
 LdhSSFn1bDz8yTu3V2rLi8Qw8psnmUsdQTXW9ToaJYgA5volkZDOf5JRAMy4aC2FIrGN
 EJLa3QE7zHpVUgvdmqjv9/lyVvVtF4NAIL1SUlpf4Wb+hxv7+/Ki64cnmJE3uOh9zYKN
 TF0WxKioV+Ho/sPe5JKRkTKEMNO0eeYvbrUhtF+8QgWrO6H4E0lETh6di+9adASSkf2a
 VXGfR2XekEoB4T9liki8Ahi1HfmGNU/LSYqghkzm6oqX4ux/5esKoJgRNRjuj430VjIq
 RP/A==
X-Gm-Message-State: APjAAAW1pgTNnIsUyQYXxnRHylno8AUESRyVg29c16SJ2Gn08HovBUAm
 L/LfvBx3N+9z+/z0XzTHLDWFnkb4gqg=
X-Google-Smtp-Source: APXvYqwC10wxkfrVbuCg2GjMc6TYA/s+wAFos9sxcaQeBV85kyIMolor68vshm9FB+UouKBMdolOig==
X-Received: by 2002:a1c:e308:: with SMTP id a8mr6258689wmh.55.1572542988125;
 Thu, 31 Oct 2019 10:29:48 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id v81sm4392066wmg.4.2019.10.31.10.29.46
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 31 Oct 2019 10:29:46 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Jonas Bernoulli <jonas@HIDDEN>, 37774 <at> debbugs.gnu.org
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1c134c10-8959-0dc9-eb25-4a91c3a37173@HIDDEN>
Date: Thu, 31 Oct 2019 19:29:44 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <87o8xwrjba.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 31.10.2019 18:06, Jonas Bernoulli wrote:
> Dmitry keeps urging me to comment here, so I am doing that even though
> I don't feel like I understand this enough yet to not make a fool of
> myself.  Oh well, if you insist.

I make a fool of myself on a regular basis.

> IMO going with a `noextend' attribute instead of `extend' would be that
> alternative approach.  Even if `extend' does not require any special
> treatment and even if it does not require each and every theme to be
> adjusted.  Again, I don't know whether there is any special treatment
> and whether themes have to be adjusted.

Personally, I'd go with a simple symbol property instead of face 
attributes, so themes are unaffected either way. But we'd need good 
reasons to change the design now.

> (It should be clear by now that I am not so happy that Dmitry kept
> urging me to comment here.)

I appreciate you doing that anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 31 Oct 2019 16:48:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 12:48:25 2019
Received: from localhost ([127.0.0.1]:54157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQDcX-0002qi-0h
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:48:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQDcW-0002qX-82
 for 37774 <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:48:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56924)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQDcQ-0003OD-NX; Thu, 31 Oct 2019 12:48:18 -0400
Received: from [176.228.60.248] (port=2705 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQDcQ-00005R-4J; Thu, 31 Oct 2019 12:48:18 -0400
Date: Thu, 31 Oct 2019 18:48:17 +0200
Message-Id: <834kzooo8e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-reply-to: <87o8xwrjba.fsf@HIDDEN> (message from Jonas Bernoulli on Thu, 
 31 Oct 2019 17:06:17 +0100)
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <87o8xwrjba.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Date: Thu, 31 Oct 2019 17:06:17 +0100
> 
> I believe that sometimes a face extends beyond eol even though there is
> nothing (no explicit `:extend t` nor any `:inherit' what-so-ever) that
> tells it to do so.  Maybe it does make a difference whether the face is
> used by an overlay or not.  Or maybe that is completely irrelevant.
> Other faces however do not extend past eol and I am unable to see how
> these faces differ from the faces that do.
> 
> You can verify that
> (1) by making sure no theme is in use
> (2) opening a Magit diff
> (3) note how most faces extend beyond eol
> (4) look at the definition of these faces and notice that there is
>     nothing that tells those faces to extend beyond eol.  Yet they
>     do.
> 
> Such faces include for example `magit-section-highlight' and
> `magit-diff-added'.
> 
> A counter example is `magit-diff-file-heading-highlight'.  That does
> not extend and I don't see how it is different from the other faces
> that I mentioned.

Is there an easier way of reproducing this than installing Magit and
actually using it?  Could you perhaps come up with a much simpler
recipe that just defines a face like Magit does?

The feature we are talking about is implemented in the display code,
whereas Magit is a large and complex package.  Mapping what one sees
in Magit back to the display code is not an easy job, so anything you
can do to ease that will be appreciated.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 31 Oct 2019 16:06:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 12:06:38 2019
Received: from localhost ([127.0.0.1]:54116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQCy5-0001iC-Mt
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:06:37 -0400
Received: from mail.hostpark.net ([212.243.197.30]:45360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1iQCy1-0001hw-D7
 for 37774 <at> debbugs.gnu.org; Thu, 31 Oct 2019 12:06:36 -0400
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 96632160E3
 for <37774 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 17:06:31 +0100 (CET)
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10124)
 with ESMTP id Hw3xgYghGkeU for <37774 <at> debbugs.gnu.org>;
 Thu, 31 Oct 2019 17:06:31 +0100 (CET)
Received: from p2 (212-51-149-230.fiber7.init7.net [212.51.149.230])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 13F9815FA5
 for <37774 <at> debbugs.gnu.org>; Thu, 31 Oct 2019 17:06:31 +0100 (CET)
User-agent: mu4e 1.1.0; emacs 27.0.50
From: Jonas Bernoulli <jonas@HIDDEN>
To: 37774 <at> debbugs.gnu.org
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Date: Thu, 31 Oct 2019 17:06:17 +0100
Message-ID: <87o8xwrjba.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Dmitry keeps urging me to comment here, so I am doing that even though
I don't feel like I understand this enough yet to not make a fool of
myself.  Oh well, if you insist.

My main concern--and, due to what I believe to be bugs in the current
implementation, I haven't been able to verify whether that is a valid
concerns--is that each and every theme that customizes a face that was
defined to `extend' beyond eol will have to redo that configuration.

If this is really so, then it will take years until all themes have been
adjusted and through these years users will keep failing bug reports
about broken looks of Magit and other packages.  I do not look forward
to that.

Then again maybe I am wrong about that. However I have glanced over some
things that sound like `extend' is getting some special treatment that
does not apply to other attributes.  If that is so then I would consider
that a mistake and a strong indicator that maybe another approach should
be found that does not require any special treatment.

IMO going with a `noextend' attribute instead of `extend' would be that
alternative approach.  Even if `extend' does not require any special
treatment and even if it does not require each and every theme to be
adjusted.  Again, I don't know whether there is any special treatment
and whether themes have to be adjusted.

(It should be clear by now that I am not so happy that Dmitry kept
urging me to comment here.)

Okay then lets move to the bugs that I have found, possibly.  Maybe they
are not bugs and I have just done something stupid without realizing it.
Anyways...

I believe that sometimes a face extends beyond eol even though there is
nothing (no explicit `:extend t` nor any `:inherit' what-so-ever) that
tells it to do so.  Maybe it does make a difference whether the face is
used by an overlay or not.  Or maybe that is completely irrelevant.
Other faces however do not extend past eol and I am unable to see how
these faces differ from the faces that do.

You can verify that
(1) by making sure no theme is in use
(2) opening a Magit diff
(3) note how most faces extend beyond eol
(4) look at the definition of these faces and notice that there is
    nothing that tells those faces to extend beyond eol.  Yet they
    do.

Such faces include for example `magit-section-highlight' and
`magit-diff-added'.

A counter example is `magit-diff-file-heading-highlight'.  That does
not extend and I don't see how it is different from the other faces
that I mentioned.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 24 Oct 2019 17:04:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 13:04:46 2019
Received: from localhost ([127.0.0.1]:36872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNgXV-0006fF-VW
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 13:04:46 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:36107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1iNgXU-0006f0-3o
 for 37774 <at> debbugs.gnu.org; Thu, 24 Oct 2019 13:04:44 -0400
Received: by mail-wr1-f45.google.com with SMTP id w18so26384045wrt.3
 for <37774 <at> debbugs.gnu.org>; Thu, 24 Oct 2019 10:04:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=L61oYBSlR7vrLLKmEM0Eh7Nww7NRXd0S6tyaTjvOdN0=;
 b=cQPElOqo8+l8AIOUxl78TWSkR59mlJqlnUEWJannyYHj0Yt7Yx5T6QWH70a868s2vV
 sJ9RoI9FfdQMFV12fvS+UXbQtoiXb1YFohTSapOJ7seoPsQtE2nu2m1FANqlK3vRtuEd
 QqCxCcXgRLJLO5gaW1y72heMO42mCmlt2Vr+seEFibJsIKXfEgce0n8JSlGWB2BMfdyn
 J4Bn8r/+E0DRWYvFXViJ6WHh0cEQC+Q14oQacSNATkVr7b4nL3svvpgiEhrf4Gxjsncd
 n0nxOlhTWNu+ssN5Mc1RiVDu66QMQY8u6mRfSHjYfdxCxx1bmNJR1loxjFq74aYCZiqf
 EXMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=L61oYBSlR7vrLLKmEM0Eh7Nww7NRXd0S6tyaTjvOdN0=;
 b=sIVxDXBdrcyMUf9rdx1eoXyh3tlySsJIScsiujbuC863LD876B8vZWTncvcYAqPdbT
 HqsbHaKGAWik/iUtBDcVjQ8wYwKaInXp7k/+gFn7Li/SkIVt+uYgnV2jmRFrp9XgPnIK
 e59fJRnxAti42rMLyMCLbRupE4K2M2xhTAXTZCIcVoyTtWqqaDPYUx2nr6VcPoeH/dZA
 GUj7znJarpFqUzC+euktGfZhIvsRuceKJ0KULlwh83noy+MF7VTL8vetRJioB5mF2cEt
 7px/FuDlIzAfaY6TQe8XFZHbgT5Hj488raNvEX6z3vxV3W1zazRAYfUY+9dgnIISdGhT
 DHYg==
X-Gm-Message-State: APjAAAXFBHzcNu51Z9WbkcXTc9t2065D6GOPfxTLGllaxivXspg/HYu7
 dyS1hZk0xkG6tUsOOyDgNGeQY1Qb
X-Google-Smtp-Source: APXvYqyFFEDv1IV6KVwxNRybpMaGiAi/ivkid/fLiRLhLPS9zUKilmkRJ+5OjDL3f1cpTWF3i029QA==
X-Received: by 2002:adf:ea50:: with SMTP id j16mr4622657wrn.295.1571936677963; 
 Thu, 24 Oct 2019 10:04:37 -0700 (PDT)
Received: from little-buster ([92.184.101.110])
 by smtp.gmail.com with ESMTPSA id s21sm31144054wrb.31.2019.10.24.10.04.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 24 Oct 2019 10:04:36 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN>
 <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN>
 <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN>
 <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN>
 <83k18vzd1j.fsf@HIDDEN>
 <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN>
 <831rv3z6cn.fsf@HIDDEN>
 <ae49bae4-f0d6-ed0d-1267-89e319a09bc5@HIDDEN>
Date: Thu, 24 Oct 2019 19:04:31 +0200
In-Reply-To: <ae49bae4-f0d6-ed0d-1267-89e319a09bc5@HIDDEN> (Dmitry Gutov's
 message of "Wed, 23 Oct 2019 23:28:50 +0300")
Message-ID: <87blu6krc0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Dmitry Gutov <dgutov@HIDDEN> writes:

> Yeah, so: what's the plan for Magit?
>
> Will the new version of it have to
>
> (if <emacs version is...>
>     (defface ...)
>   (defface ...)
>
> ?

> We should define and document a "migration path", e.g. say what a
> package author should do if they have a face which needs to be
> extended, preferably without breaking compatibility with Emacs 26.

Earlier in the thread[1] I suggested this method to avoid the duplicate
defface issue:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=demo.patch

--- magit-diff.el.bkp	2019-10-23 17:02:13.340410735 +0200
+++ magit-diff.el	2019-10-24 17:54:58.769446997 +0200
@@ -509,12 +509,14 @@
   :group 'magit-faces)
 
 (defface magit-diff-hunk-heading
-  '((((class color) (background light))
+  `((((class color) (background light))
      :background "grey80"
-     :foreground "grey30")
+     :foreground "grey30"
+     ,@(when (>= emacs-major-version 27) '(:extend t)))
     (((class color) (background dark))
      :background "grey25"
-     :foreground "grey70"))
+     :foreground "grey70"
+     ,@(when (>= emacs-major-version 27) '(:extend t))))
   "Face for diff hunk headings."
   :group 'magit-faces)
 

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Would this be an acceptable migration path?  Magit requires Emacs=E2=89=A52=
5.1
if I am not mistaken; I don't know how portable this solution would be.

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D37774#212
    AFAICT no-one outright rejected this idea; I apologize if I missed
    someone pointing out shortcomings.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 24 Oct 2019 14:56:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 10:56:29 2019
Received: from localhost ([127.0.0.1]:36763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNeXM-0001FV-8L
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 10:56:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNeXJ-0001FI-V6
 for 37774 <at> debbugs.gnu.org; Thu, 24 Oct 2019 10:56:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46653)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNeXE-0000RK-E3; Thu, 24 Oct 2019 10:56:20 -0400
Received: from [176.228.60.248] (port=3808 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNeXA-0006yG-VU; Thu, 24 Oct 2019 10:56:18 -0400
Date: Thu, 24 Oct 2019 17:56:02 +0300
Message-Id: <838spaxke5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <ae49bae4-f0d6-ed0d-1267-89e319a09bc5@HIDDEN> (message from
 Dmitry Gutov on Wed, 23 Oct 2019 23:28:50 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN> <83k18vzd1j.fsf@HIDDEN>
 <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN> <831rv3z6cn.fsf@HIDDEN>
 <ae49bae4-f0d6-ed0d-1267-89e319a09bc5@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 23 Oct 2019 23:28:50 +0300
> 
> > I don't mind if package maintainers want to make that decision by
> > themselves, but if that is the case, I don't think there's anything
> > left to do for this bug report?  I though some action will be required
> > from us, that's why I asked all those questions.
> 
> We should define and document a "migration path", e.g. say what a 
> package author should do if they have a face which needs to be extended, 
> preferably without breaking compatibility with Emacs 26.

We can do that in NEWS, if what's already there is not clear enough.

> > It's a difference between a small number and a very large number.
> > Theoretically, someone could argue that a change that requires to
> > modify lots of faces shouldn't be so unconditional, or shouldn't be
> > the default, or should have a "fire escape", or something to that
> > effect.  But if people don't mind changing their faces, then such
> > fears have no basis, and we are good with what we have.
> 
> A "fire escape" would depend on a user's config, right? I don't like the 
> sound of that approach, personally.

"Fire escape" in this context means a way to get the old behavior
without inordinately too much work on the part of the user.

> A lot of face don't inherit from anything on purpose. Anyway, I've 
> pinged Magit's maintainer, let's see what he says.

Thanks.

> >>> If too many faces in unbundled packages indeed need to change in that
> >>> way, we should consider additional measures.  That's why we need good
> >>> reasons for extending each face, not just "because they were before"
> >>> or because people were used to see them extended.
> >>
> >> Those are not the worst reasons, though.
> > 
> > Not sure I understand in what sens did you use "the worst" here.
> 
> "People were used to ..." is basically 99% of the arguments that were 
> given in all past discussions for not changing defaults to be more 
> "modern" or whatever. And there's some merit to that.

No, in past discussions people usually also brought up
functionality-related arguments, not just that they are used to the
old behavior.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 23 Oct 2019 20:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 16:29:03 2019
Received: from localhost ([127.0.0.1]:35078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNNFf-0005o5-GT
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 16:29:03 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:34074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iNNFd-0005nU-Bm
 for 37774 <at> debbugs.gnu.org; Wed, 23 Oct 2019 16:29:01 -0400
Received: by mail-wm1-f41.google.com with SMTP id v3so474690wmh.1
 for <37774 <at> debbugs.gnu.org>; Wed, 23 Oct 2019 13:29:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=N6SqXYGmHRQKi06F4ASXVkeUiGrRzhY3L50uliIsTOs=;
 b=auO/bqgdK+LBIAIqo+z2uvGHm4qi3MoF2zG7UA/CeWlYYEXdgioY9pn0HVH0Mf22aI
 GeNaHM2jGZyBRSoFsut0cPOAO273hFm8nAhpU8CeQbt3AX7TkiMjRx9N056q6EWoZ7j3
 MaQFldjUx9UclfmQCLiLJutqoAb2nOHUdF7JjpTTin0Inw5ZzodLwEIbqTNADs7XjisQ
 cR9vkZN4TFNMn8CXe8klym0L64n4i2MI0ciyDqNgSifXjmJ0iZbOZ4/5+amm6tedvutI
 qa19ukFINcnSmtW4h2L52/vnu9hzegTXEzRpDn8+4sewpEKPuJAj3DbVfZu86wzCMYjz
 HyzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=N6SqXYGmHRQKi06F4ASXVkeUiGrRzhY3L50uliIsTOs=;
 b=FX1MoSWleOjZfSBKA59L2G5d57kP4YAFmxM4dFi7i5WdqxV+6Fev6JXCZVJQpSVUjh
 xVrmSEXAUs3jaBsD1HjOq3cJSZPDbq93sVXspTebl/pOHHbC1a1u6CiQ1QbhUTjMcivl
 dv63mv437yEEZEwDAwLChO1AninQKWe588eTTFL3h+LeDZXYaZN81rl0ysrskFppn9b8
 Xr6kl5B4/K02TyODbNfLTZHLelW4ngDtqtDeb2fAsljrFXkXC+sFGT1MbZSuaTGaLh2E
 99o3n8aI2XtzBlyM3NyOXG4VFmQiVDlzZJ4SimUCw2Vw1NQmKI4LSBe2e0QnuFvM+rN/
 loRQ==
X-Gm-Message-State: APjAAAWLGNgXusEuVTqfM1GRJcEt81IeyUn8k8TFtYJdVWG0bAU6/1Dq
 U+1R4HzM3QkPUQNTlSw9NdknEQ8lR/s=
X-Google-Smtp-Source: APXvYqyIwmFrIkIc+jnHmMaJfhYvoM2hqEF3s8n6Lu9U/oLQr5U444k5ik0iiTvrAzbPelgnuypa1Q==
X-Received: by 2002:a1c:2407:: with SMTP id k7mr1440494wmk.99.1571862534917;
 Wed, 23 Oct 2019 13:28:54 -0700 (PDT)
Received: from [192.168.0.5] ([212.50.117.215])
 by smtp.googlemail.com with ESMTPSA id 26sm248586wmf.20.2019.10.23.13.28.53
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 23 Oct 2019 13:28:53 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN> <83k18vzd1j.fsf@HIDDEN>
 <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN> <831rv3z6cn.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <ae49bae4-f0d6-ed0d-1267-89e319a09bc5@HIDDEN>
Date: Wed, 23 Oct 2019 23:28:50 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <831rv3z6cn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 23.10.2019 21:04, Eli Zaretskii wrote:

>>> AFAIU, that's a list of faces one particular user decided to customize
>>> to have them extended.  It's a far cry from the list of faces that
>>> actually need to be extended, lest some important functionality will
>>> suffer.  IOW, we need some rationale for each face, so that we could
>>> consider that and decide whether or not to extend each one by default.
>>
>> Magit's maintainer will decide for each face, sure.
> 
> I don't mind if package maintainers want to make that decision by
> themselves, but if that is the case, I don't think there's anything
> left to do for this bug report?  I though some action will be required
> from us, that's why I asked all those questions.

We should define and document a "migration path", e.g. say what a 
package author should do if they have a face which needs to be extended, 
preferably without breaking compatibility with Emacs 26.

>> But I don't really see much a difference between having 2 and 20 faces
>> that will need to be updated, if it's within one package.
> 
> It's a difference between a small number and a very large number.
> Theoretically, someone could argue that a change that requires to
> modify lots of faces shouldn't be so unconditional, or shouldn't be
> the default, or should have a "fire escape", or something to that
> effect.  But if people don't mind changing their faces, then such
> fears have no basis, and we are good with what we have.

A "fire escape" would depend on a user's config, right? I don't like the 
sound of that approach, personally.

>> Even if it's just 2, do we have a recommended way to write their
>> definitions in third-party packages in a way that's compatible with
>> Emacs 26?
> 
> The best way is to inherit from some suitable parent face, I think.

A lot of face don't inherit from anything on purpose. Anyway, I've 
pinged Magit's maintainer, let's see what he says.

>>> If too many faces in unbundled packages indeed need to change in that
>>> way, we should consider additional measures.  That's why we need good
>>> reasons for extending each face, not just "because they were before"
>>> or because people were used to see them extended.
>>
>> Those are not the worst reasons, though.
> 
> Not sure I understand in what sens did you use "the worst" here.

"People were used to ..." is basically 99% of the arguments that were 
given in all past discussions for not changing defaults to be more 
"modern" or whatever. And there's some merit to that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 23 Oct 2019 18:04:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 14:04:34 2019
Received: from localhost ([127.0.0.1]:34981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNKzq-0000Da-Aj
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 14:04:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNKzo-0000DO-7j
 for 37774 <at> debbugs.gnu.org; Wed, 23 Oct 2019 14:04:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57345)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNKzi-0000li-OJ; Wed, 23 Oct 2019 14:04:26 -0400
Received: from [176.228.60.248] (port=2990 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNKzi-0004vP-1u; Wed, 23 Oct 2019 14:04:26 -0400
Date: Wed, 23 Oct 2019 21:04:08 +0300
Message-Id: <831rv3z6cn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN> (message from
 Dmitry Gutov on Wed, 23 Oct 2019 19:12:26 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN> <83k18vzd1j.fsf@HIDDEN>
 <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 23 Oct 2019 19:12:26 +0300
> 
> >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#233
> > 
> > AFAIU, that's a list of faces one particular user decided to customize
> > to have them extended.  It's a far cry from the list of faces that
> > actually need to be extended, lest some important functionality will
> > suffer.  IOW, we need some rationale for each face, so that we could
> > consider that and decide whether or not to extend each one by default.
> 
> Magit's maintainer will decide for each face, sure.

I don't mind if package maintainers want to make that decision by
themselves, but if that is the case, I don't think there's anything
left to do for this bug report?  I though some action will be required
from us, that's why I asked all those questions.

> But I don't really see much a difference between having 2 and 20 faces 
> that will need to be updated, if it's within one package.

It's a difference between a small number and a very large number.
Theoretically, someone could argue that a change that requires to
modify lots of faces shouldn't be so unconditional, or shouldn't be
the default, or should have a "fire escape", or something to that
effect.  But if people don't mind changing their faces, then such
fears have no basis, and we are good with what we have.

> Even if it's just 2, do we have a recommended way to write their 
> definitions in third-party packages in a way that's compatible with 
> Emacs 26?

The best way is to inherit from some suitable parent face, I think.

> > If too many faces in unbundled packages indeed need to change in that
> > way, we should consider additional measures.  That's why we need good
> > reasons for extending each face, not just "because they were before"
> > or because people were used to see them extended.
> 
> Those are not the worst reasons, though.

Not sure I understand in what sens did you use "the worst" here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 23 Oct 2019 16:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 12:12:41 2019
Received: from localhost ([127.0.0.1]:34874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNJFZ-0003h6-G6
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 12:12:41 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:36882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iNJFX-0003gs-IO
 for 37774 <at> debbugs.gnu.org; Wed, 23 Oct 2019 12:12:40 -0400
Received: by mail-wm1-f45.google.com with SMTP id f22so20239189wmc.2
 for <37774 <at> debbugs.gnu.org>; Wed, 23 Oct 2019 09:12:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=0dcX77nJ0rgZjV0iwFCN5XflANbGErC2brpPHs4peMs=;
 b=JA6q6FjUPc4s8nsAV4kolv97axeh9igeT1HfqLz1mBi4gq0IFgKazrIQtiVSbHw14f
 7v1Mqy65/9yjoo7mEq2tEBV6MBwINy+9zEihiPtjXic8y0W6MDlDsh9L3LKgsJ8f0ORU
 EVYHmnUFOyTo1tYuRnlW78T48tR9CTGlwlXRLGycVIwPef80WHcZW4swMc3ZKiaWE3nq
 JPHJLx9yF3AdWy0J4CX8Ooqoy5RKB4J/ll1rZz4Sn0JmbA4nN5E9V48el8D2/H62vBfS
 wS+Dtb4LdBSkCrcBeQcf703mUmKEBBgHzvXe3zxC99JDJ0LfwE6vOg2HS43YGYzr31Ne
 q85w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=0dcX77nJ0rgZjV0iwFCN5XflANbGErC2brpPHs4peMs=;
 b=Gl/9tTTJ733PmTYYua0o9Fj2Viv0Q0n8CzY0DX+Lr8SJvDsBQwBij1wMuNLTVO2nmk
 C0EHqTKDSTu18y6vd1GFILT1MFg62zmOi4YFafjiUCNWXjZOWwlaN6TkX2LqFnSUvRCi
 DYrXOZpVFe6fxj3zCvsJIZk5BZWpZgaMISMKUh3t3k5BKQqFs3pIYEP9KoPSeOHCfYUf
 xal7VIQrgPHVsvWY16Il5CQVrI8Qi66j6KVn9rqX5xTaU/3lNMbWmo3uUWTEqpkhhGbL
 CTYvvrU/ce/7TUE0tceL0izLakYZqd/obMYPT2qkULemwmhazEXBB3Eqj37cY0/qG5FW
 w30Q==
X-Gm-Message-State: APjAAAU38HEzJNEJ7sAi8WpSusQjJ0KRJUTl2FS5X0qJSs748x4eW/Sp
 rO88cqA3ZsCvwW8wZQpyy09Ur8QsSH8=
X-Google-Smtp-Source: APXvYqw9dXU38tFxU/JR9BllRGoMS/57pF+T5MExtm2EyfIsibc39lXEOgy4PRySh/TmfMuLFzJVsQ==
X-Received: by 2002:a05:600c:3cb:: with SMTP id
 z11mr672011wmd.138.1571847153145; 
 Wed, 23 Oct 2019 09:12:33 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id s10sm26839768wrr.5.2019.10.23.09.12.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 23 Oct 2019 09:12:32 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN> <83k18vzd1j.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3919a409-1a2b-8da6-a1d0-f9f6def09dfe@HIDDEN>
Date: Wed, 23 Oct 2019 19:12:26 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83k18vzd1j.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 23.10.2019 18:39, Eli Zaretskii wrote:

>>> I don't know, as I don't have a clear idea what faces there are
>>> affected and why.  I hoped someone, preferably the Magit developers,
>>> would describe that in enough detail to understand the situation.
>>
>> The list of faces has been posted here already:
>>
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#233
> 
> AFAIU, that's a list of faces one particular user decided to customize
> to have them extended.  It's a far cry from the list of faces that
> actually need to be extended, lest some important functionality will
> suffer.  IOW, we need some rationale for each face, so that we could
> consider that and decide whether or not to extend each one by default.

Magit's maintainer will decide for each face, sure.

But I don't really see much a difference between having 2 and 20 faces 
that will need to be updated, if it's within one package.

Even if it's just 2, do we have a recommended way to write their 
definitions in third-party packages in a way that's compatible with 
Emacs 26?

> If too many faces in unbundled packages indeed need to change in that
> way, we should consider additional measures.  That's why we need good
> reasons for extending each face, not just "because they were before"
> or because people were used to see them extended.

Those are not the worst reasons, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 23 Oct 2019 15:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 11:40:07 2019
Received: from localhost ([127.0.0.1]:34828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNIk1-0002p8-DE
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 11:40:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNIjz-0002oZ-IR
 for 37774 <at> debbugs.gnu.org; Wed, 23 Oct 2019 11:40:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54519)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNIjs-0002oS-7M; Wed, 23 Oct 2019 11:39:56 -0400
Received: from [176.228.60.248] (port=2065 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNIjr-0002m5-0o; Wed, 23 Oct 2019 11:39:56 -0400
Date: Wed, 23 Oct 2019 18:39:36 +0300
Message-Id: <83k18vzd1j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN> (message from
 Dmitry Gutov on Wed, 23 Oct 2019 15:47:23 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
 <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Wed, 23 Oct 2019 15:47:23 +0300
> 
> > I don't know, as I don't have a clear idea what faces there are
> > affected and why.  I hoped someone, preferably the Magit developers,
> > would describe that in enough detail to understand the situation.
> 
> The list of faces has been posted here already:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#233

AFAIU, that's a list of faces one particular user decided to customize
to have them extended.  It's a far cry from the list of faces that
actually need to be extended, lest some important functionality will
suffer.  IOW, we need some rationale for each face, so that we could
consider that and decide whether or not to extend each one by default.

Besides, some of those in the list were already changed.

If too many faces in unbundled packages indeed need to change in that
way, we should consider additional measures.  That's why we need good
reasons for extending each face, not just "because they were before"
or because people were used to see them extended.

> As apparent from their names, most of them are used in a Diff output 
> buffer, similar to our diff-mode faces.

Most, but not all.  And I'm not yet convinced that every face with
"diff" in it must indeed be extended, we need to see examples of their
display, and we need to talk about that.

> In anticipation of your next question: no, they don't inherit from any 
> of the diff-mode faces.

I know.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 23 Oct 2019 12:47:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 08:47:36 2019
Received: from localhost ([127.0.0.1]:32874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNG35-0004SW-KG
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 08:47:35 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:38272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iNG32-0004SI-Ok
 for 37774 <at> debbugs.gnu.org; Wed, 23 Oct 2019 08:47:33 -0400
Received: by mail-wr1-f50.google.com with SMTP id v9so10680375wrq.5
 for <37774 <at> debbugs.gnu.org>; Wed, 23 Oct 2019 05:47:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=5KSUIaCQke8R/NlU1TNHj+TCXWOpunPN084tA+uBVVg=;
 b=d3gfjGGmjQ84eic12iRQciro7BicwUhsGQEtjQIJNv1uN2YQeO4fhwdIDip4zgPPQw
 sRW8ZwJCcjF5tmRin87nhjDbqU6x+5jqIAYfEUvGker60kXOAkXDXYPwj3QX0GX0US2d
 XOP08P4MCQDujmbo/NUR9Xkyo85YEKHSzKf2n5X65EjPQ6GmL7FWujZa1z6+UTZJ0llL
 eqHjvT3ewFvSHizFaT8cT+ZWMUPuYxAxBbjlJD/HvKlvSHQp+94FLTg1Y3e8lEwdve2T
 PXQoc3Y9m+vbRJojkfbgExcXL/Tn8Idwua1NexkfrRA99ZyK0zKSlefIcdjRvxPyyzQD
 xsdg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5KSUIaCQke8R/NlU1TNHj+TCXWOpunPN084tA+uBVVg=;
 b=agmRiYHPF94LIs3sOcLOKbaxN4MK43nGHtUClW1ndwWE4+ysRoBLoiSjnUEh7yIhyv
 e6Bat2LSSo0f4W26xX5a+f0OwmkMYf5yrA2BjGhIVE6XFWNIPVGEDx/wukdYA3cJQsXT
 qWl14XKuf0iO5Z9J4YXrHhuXv5u+hq+v/tYdo9BCkr6RUr82mfN8yCtmEUyiyZH2XAOS
 1VrfoD24BoqmVP+T8KHWdiww57hkjAYAy0KsFDR3StVY00YRW1pmB1LWZI/YoNk9Mdn7
 DRNOKXmrkB1CWEH98pgbQ8dKNw2eURGcyzQVmdfVrfTxmo7oaIh0e8CYMybwiCJyKwsO
 xQNA==
X-Gm-Message-State: APjAAAXywahJa4uQOOOiHG4jB/Im6r/14tvQJkYfK7AcaqEPlvGr7h2U
 cHbbXT3yW+z2XoLstjPevn6lObnaYLk=
X-Google-Smtp-Source: APXvYqwyp/ZVqcVPn0ug1f40VUcmz0JaNzg+DF+AFd5sx+MAV+pv0EXWLcqUQsER2/gevxAmV379tQ==
X-Received: by 2002:a05:6000:34f:: with SMTP id
 e15mr9011834wre.232.1571834846441; 
 Wed, 23 Oct 2019 05:47:26 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id u10sm12492950wmj.0.2019.10.23.05.47.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 23 Oct 2019 05:47:25 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> <83h8424ojp.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <9fbdd8e8-4f6a-1aba-6509-d2699c82373b@HIDDEN>
Date: Wed, 23 Oct 2019 15:47:23 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <83h8424ojp.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21.10.2019 9:10, Eli Zaretskii wrote:

>> Yeah, so: what's the plan for Magit?
> 
> I don't know, as I don't have a clear idea what faces there are
> affected and why.  I hoped someone, preferably the Magit developers,
> would describe that in enough detail to understand the situation.

The list of faces has been posted here already:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37774#233

As apparent from their names, most of them are used in a Diff output 
buffer, similar to our diff-mode faces. With the same motivation to 
:extend them.

In anticipation of your next question: no, they don't inherit from any 
of the diff-mode faces.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 21 Oct 2019 21:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 17:30:39 2019
Received: from localhost ([127.0.0.1]:58003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMfGA-0005wH-NN
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 17:30:38 -0400
Received: from bonobo.elm.relay.mailchannels.net ([23.83.212.22]:32612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iMfG5-0005vt-AL
 for 37774 <at> debbugs.gnu.org; Mon, 21 Oct 2019 17:30:33 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 30ECA6A1D86;
 Mon, 21 Oct 2019 21:30:32 +0000 (UTC)
Received: from pdx1-sub0-mail-a57.g.dreamhost.com
 (100-96-92-142.trex.outbound.svc.cluster.local [100.96.92.142])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id B28C46A1B0F;
 Mon, 21 Oct 2019 21:30:31 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a57.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 21 Oct 2019 21:30:32 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Stupid-Towering: 15e8a5243dbf4c06_1571693431971_145038908
X-MC-Loop-Signature: 1571693431970:4181496332
X-MC-Ingress-Time: 1571693431970
Received: from pdx1-sub0-mail-a57.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a57.g.dreamhost.com (Postfix) with ESMTP id 0484D7FDD2;
 Mon, 21 Oct 2019 14:30:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=4lE9SVFocbJMKH5klYyalh1zObk=; b=
 pQ2OcHybz0CA7/QnRUjkIH26X7xuW+6uAkb8kDlRiDkM/Xb3idj6V3imWiCvq51E
 GYtJwNyNXnb9Y8RU3n0vlHU2Lscx9cF3TZj0xkpltfCI6I/yxhnSb61CavWiuvIk
 pS5/cebNu+ezaQ5UyyFksrLxNkA1Q94fPOF5TQnK5Uk=
Received: from mail.jurta.org (m91-129-98-153.cust.tele2.ee [91.129.98.153])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a57.g.dreamhost.com (Postfix) with ESMTPSA id 1DDB27FE2A;
 Mon, 21 Oct 2019 14:30:27 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a57
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <83wod28ryn.fsf@HIDDEN>
 <87v9sko6k4.fsf@HIDDEN>
Date: Tue, 22 Oct 2019 00:29:41 +0300
In-Reply-To: <87v9sko6k4.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 19 Oct 2019 23:53:47 +0300")
Message-ID: <87k18xdby2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> > But I think that our (e)diff blocks are affected by the change and all
>>> > their face settings probably have to change, as well as tables and
>>> > listings.
>>>
>>> Yes, (e)diff face settings have to change, but actually I discovered
>>> that diff-refined faces don't need to extend to the window edge,
>>> because they don't form a block, they are word-based.
>>
>> I agree.  I think the number of faces that might need to include
>> :extend is very small.
>
> So I added :extend to diff faces, except word-based refinement faces.

I forgot to add :extend to dynamically generated vc-annotate faces,
now fixed.  I wonder how many such tricky cases still remain undiscovered.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 21 Oct 2019 06:10:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 02:10:18 2019
Received: from localhost ([127.0.0.1]:55605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMQtV-0003eS-VM
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:10:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iMQtU-0003eC-FT
 for 37774 <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:10:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60336)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iMQtN-0006uC-Ia; Mon, 21 Oct 2019 02:10:10 -0400
Received: from [176.228.60.248] (port=1546 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iMQtM-0002Io-4U; Mon, 21 Oct 2019 02:10:09 -0400
Date: Mon, 21 Oct 2019 09:10:02 +0300
Message-Id: <83h8424ojp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN> (message from
 Dmitry Gutov on Sun, 20 Oct 2019 23:07:03 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
 <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Sun, 20 Oct 2019 23:07:03 +0300
> 
> On 17.10.2019 20:23, Eli Zaretskii wrote:
> > But there's a more general claim in this bug report: that the change
> > will screw many unbundled packages out there; if that is true,
> > changing some faces in core is not a solution.
> 
> Yeah, so: what's the plan for Magit?

I don't know, as I don't have a clear idea what faces there are
affected and why.  I hoped someone, preferably the Magit developers,
would describe that in enough detail to understand the situation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 20 Oct 2019 20:07:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 16:07:13 2019
Received: from localhost ([127.0.0.1]:55334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMHTs-0003nK-UE
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 16:07:13 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:34269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iMHTr-0003n6-EE
 for 37774 <at> debbugs.gnu.org; Sun, 20 Oct 2019 16:07:11 -0400
Received: by mail-wr1-f51.google.com with SMTP id t16so6352069wrr.1
 for <37774 <at> debbugs.gnu.org>; Sun, 20 Oct 2019 13:07:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=ufAzrl/Z4owM+GE8DjC8cG/gLUFkuQz3KGAY8EvRldA=;
 b=BJw0etkNRLyMRuNX1b5qiZC0/G/1ZfLCueMH8XYF1IhVrWgha4Pvi44N3HYLPu6gUl
 EJ21hYJyfBdg+N3NeEWoCtUQjLh+lSFLAwn1echdmcnXkZRFdVAtC5m6ICMK75nkgoGf
 HxVI+i4PEnHbKNCHJLbLHVgoHBKuBi9cgXDtE1fFpfRJl7G/Zdt6265ECAwrLjB4w+bh
 F5Rvhf+y015plk2KLXlXlOWJdQgb4hpLxTGKUPLgimiUKYbN/1nLRm7kaQR6+3uo07Kw
 PLahAqo6Wjc+BVU4QjIhZdrZRFABnOdgiRa5opyJEiyHAtaZqKyCoWbfZZNex86N4PkJ
 pD/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=ufAzrl/Z4owM+GE8DjC8cG/gLUFkuQz3KGAY8EvRldA=;
 b=sRDkLAUXZSQJo5SdfK0aLa9QeuqkPXjjPIPilPo7WvXCWuODTsIXJ3aF9rceLysyXJ
 eO8FwVlpR1Y32T89AVkfQNVPquKx/yDP5nNv7UTv1Ebqsq4YPRvHe8IIF16ej4NDMWrs
 /nrk622aaEy4pfWjLV3CYsM+sW6d0tHFHyW60WfiFrqk8OtQbjKj7kkd88Z01ooD/Vzc
 8lX7f37aBKfQ+KWnnLfXMKQK9LaLm12S/H+nE8cnUZmQtPg2Sb3NXuDoFhXndcFu6n32
 uHRCMhukiGlDKA9+SR0PcRbk/W8kZBhoN4oTqBlS7cW8i/uvDc8yGhVi0urxIypUaax1
 RGmQ==
X-Gm-Message-State: APjAAAXlV37ejWHsD3VcNdVYf+xrkczrIfu5PRVMYvYHtXww972f3PgV
 kP1XZwr5y223wEUFxIEheS0jEJ2i
X-Google-Smtp-Source: APXvYqxo7eRIidfFf6zZkZG8tJFJ7A636pUciOEz6NhriG5+tBqHnuseBq83GXyzW/KIldsH6Szofg==
X-Received: by 2002:adf:e702:: with SMTP id c2mr14802919wrm.70.1571602025296; 
 Sun, 20 Oct 2019 13:07:05 -0700 (PDT)
Received: from [192.168.1.125] (62-65-176.netrun.cytanet.com.cy.
 [62.228.65.176])
 by smtp.googlemail.com with ESMTPSA id o25sm2888637wro.21.2019.10.20.13.07.03
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 20 Oct 2019 13:07:04 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5db11c91-a216-40f6-f4c2-7b10c73532cc@HIDDEN>
Date: Sun, 20 Oct 2019 23:07:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83imon9tg3.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On 17.10.2019 20:23, Eli Zaretskii wrote:
> But there's a more general claim in this bug report: that the change
> will screw many unbundled packages out there; if that is true,
> changing some faces in core is not a solution.

Yeah, so: what's the plan for Magit?

Will the new version of it have to

(if <emacs version is...>
     (defface ...)
   (defface ...)

?

Essentially copying the definition of each affected face?

I'm not sure it can use set-face-attribute here, because if this 
attribute is allowed to be overridden by a theme, packages should 
respect that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 20 Oct 2019 16:59:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 12:59:18 2019
Received: from localhost ([127.0.0.1]:55202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMEY1-0007fP-VU
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 12:59:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iMEY0-0007fE-Id
 for 37774 <at> debbugs.gnu.org; Sun, 20 Oct 2019 12:59:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50817)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iMEXu-00048a-Hi; Sun, 20 Oct 2019 12:59:10 -0400
Received: from [176.228.60.248] (port=1277 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iMEXt-0006Gt-VW; Sun, 20 Oct 2019 12:59:10 -0400
Date: Sun, 20 Oct 2019 19:59:01 +0300
Message-Id: <83v9sj4alm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87v9sjsq9w.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 20 Oct 2019 18:42:35 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <83wod28ryn.fsf@HIDDEN>
 <87v9sko6k4.fsf@HIDDEN> <83y2xg54yw.fsf@HIDDEN>
 <87v9sjsq9w.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: rudalics@HIDDEN,  andreyorst@HIDDEN,  37774 <at> debbugs.gnu.org
> Date: Sun, 20 Oct 2019 18:42:35 +0300
> 
> >>               (save-excursion
> >>                 (goto-char rbeg)
> >>                 (save-match-data
> >>                   (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
> >>                     (remove-text-properties (match-beginning 0)
> >>                                             (match-end 0)
> >>                                             '(font-lock-face t)))))
> >
> > Yes, I think so, but maybe leave this code in place conditioned by the
> > relevant face being extended, in case users customize them?
> 
> I noticed that this code is still needed because ':extend nil'
> still highlights the final newline at EOL, but this code removes
> highlighting from newlines.

Right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 20 Oct 2019 16:32:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 12:32:34 2019
Received: from localhost ([127.0.0.1]:55168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iME8A-00071c-6K
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 12:32:34 -0400
Received: from bonobo.birch.relay.mailchannels.net ([23.83.209.22]:58210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iME88-00071U-2d
 for 37774 <at> debbugs.gnu.org; Sun, 20 Oct 2019 12:32:32 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id D61FC5E034F;
 Sun, 20 Oct 2019 16:32:30 +0000 (UTC)
Received: from pdx1-sub0-mail-a73.g.dreamhost.com
 (100-96-84-88.trex.outbound.svc.cluster.local [100.96.84.88])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 6B1615E0AAF;
 Sun, 20 Oct 2019 16:32:30 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a73.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 20 Oct 2019 16:32:30 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Befitting-Spill: 3072560e3d42bbb8_1571589150658_606254196
X-MC-Loop-Signature: 1571589150658:862994966
X-MC-Ingress-Time: 1571589150657
Received: from pdx1-sub0-mail-a73.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a73.g.dreamhost.com (Postfix) with ESMTP id 0D1DC82C0F;
 Sun, 20 Oct 2019 09:32:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=QDm9bc2pHKJFzicln9cXQmX3lW8=; b=
 B2V/B/xF96Xwd+AGCdKRjtTH3hINK4NVQ88ItEhazLjDLApvMebVGo/42+gjFlpB
 afL+CtsNJF35ceO7BT7FZM2UJPutO5ljOFxUjE198IrbkwTsUXjAg6E/U8JDUD+T
 +KlR8z2xeiMyBzWEdQri3RCyE7ITxxVfc5OeSm3PeBs=
Received: from mail.jurta.org (m91-129-98-153.cust.tele2.ee [91.129.98.153])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a73.g.dreamhost.com (Postfix) with ESMTPSA id B384782BF2;
 Sun, 20 Oct 2019 09:32:24 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a73
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Organization: LINKOV.NET
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <83wod28ryn.fsf@HIDDEN>
 <87v9sko6k4.fsf@HIDDEN> <83y2xg54yw.fsf@HIDDEN>
Date: Sun, 20 Oct 2019 18:42:35 +0300
In-Reply-To: <83y2xg54yw.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Oct
 2019 09:03:03 +0300")
Message-ID: <87v9sjsq9w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Additional question: since now in multi-line Info references faces don't
>> extend beyond EOL by default, could the following hack to be removed
>> from info.el:
>>
>>               ;; For multiline ref, unfontify newline and surrounding whitespace
>>               (save-excursion
>>                 (goto-char rbeg)
>>                 (save-match-data
>>                   (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
>>                     (remove-text-properties (match-beginning 0)
>>                                             (match-end 0)
>>                                             '(font-lock-face t)))))
>
> Yes, I think so, but maybe leave this code in place conditioned by the
> relevant face being extended, in case users customize them?

I noticed that this code is still needed because ':extend nil'
still highlights the final newline at EOL, but this code removes
highlighting from newlines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 20 Oct 2019 06:03:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 02:03:20 2019
Received: from localhost ([127.0.0.1]:53691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM4JE-0008RP-CJ
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 02:03:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iM4JD-0008RC-4N
 for 37774 <at> debbugs.gnu.org; Sun, 20 Oct 2019 02:03:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45176)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iM4J7-0008Da-CW; Sun, 20 Oct 2019 02:03:13 -0400
Received: from [176.228.60.248] (port=3994 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iM4J6-0002V7-SI; Sun, 20 Oct 2019 02:03:13 -0400
Date: Sun, 20 Oct 2019 09:03:03 +0300
Message-Id: <83y2xg54yw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87v9sko6k4.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 19 Oct 2019 23:53:47 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <83wod28ryn.fsf@HIDDEN>
 <87v9sko6k4.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: rudalics@HIDDEN,  andreyorst@HIDDEN,  37774 <at> debbugs.gnu.org
> Date: Sat, 19 Oct 2019 23:53:47 +0300
> 
> So I added :extend to diff faces, except word-based refinement faces.

Thanks.

> Also I considered adding :extend to multi-line isearch matches,
> but in fact yanking in isearch is word-based such as C-w,
> so maybe the current default is fine.  Or do you think it's important
> to extend highlighting of matched empty lines beyond EOL
> to make them more noticeable?  Then we'll need to extend
> matching of empty like also for lazy-highlight, hi-lock, occur faces.

I think we should add :extend only if there's little doubt about its
necessity.  So let's wait with the Isearch faces until we are sure.

> Additional question: since now in multi-line Info references faces don't
> extend beyond EOL by default, could the following hack to be removed
> from info.el:
> 
>               ;; For multiline ref, unfontify newline and surrounding whitespace
>               (save-excursion
>                 (goto-char rbeg)
>                 (save-match-data
>                   (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
>                     (remove-text-properties (match-beginning 0)
>                                             (match-end 0)
>                                             '(font-lock-face t)))))

Yes, I think so, but maybe leave this code in place conditioned by the
relevant face being extended, in case users customize them?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 19 Oct 2019 20:54:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 19 16:54:41 2019
Received: from localhost ([127.0.0.1]:53607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLvkF-00033t-2j
	for submit <at> debbugs.gnu.org; Sat, 19 Oct 2019 16:54:41 -0400
Received: from bongo.elm.relay.mailchannels.net ([23.83.212.21]:13623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iLvkB-00033k-Rb
 for 37774 <at> debbugs.gnu.org; Sat, 19 Oct 2019 16:54:37 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 905EF500D69;
 Sat, 19 Oct 2019 20:54:34 +0000 (UTC)
Received: from pdx1-sub0-mail-a34.g.dreamhost.com
 (100-96-6-135.trex.outbound.svc.cluster.local [100.96.6.135])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 1D65A500C9F;
 Sat, 19 Oct 2019 20:54:34 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a34.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sat, 19 Oct 2019 20:54:34 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Belong-Cellar: 171e230d1f12b754_1571518474371_1119289579
X-MC-Loop-Signature: 1571518474371:2560533562
X-MC-Ingress-Time: 1571518474371
Received: from pdx1-sub0-mail-a34.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a34.g.dreamhost.com (Postfix) with ESMTP id B89BE8381B;
 Sat, 19 Oct 2019 13:54:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=vlgJh5ylYW//RrhbbmN1EpMIP90=; b=
 thARs4bLnwCVMjnj2Vjj/I2jEoJIJf+NL1CYpYiC6ZQM9D9NUowhWWuULYfoMtKv
 /CietwmMspE9Y+0d8BUd7L/NSwXIE26S2UM4jvFNG8UzSi6OEzRUS/YD4eFtEz+w
 MVjAFw1zoN/CVs+yx6g7uStd5ItrkdSOVo5eQTrLjog=
Received: from mail.jurta.org (m91-129-98-153.cust.tele2.ee [91.129.98.153])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a34.g.dreamhost.com (Postfix) with ESMTPSA id 0A5FA8381F;
 Sat, 19 Oct 2019 13:54:25 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a34
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Organization: LINKOV.NET
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <83wod28ryn.fsf@HIDDEN>
Date: Sat, 19 Oct 2019 23:53:47 +0300
In-Reply-To: <83wod28ryn.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Oct
 2019 09:53:36 +0300")
Message-ID: <87v9sko6k4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> > But I think that our (e)diff blocks are affected by the change and all
>> > their face settings probably have to change, as well as tables and
>> > listings.
>>
>> Yes, (e)diff face settings have to change, but actually I discovered
>> that diff-refined faces don't need to extend to the window edge,
>> because they don't form a block, they are word-based.
>
> I agree.  I think the number of faces that might need to include
> :extend is very small.

So I added :extend to diff faces, except word-based refinement faces.

Also I considered adding :extend to multi-line isearch matches,
but in fact yanking in isearch is word-based such as C-w,
so maybe the current default is fine.  Or do you think it's important
to extend highlighting of matched empty lines beyond EOL
to make them more noticeable?  Then we'll need to extend
matching of empty like also for lazy-highlight, hi-lock, occur faces.

Additional question: since now in multi-line Info references faces don't
extend beyond EOL by default, could the following hack to be removed
from info.el:

              ;; For multiline ref, unfontify newline and surrounding whitespace
              (save-excursion
                (goto-char rbeg)
                (save-match-data
                  (while (re-search-forward "\\s-*\n\\s-*" rend t nil)
                    (remove-text-properties (match-beginning 0)
                                            (match-end 0)
                                            '(font-lock-face t)))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 18 Oct 2019 14:25:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 10:25:33 2019
Received: from localhost ([127.0.0.1]:51342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLTC7-00081J-1R
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:25:33 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:55554)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iLTC4-000811-Lq
 for 37774 <at> debbugs.gnu.org; Fri, 18 Oct 2019 10:25:29 -0400
Received: by mail-wm1-f48.google.com with SMTP id a6so6384624wma.5
 for <37774 <at> debbugs.gnu.org>; Fri, 18 Oct 2019 07:25:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=nSpmFaBFhO18QbuY6mBhgR0EAmH154qZBqonfLJsPas=;
 b=tVyx63EH6PmcdgtfwRBW5VlZHEcAC7lfT+Zmrr1knzKYG9Td/aD7oes6mEKD2C+YAQ
 XhMNxpxOjv4/ubuwH9F9v2c3hHWEsGkL8wXwTdBLSpF9+EVoVncorEDQAL129wjIaOMi
 0850zjDSx+HSHkrPasIbmNVuYCMtOGVr1yhRlN9P3cAWOWdlkG1vZA4VSzXAChgxUbqE
 7YkWE8RR07RVOxbJUYQ5ao2thXzaUV4RiPzU+ZgbI0jJRtTJ3rvFk1nNtvzb5BF6nCpO
 2V8FPVxBtEwdineLK5BEbzd6jcYpWzIu9fl2QCDrGKpgVO9xgK1EWDc16TCEBgLGc6oN
 8AhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=nSpmFaBFhO18QbuY6mBhgR0EAmH154qZBqonfLJsPas=;
 b=pyggP/HfaM4kXu2SqeGKFjPP5wWAyTYPktGWG087BaEX9fykEu4uTjAMHAVNzR3zzd
 +jbKnJbJzHqESCaPlsiFdfclWQtjrLjojtrkLbMp3+GA4SuvOSbYudXQcN0dgcavSg66
 V0agpGKFhZfR/3xU/l35TImXliqSFcrkIVFzvIVbekGg+YsqTh2GHScwTtYw3/4umIpe
 3BWP7JbDohtFJGnPuDWNMsnwyvubCcatzdDULVVG0LHCYo0QZMrKpp9/IeDT/Dbhr8sM
 612BoAfSe5zAFfFx+Mjplo4tymBpq/2BJ19JrOu4/h3/O2EDhu+tYb/Nace+4S8Urhv4
 8wUw==
X-Gm-Message-State: APjAAAU7Lrf8eJG5h1K14xNI4eCjtKmmWDiuLDuAOnx7qoJnub14HMtj
 NtosngTVielydQQTy8RjUdo/sYYV
X-Google-Smtp-Source: APXvYqzecHmitaYhy0jk7QxSigVzyTnxBZ6NQLaINfpPrq1lZMM30cEZGV+OGezcgRsXpXYCtLn90g==
X-Received: by 2002:a05:600c:21c8:: with SMTP id
 x8mr7253014wmj.123.1571408722425; 
 Fri, 18 Oct 2019 07:25:22 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id s9sm6360182wme.36.2019.10.18.07.25.21
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 18 Oct 2019 07:25:21 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> <83imon9tg3.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8462e4a8-c6a8-9cd7-60ff-3bd944d0b6b6@HIDDEN>
Date: Fri, 18 Oct 2019 17:25:20 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83imon9tg3.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 17.10.2019 20:23, Eli Zaretskii wrote:

>> After considering it a bit, I might like Firefox-like behavior for the
>> region personally.
> 
> That's what happened to me as well.  So I think people who are
> claiming it's a breaking change might try running with the change for
> a week or so, perhaps they will change their minds.

FWIW my friend is adamant in his dislike, however. I'm sure there will 
be others.

But that's of no import, considering we'll make sure the 'region' face 
has the :extend property set to t even when a third-party theme is used, 
right?

>> Even so, it might be safer to only offer such option and not change
>> it by default.
> 
> We did, for the 'region' face.

Speaking of... it might be just my opinion, but it feels like whether a 
face background should extend to the edge of the screen is more of a 
structural quality, like a personal choice, and not something that 
themes (being color palettes) should define or redefine.

So maybe I would pick a different mechanism instead of a face attribute. 
E.g. just a property on the face's symbol name. Then it won't be 
affected by custom-set-faces either way.

Or another idea: split it into extend-foreground and extend-background. 
As someone remarked in this thread already, extend-foreground can safely 
default to nil, and we can set extend-background to t by default, for 
maximum backward compatibility.

>> This example was about how diff-mode behavior did/should look, though.
> 
> We could consider individual faces for making them extend by default.
> But there's a more general claim in this bug report: that the change
> will screw many unbundled packages out there; if that is true,
> changing some faces in core is not a solution.

Magit and Org will probably take the brunt of the change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 18 Oct 2019 13:05:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 09:05:16 2019
Received: from localhost ([127.0.0.1]:49547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLRwP-0005Jt-HL
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 09:05:14 -0400
Received: from mail-yw1-f49.google.com ([209.85.161.49]:32967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iLRwN-0005JM-De
 for 37774 <at> debbugs.gnu.org; Fri, 18 Oct 2019 09:05:11 -0400
Received: by mail-yw1-f49.google.com with SMTP id w140so2146514ywd.0
 for <37774 <at> debbugs.gnu.org>; Fri, 18 Oct 2019 06:05:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=Mk23rRXRLTe9h28JFGIkn+LWLkuknhF61IwtejGj774=;
 b=W2++SKWU3iA08/vjU5HqNhKuGrc3l1WLRtwS3jZ6XeDa5N3J+Jy/mNAdf9D7zQUoog
 Qzjgf6SjgAbOC+UTGfCnagwKdNJaiX5qpEaeKi3nv3Vb1RrxtWUZcw0GKeiFWeJX7d1x
 hvHUVsrS3fCr0XufL5A7zfRtrVNZMskJk1+Vnn9kyDOA4lwjY9r3CemGmFjotTaT1g9V
 /DtF/qjz0RWTA7eM56nstMWzplzA+H0CKZKQ0b9a1zzIS9MWZMGR39J+27nF3TfsNOKQ
 z2yKL033/ugFVcYQ84gueSxKjJidEzXeD3pRWZ1crfrA7ApC945p3ZAVv7ov5LbVP9FT
 BiLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=Mk23rRXRLTe9h28JFGIkn+LWLkuknhF61IwtejGj774=;
 b=CG2sFcZgZ3g9HfKxvXBMdwEWzsi284up1uEfhoU5PtogbsdeMJyYye+SKYOvtIsg8/
 sGIX5v59bDoxDBLAcHcVsaigRwwT4wi/+vMqdM3uB0jgUX9o3+1CNbHDHrlG6LrSsbIX
 reKi533cypmIFDDGE0ECDmZFKip90gjWYnNQAi2qLtfNtLUxjHxFeX6T/MDNFoXrSEOu
 upGACpRvQo1jT8auV5uUidSnTQdn4j/P1OqhQOHLm4rrfvKDIpbzIvwkS7ZV+qVxMgHo
 m5gACv57TEXUuTxw5faePueeEyt1BMGEtf2OxgPvrT/bPTXLNNJ1PJUGtXjAVfjCXxb5
 qXTQ==
X-Gm-Message-State: APjAAAWPVA6KUljQbgI2ojFNxOMH6Y+cgvC/Uh2VcBn0ajKiw/8Bu2R1
 ee46W/Wd6l3bb1HODT0CRtf+2ccynHqCZ4sXP2v4hJcY
X-Google-Smtp-Source: APXvYqzEUUH4pNuG5pENLoUzA6C8qzzBrfmZ+y21fM+sfbBiO9Qo91xDVWAZ7UPuU+lkQ1Zq0KMpRrL5y1BbwNMA4vY=
X-Received: by 2002:a0d:d281:: with SMTP id u123mr3463223ywd.297.1571403905502; 
 Fri, 18 Oct 2019 06:05:05 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN> <b5475fbd-fa5e-8dc0-ec8a-de6a9f636223@HIDDEN>
In-Reply-To: <b5475fbd-fa5e-8dc0-ec8a-de6a9f636223@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Fri, 18 Oct 2019 16:04:34 +0300
Message-ID: <CAAKhXobTcf8Zv-P8AV1ZRkJXhfnd6O_CgSFpAgYh1EJVUufJ8Q@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: 37774 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000009612cb05952efbbb"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000009612cb05952efbbb
Content-Type: text/plain; charset="UTF-8"

Though this may be not all faces that I need to fix, but at first glance,
everything that I use now looks as before the update. I am sure that I will
keep adding faces to the lists, because I know that I've missed many of
those in a places I do not remember right now. These are the faces I've
changed:

(when (>= emacs-major-version 27)
  (with-eval-after-load 'org
    (dolist (face '(org-block
                    org-block-begin-line
                    org-block-end-line
                    org-level-1))
      (set-face-attribute face nil :extend t)))
  (with-eval-after-load 'magit
    (dolist (face '(magit-diff-hunk-heading
                    magit-diff-hunk-heading-highlight
                    magit-diff-hunk-heading-selection
                    magit-diff-hunk-region
                    magit-diff-lines-heading
                    magit-diff-lines-boundary
                    magit-diff-conflict-heading
                    magit-diff-added
                    magit-diff-removed
                    magit-diff-our
                    magit-diff-base
                    magit-diff-their
                    magit-diff-context
                    magit-diff-added-highlight
                    magit-diff-removed-highlight
                    magit-diff-our-highlight
                    magit-diff-base-highlight
                    magit-diff-their-highlight
                    magit-diff-context-highlight
                    magit-diff-whitespace-warning
                    magit-diffstat-added
                    magit-diffstat-removed
                    magit-section-heading
                    magit-section-heading-selection
                    magit-section-highlight
                    magit-section-secondary-heading
                    magit-diff-file-heading
                    magit-diff-file-heading-highlight
                    magit-diff-file-heading-selection))
      (set-face-attribute face nil :extend t)))
  (with-eval-after-load 'ediff
    (dolist (face '(ediff-current-diff-A
                    ediff-current-diff-Ancestor
                    ediff-current-diff-B
                    ediff-current-diff-C
                    ediff-even-diff-A
                    ediff-even-diff-Ancestor
                    ediff-even-diff-B
                    ediff-even-diff-C
                    ediff-fine-diff-A
                    ediff-fine-diff-Ancestor
                    ediff-fine-diff-B
                    ediff-fine-diff-C
                    ediff-odd-diff-A
                    ediff-odd-diff-Ancestor
                    ediff-odd-diff-B
                    ediff-odd-diff-C))
      (set-face-attribute face nil :extend t)))
  (with-eval-after-load 'hl-line
    (set-face-attribute 'hl-line nil :extend t)))

This is now a part of my configuration of doom-themes package.

--
Best regards,
Andrey Orst

--0000000000009612cb05952efbbb
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--0000000000009612cb05952efbbb--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2019 12:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 08:41:44 2019
Received: from localhost ([127.0.0.1]:49508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLRZg-0004aR-HL
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 08:41:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:52818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iLRZe-0004aI-HE
 for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 08:41:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42760)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iLRZc-0006SE-Tu
 for bug-gnu-emacs@HIDDEN; Fri, 18 Oct 2019 08:41:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iLRZb-0006DB-Vc
 for bug-gnu-emacs@HIDDEN; Fri, 18 Oct 2019 08:41:40 -0400
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:38304)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iLRZb-0006Cr-PU
 for bug-gnu-emacs@HIDDEN; Fri, 18 Oct 2019 08:41:39 -0400
Received: by mail-wm1-x335.google.com with SMTP id 3so5964857wmi.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 18 Oct 2019 05:41:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=gQ7tmaRUbgYMFT+Q3SKwowRSms8hUfa3YdFLlJvNzxY=;
 b=dRASBfZHGd3V3gQWB/xpwCh1dJr4dQzy8pqN8nMHXVdJQWRPRJjP0eJwk7nlxvnqmt
 C9cCuii6VoH9F557TuBSUflgoLbZ01SijqNJUe8SIJe++cAkZMsjv0Muw1KyWo6Y3aS3
 xsAqYsGuue8CHSTs6ZV7O6NGhkqPmjXoxJYPlqIfVWJCabcl3gRd3qMTJ/Gv5y7Xbio6
 NWw/mmO5MLrcsuYEw+6AGjQNfHHVU6IywXcYNmIKD8nEz7o/k0r50XUi3xWT9Q2Hvi4a
 AQGGrzfcPVQSmJLdrAeOwCfL0rdOZcRNy0TKQIoEDZsEuXFrmnDuMOJmjSmXJQES+nuY
 wQzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=gQ7tmaRUbgYMFT+Q3SKwowRSms8hUfa3YdFLlJvNzxY=;
 b=SlDl2/Pfy9/j7Sqp41x7pSPyOyNlmKNENqJgYSR1qsPBQSw4VEzaa1PXFNuuGf01VX
 +ALCVRfP66Hix71ryXRf8yZkCChdbpl/pY3YOM881mP4wf+lcxJ906c5FMLCcQuyzmjD
 NPrnhxyf6DwE7Dm/yG2aM9eskvjeq1fHyilH5BQk6DB/7QfaN+sJX+yciOYfNGk+SxHy
 /x8a+s01PS53uQgj9pLpTBEry/xyg5F4dmjioRxBVUZjNTvyVZ3He5FqpOSeFOosZOiY
 +piDBwUFXCfaKpX3xRTuLV/uSCxx7fPoRJCMbOm2RUCEwUF4kyPGgSTLgAD7ubZDndDw
 qqdw==
X-Gm-Message-State: APjAAAV9/jtWj5LVCSLNjhXCJYQWXR394muHsnMfyOrIfBkvzBFNqVLT
 2ST9jvyKOC1gPFc7S6+t+eU9W5x9
X-Google-Smtp-Source: APXvYqwPy/tl8vSqupeCBYJ1dqf3dmoneW8kp8lyfqkmKj0v6H89AMSZZmPxDBWdP9b+fF7yBUt5ng==
X-Received: by 2002:a1c:7c16:: with SMTP id x22mr7806865wmc.177.1571402498120; 
 Fri, 18 Oct 2019 05:41:38 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id h63sm7880901wmf.15.2019.10.18.05.41.36
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 18 Oct 2019 05:41:36 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN>
 <b5475fbd-fa5e-8dc0-ec8a-de6a9f636223@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f9deb725-f085-4660-dcc9-28e3d66c944c@HIDDEN>
Date: Fri, 18 Oct 2019 15:41:35 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <b5475fbd-fa5e-8dc0-ec8a-de6a9f636223@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::335
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 18.10.2019 11:25, martin rudalics wrote:
> Still, most of these customization are merely a matter of taste and I
> can't yet see the breakage I personally expected when a few weeks ago
> I urged Ergus to install his patch ASAP.

The whole faces subsystem is about matters of taste. That doesn't mean 
that its functionality is not important.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 18 Oct 2019 08:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 04:25:46 2019
Received: from localhost ([127.0.0.1]:49269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLNZx-0004Eu-U7
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 04:25:46 -0400
Received: from mout.gmx.net ([212.227.15.15]:42399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iLNZw-0004Ec-MF
 for 37774 <at> debbugs.gnu.org; Fri, 18 Oct 2019 04:25:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571387133;
 bh=uo2wh3Aa9E+bpdMPdgcndGJm8qMvZZiRz27kkl4SrkI=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=VISF9bw4pSpMVLBrjO0X2/2EGXlkJ1kelM5Z3i2g/emm1jET8F7DvUgY4kg4EHPnR
 ISBdZ9aVBTIKcCQVHxCos4MCd2ai8ye3NNwXIb9VfD3PatrT6Mdc8Por81JTnytVV3
 N13Xgbwma+CPsX8nH4iUCgddztedOEAcWVlzkw6Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.109]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MVeI2-1iVAeP1LPA-00RXal; Fri, 18
 Oct 2019 10:25:33 +0200
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Juri Linkov <juri@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <b5475fbd-fa5e-8dc0-ec8a-de6a9f636223@HIDDEN>
Date: Fri, 18 Oct 2019 10:25:28 +0200
MIME-Version: 1.0
In-Reply-To: <87h8476mhz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:i8IqIK6qGZ8qmx7kjiLf3tSUqLkxYD+tG2wIR8yoDIlWzj4sXkv
 5FHvj4OKneqhmLiOnNnq0un59qiKx5VkOSy9JjPqNwDQfntgvbTHVd3Jt/c74z3fQ+0ESh/
 Umfc3ZAqGGZIvfbgTB7a4/J/uheV5ifp33S8+vZE0sUgzD/P3yQIQBMBH6lhP71TC4Jg2fT
 BcRbS2I5CnuE7gk8uIieQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:958MsM7wqsA=:V2ZAcXQq/j6R29+sgPHaoL
 VkoSLwQBIWyHbL8bj0ninxp3J4otD7p1js0ArbBM0V4QqFYwWEvSQsfHm22573SrDcWdI/kQr
 9xxaDgd7VjF7NKJkFYE1PZaTEWVy+hTKl1MSg9g++EufPSGYpHYmmt0EWVmszEjqDRhxbur8j
 E8/e8gkRZMLPm+kRW/wQVMztZSXrrecuTFpbL3GoPddLtmo+ifCKcrLZe7k/l8leyGiuPyXAa
 je52wmL7pkq0mf9jkwahbTBaufTuDNoZbUQgJYwcH+MIKzNmJax5zFXOYAd+6Fo9DiNMK9MEJ
 yr9dmXbbDQfKBxYnaX2ZNXbPg8NsgC7Js7MTI6Exp8YryFKiJj5B0v/4rGtlt+c5KSi6SzdK5
 y2Nyedq+b0o1GM8ibxw0b5e+1P6fux/Py3A86YRJ2THvZ8wnq1AwT4qa+kt9HXFL0+52svaW3
 SlizlE/ElbdFCfiP5Sh8ugPo2w+ZB5JkSsfT8CsrQfJhJ5kRmJnr/6aQU3VfZ6JxRCwdirvU3
 KNkN8xSs53mkopdy0EUWsz8WRRMWQCJrqU+dX+1LiGu6tw/7+8YpCO+GPfcSClXoMZaPXW9fO
 hUMbivC9DiKLCx2hN/5c1z5qqZ6k7+AbEWt2iM1LPDd16f6yAjF0fjR2Pa/uScluk9tM8NySt
 LXCE90e3miyUE9qyIFzFFqCpAlcctpTquvJbABbLiwY3nfxgteBu8b8aMP/XSEv9TxgQbIV9P
 XcezGKslwkpZQ4njcbP4p5tjHH/WQsm2fRKywzIh1OXiOKkBXfNRYBf0My6yw9uOaZFfNusS3
 0PUJ8EhFLtVFVdNmIevphoImmkOm8fELR3du3XLomStYRzARsSvm29maXqX+lPNG9S5bIe3j9
 cQXCBi7ZOloGBG2VICHfIISK0f6rpTl6psbmIF8KAoS+7n9k/8zrtAoHFxATLtCuy14sZdGEj
 LwOi1N5oUKSxzjimKZZSVVORcohMW7xHkwvdTZv4i23vIfZwddsi+TwUTPQJrAMyv4bVhZ0Sf
 aRAyEeojVCsTpvFo8aZzQLlcodceAu0wNKMKYO722hAa/bFeWjFVWhsekDe3KV3KuNkRLCo0w
 OHx48vQAHzCJlqJqUK6j4BAbLR0ngUJtxpgiwZzjLCwzPs4+yiLUVEndwukkeBpyT91Venxox
 B5/BZ2zhlkQpxYtWm91I4a5wul0F+cbrhEwHUYuKMa5Ml4gLph6+nTFEGFZFVh4/rXLVVkvit
 7a1OFYHo3XGpt78UQ+O+GESYcGM6zQhhaDlrL/edjnQMFlWGMiRq6Oy8SAAs=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> I miss you here.  Emacs now by default also extends the region to the
 >> right window edge.
 >
 > Emacs doesn't extend the region to the right window edge when the region
 > face was already customized, and has no "extend t" in the init file.

But when the region face was already customized we hardly talk about
the default any more.

 >> With Firefox these diffs are boxed in a subarea of the Firefox window.
 >> They do not start or extend at the window edges and text in these
 >> boxes is static, can neither overflow into a newline nor be broken.
 >
 > This is why I proposed to limit these boxes to some fixed column
 > like fill-column.

The point I wanted to make is that the diffs shown in that Firefox
window are static, you can't modify them.  Hence it's easy to produce
them with a once calculated, fixed column, even based on a variable
pitch font.  (Which, BTW, is an exaggeration - try to show that page
in the non-unified, side-by-side style, shrink the Firefox frame and
look at the barely readable mixture of line truncation and breaking.)

With Emacs, things are different.  When you ediff two buffers, you can
modify their contents any which way you want and any highlighting has
to adapt accordingly.  Thus any rectangular block concept based on a
previously established fixed column will break at least here.

 >> But I think that our (e)diff blocks are affected by the change and all
 >> their face settings probably have to change, as well as tables and
 >> listings.
 >
 > Yes, (e)diff face settings have to change, but actually I discovered
 > that diff-refined faces don't need to extend to the window edge,
 > because they don't form a block, they are word-based.

I wouldn't consider blocks, boxes or rectangles specially in the
present context.  None of these should, by design, automatically
extend to a window edge.  The fact that they did until Ergus pushed
his patch rather hints at a design shortcoming that, however,
installed itself in the minds of many users (including yours truly).

What we should consider specially IMHO are lines in certain, specific
environments like the above mentioned side-by-side windows used by
ediff for comparing two buffers.  There, having a highlight in one
window extend to the edge will ease passing to the corresponding line
in the other window (provided we can keep these lines in synch in the
first place - we'd urgently need code for that).

And in listings that may contain empty lines, indicating such a line
with a highlighting that expands to the edge it will probably make it
easier to re-focus a user's attention when scrolling that window.
Just as we do for 'hl-line' but without enabling it everywhere.

Still, most of these customization are merely a matter of taste and I
can't yet see the breakage I personally expected when a few weeks ago
I urged Ergus to install his patch ASAP.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 18 Oct 2019 06:53:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 02:53:59 2019
Received: from localhost ([127.0.0.1]:49194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLM99-00087y-95
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 02:53:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iLM97-00087l-Ih
 for 37774 <at> debbugs.gnu.org; Fri, 18 Oct 2019 02:53:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55738)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iLM91-00040s-Eu; Fri, 18 Oct 2019 02:53:51 -0400
Received: from [176.228.60.248] (port=1291 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iLM90-00085O-Px; Fri, 18 Oct 2019 02:53:51 -0400
Date: Fri, 18 Oct 2019 09:53:36 +0300
Message-Id: <83wod28ryn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <87h8476mhz.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 18 Oct 2019 01:22:16 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, rudalics@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  andreyorst@HIDDEN,  37774 <at> debbugs.gnu.org
> Date: Fri, 18 Oct 2019 01:22:16 +0300
> 
> > I miss you here.  Emacs now by default also extends the region to the
> > right window edge.
> 
> Emacs doesn't extend the region to the right window edge when the region
> face was already customized, and has no "extend t" in the init file.

I proposed a fix for that.

> > With Firefox these diffs are boxed in a subarea of the Firefox window.
> > They do not start or extend at the window edges and text in these
> > boxes is static, can neither overflow into a newline nor be broken.
> 
> This is why I proposed to limit these boxes to some fixed column
> like fill-column.

This is not currently workable, because we cannot extend faces on
pixel granularity, and extending them on column granularity will
produce ugly jagged display with variable-pitch fonts, or even if
font-lock uses bold or italic variants for some faces used by the
major mode whose files are diff'ed.

> > But I think that our (e)diff blocks are affected by the change and all
> > their face settings probably have to change, as well as tables and
> > listings.
> 
> Yes, (e)diff face settings have to change, but actually I discovered
> that diff-refined faces don't need to extend to the window edge,
> because they don't form a block, they are word-based.

I agree.  I think the number of faces that might need to include
:extend is very small.

But we still have the broader issue of unbundled packages out there.
It was mentioned a few times, but there's no detailed information
regarding that, and so it's unclear whether just changing a few more
core faces will allow us to solve this issue and move on.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 18 Oct 2019 05:29:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 01:29:04 2019
Received: from localhost ([127.0.0.1]:49181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLKoy-00061i-AU
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 01:29:04 -0400
Received: from mail-yw1-f43.google.com ([209.85.161.43]:46776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iLKow-00061F-KB
 for 37774 <at> debbugs.gnu.org; Fri, 18 Oct 2019 01:29:02 -0400
Received: by mail-yw1-f43.google.com with SMTP id l64so1733956ywe.13
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 22:29:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=unPzrn2AavN/C61tpFnWKOPlUuRyvbfk7c4oUfs0Xg4=;
 b=mbI3BWXRlyUu/nxqmnWtZrcBNn6dHVWqVApEF2hVhG9FFqH5Hy7xlLwxuJcPOv4e8K
 ikqwuuHrRN4qSyfnfjyfMfKcYrVg3sibnlyvlzreNWrPQvFOnmfWQT6NwG1VHvyFKm2U
 3M9MsGZOiLiIqWVw4lQ2vTZoL9CQLi+Kt74B2xzcJg8JS552xMt81F/yuWrHiRJfocJt
 fu5gG6jG5RP/IlulDUuOVqC9aKIW3hguRDXzDqvl+w0V00KpiJ2DQeYPt1JzyRIVz3NO
 NkLN9YvcaHwySZrlIULb1q78R1QWEZjvteybyRCKMVhs6kL+queG+KHqTSagSMxeXqHO
 nNeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=unPzrn2AavN/C61tpFnWKOPlUuRyvbfk7c4oUfs0Xg4=;
 b=dQCgD1qeqcM2bLMME8YiXA4dPS3n3yg2FZO+vMJhjjoXP8dz51XYuCxbfT+ecYPrPx
 edPuDXZZrWfD0pofXmpYgyCS/U2frIAKmHAsCiCNotmFjW8Egr+QDLnD/RZikRFKbPmL
 Krwpqsvjnfh5N74lWyrtUJI6j64QL1yfexsxt8Gqw6GuKUrCW9a7qsRkYm3fQdDoXuyB
 tSOc0fZAavxXK7U86cZjyboq2oYL6VZ68UEfrvjeG9nN9U9R6XOwXKBzUZqmRsIq0yK9
 liouKGVW1rCpZhIT9YWHIjmYp2ZH3FVsivL2yP3jso7CW8J6cY5BPKrYnnwi5q4PExMS
 XABg==
X-Gm-Message-State: APjAAAUxjzYFJv39wyaNvzjmRfxSoSPsF0OoqKqI6FztLXUCXC9EV8SH
 WFeqImZniBBhHSAAodbPCMWI0EBezpByZX6JgDc=
X-Google-Smtp-Source: APXvYqynwh5hOf6knF30ZlsqFF4XFJr82XtKR0iN7WZ2krebuzzGzgVz02RPByAhiHpyy5EUlh8Zli+aU8ZF+73z2E4=
X-Received: by 2002:a81:c8c:: with SMTP id 134mr5908764ywm.205.1571376536928; 
 Thu, 17 Oct 2019 22:28:56 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <87h8476mhz.fsf@HIDDEN>
In-Reply-To: <87h8476mhz.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Fri, 18 Oct 2019 08:28:44 +0300
Message-ID: <CAAKhXoacfUpTQ8VHEunATzzNP58P=q6MuURjWHbuLGpbAwo+qg@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Juri Linkov <juri@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004ac6660595289ccd"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: martin rudalics <rudalics@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000004ac6660595289ccd
Content-Type: text/plain; charset="UTF-8"

> Yes, (e)diff face settings have to change, but actually I discovered
> that diff-refined faces don't need to extend to the window edge,
> because they don't form a block, they are word-based.

Maybe I misunderstood you, but Ediff shows blocks of changes, plus changes
inside that block. And the block should be extended to window edge, because
of side by side nature

--0000000000004ac6660595289ccd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">&gt; Yes, (e)diff face settings have to=
 change, but actually I discovered<br></div><div dir=3D"auto">&gt; that dif=
f-refined faces don&#39;t need to extend to the window edge,</div><div dir=
=3D"auto">&gt; because they don&#39;t form a block, they are word-based.</d=
iv><div dir=3D"auto"><br></div><div dir=3D"auto">Maybe I misunderstood you,=
 but Ediff shows blocks of changes, plus changes inside that block. And the=
 block should be extended to window edge, because of side by side nature</d=
iv></div>

--0000000000004ac6660595289ccd--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 22:40:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 18:40:21 2019
Received: from localhost ([127.0.0.1]:49048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLERQ-0004QJ-Jk
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 18:40:21 -0400
Received: from eastern.birch.relay.mailchannels.net ([23.83.209.55]:31378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iLERM-0004Q8-Qm
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 18:40:19 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A27A71A14D7;
 Thu, 17 Oct 2019 22:40:15 +0000 (UTC)
Received: from pdx1-sub0-mail-a45.g.dreamhost.com
 (100-96-14-204.trex.outbound.svc.cluster.local [100.96.14.204])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id DE8331A1944;
 Thu, 17 Oct 2019 22:40:14 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a45.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Thu, 17 Oct 2019 22:40:15 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Reign-Average: 7343aac67e8ab1db_1571352015330_3174809280
X-MC-Loop-Signature: 1571352015330:14506787
X-MC-Ingress-Time: 1571352015330
Received: from pdx1-sub0-mail-a45.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTP id 8B23380703;
 Thu, 17 Oct 2019 15:40:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=PdbfnMgrn/RhaV1chc8vhOytkmY=; b=
 k11BQ7YzciHzWtcejIPzk9yeh1akxKqH83r43FoKfybpZ7qLnsRmvVSKchI7cspf
 fC75QDb+LrirUSO/DZurhfC4FsohWsN9bme4nHT6T4IuwwRiLAwoGeoqPVmT1Uq3
 daQ4m+bRX6fwJbJL8oLaBmYw1FMvEGdW+Cn4es+43MU=
Received: from mail.jurta.org (m91-129-98-153.cust.tele2.ee [91.129.98.153])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a45.g.dreamhost.com (Postfix) with ESMTPSA id DCC2380707;
 Thu, 17 Oct 2019 15:40:10 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a45
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Organization: LINKOV.NET
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
Date: Fri, 18 Oct 2019 01:22:16 +0300
In-Reply-To: <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN> (martin rudalics's
 message of "Thu, 17 Oct 2019 10:25:59 +0200")
Message-ID: <87h8476mhz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I miss you here.  Emacs now by default also extends the region to the
> right window edge.

Emacs doesn't extend the region to the right window edge when the region
face was already customized, and has no "extend t" in the init file.

>> Also I looked how other applications extend diff blocks, and e.g.
>> GitLab extends diff background colors to the window right edge,
>> not to EOL, for example,
>> https://github.com/emacs-mirror/emacs/commit/3d6075e3ee8c447f8974b37007a1b1ae1af8917c
>
> With Firefox these diffs are boxed in a subarea of the Firefox window.
> They do not start or extend at the window edges and text in these
> boxes is static, can neither overflow into a newline nor be broken.

This is why I proposed to limit these boxes to some fixed column
like fill-column.

> But I think that our (e)diff blocks are affected by the change and all
> their face settings probably have to change, as well as tables and
> listings.

Yes, (e)diff face settings have to change, but actually I discovered
that diff-refined faces don't need to extend to the window edge,
because they don't form a block, they are word-based.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 20:38:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 16:38:44 2019
Received: from localhost ([127.0.0.1]:49020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLCXk-0001Ks-DR
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 16:38:44 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:36473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1iLCXj-0001Kf-DU
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 16:38:43 -0400
Received: by mail-wr1-f42.google.com with SMTP id w18so3267877wrt.3
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 13:38:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=UjCgiezpt5Ie5a+mzbs1HwcA9yzTl/IyUa2W8daCCKA=;
 b=I8ZxAf4OG5JEPhc4vTyjTWIEpi5M7dbRZc89p5lJcdwYh0tMCuweBcHygJlalDbpNV
 EaefKIeh1kfertXlYNh68XHB0/+xkgizD9mYWNDkr7EoxrKKBHNuMRZx5bXcqPt4yAgI
 /1+d7/j9Kwyrm20fR6itU4EXidvTJxwQX+YHRpaXURxYRgdrIlmyCcErjbkpA4LHg00r
 m7dag6jeeSPrcdb6odLln1BLRcb1XHU/uzBa08BPbKzdqkeaIxdDSmp/GxLd5SX6JGmQ
 nKriPKXXKxF63B6q5kflY/1LzQBK0/sdKg6Xp8KXurxnBZnSMz/ufAHxemOef4mA49BJ
 0xbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=UjCgiezpt5Ie5a+mzbs1HwcA9yzTl/IyUa2W8daCCKA=;
 b=Wl287OdurGhEpAXmw5dakuK7kZRMsGudUHx7ELP5nVIDm0Eb68s7U3z2Y1zzrgibr9
 bXdQ+0h0y4GBMtiTIzoszwnVPLBy9awZx3z6DX/UdLQc5ck/SLzLyB+BzKNCOkrsTu+G
 nazr88VXndnlGMwrAmSyP9xcoyfuzyDYwzgVvqKANNcHudEHDAVV4Jmf36/vK9dutnuv
 yR9AhTNq1cbjk5o1J4fkIg075VTF1sYfy6/GR3PIaEv+eH+OP1X0KAdO6Z19zR+cu1xz
 Iw7zhHw7fXbYPTk0YQo4s62Jt67KLFc2HX/kgGZQTJZvE5pHwxcMGazCf9pOpMuHxFWA
 2Spg==
X-Gm-Message-State: APjAAAXY17hT7RQZaslmBmAA36nh4+ZVA1tu8eRmzokVVF/kn/rqmplD
 cR38THqX7sHVgE21Yf5SXz4=
X-Google-Smtp-Source: APXvYqzdQrO5GSkdC0YKJbzRB+QTPuuBog7xTjiAp/l/pi8yseUt9a3UIp3i51oEyYaK4Iboczh7Nw==
X-Received: by 2002:adf:db04:: with SMTP id s4mr3182020wri.12.1571344717516;
 Thu, 17 Oct 2019 13:38:37 -0700 (PDT)
Received: from my-little-tumbleweed (71.142.13.109.rev.sfr.net.
 [109.13.142.71])
 by smtp.gmail.com with ESMTPSA id w4sm2999501wrv.66.2019.10.17.13.38.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Oct 2019 13:38:36 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN>
 <CAAKhXoZVAAKyG9e=8vAnagcwy3JUg1XM+sViJbLC-yoeUm11tA@HIDDEN>
 <87zhhzfb0b.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 22:38:34 +0200
In-Reply-To: <87zhhzfb0b.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Thu, 17 Oct 2019 21:05:40 +0200")
Message-ID: <87r23bf6ph.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org,
 Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

K=C3=A9vin Le Gouguec <kevin.legouguec@HIDDEN> writes:

> +     ,@(unless (version<=3D emacs-version "27") '(:extend t)))

(I really meant version< here, although version<=3D works because 27.0.50
is greater than 27)

(It might be less confusing to spell it as
    ,@(when (>=3D emacs-major-version 27) '(:extend t))
=E2=80=A6)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 19:05:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 15:05:56 2019
Received: from localhost ([127.0.0.1]:48942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLB5v-0005Ie-M4
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 15:05:55 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:36074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1iLB5s-0005IO-J6
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 15:05:53 -0400
Received: by mail-wr1-f47.google.com with SMTP id w18so3018524wrt.3
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 12:05:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=y8cwGuDHXqq9jQnsefAyg0mDyvmLxWC7PRqhx4NDhJM=;
 b=tDlJ9D2VcHq4H6mSuK4A6vIBCdOujs16HtQ/Dlh1Fvye0v+GT/X1XwfyTtA83rlrZS
 8EJTrwh58uiNJAGVuIaWNNqhQf5wbj+z+YBwwMGQyJWbsYnqUuMB3BJJhpXCN69kTJ3k
 4qjkkAhXdOdP+MctuChyMfcZwENiADxm+obyer1lqB0BerSX2cuZQDAHP2MiVNTruJLW
 L/gvxqK4NA7ZZGC/XrArhIMCfPDKQycfrYiW6POmTl/92iQ7wV9yxi/CMs5mqY2SPLLP
 0b8x7Dj1/Otf4MlU+76bOF9h8sEECAEI3PaFv6cKj2/zXW8qsYdRSbXsrrlwIGZYC3RD
 T91g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=y8cwGuDHXqq9jQnsefAyg0mDyvmLxWC7PRqhx4NDhJM=;
 b=PUj4OOZvHRF17xXYGPTNvfr6j3JxrVIPOZati61xulJd4JeRf389IJEhs+u3DVnWgN
 xIFtdMyPwWzPWqy2VTPS7AyoLneI190gJX/pfDmm59v5XHuM1wm7J3hYU7tOWk7lkJL4
 traM1TixTL3xcyFWfpyJUfQj2ndL1im3wT7Y8izH9g+tKYaGU6+Y4ULSjmJ4fMdcFp7G
 US0G0R7SirW82U+RqJpHIXhRFad8Ebp9vkGXL+kxv1wcRgKjwINjN7qvhlYtMZrYZ7KO
 nJ03yP+6W+T5/r/ADcBBJHI4KPJHTo5ZbCcmR3ZPSeh4L8gD1AjyPXGsxEQNbzDm9403
 vVUg==
X-Gm-Message-State: APjAAAVMLUcJabWOP+CVKaafRFukzGa180Av90vDUu5nIdWnaBrOqE7K
 ptWZMKFox0mGpTQeVTCKybYMiLtrHAo=
X-Google-Smtp-Source: APXvYqxyUBaclvkV6ntRf8mL9Iu6lpT/1TQ63q9IGQwkQ7V/I5FMESbV9nG1xJ7c7NPG4Q7JTt8JkQ==
X-Received: by 2002:adf:fa92:: with SMTP id h18mr4353744wrr.220.1571339145166; 
 Thu, 17 Oct 2019 12:05:45 -0700 (PDT)
Received: from my-little-tumbleweed (71.142.13.109.rev.sfr.net.
 [109.13.142.71])
 by smtp.gmail.com with ESMTPSA id n7sm3032170wrt.59.2019.10.17.12.05.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Oct 2019 12:05:43 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN>
 <CAAKhXoZVAAKyG9e=8vAnagcwy3JUg1XM+sViJbLC-yoeUm11tA@HIDDEN>
Date: Thu, 17 Oct 2019 21:05:40 +0200
In-Reply-To: <CAAKhXoZVAAKyG9e=8vAnagcwy3JUg1XM+sViJbLC-yoeUm11tA@HIDDEN>
 (Andrey Orst's message of "Wed, 16 Oct 2019 21:13:23 +0300")
Message-ID: <87zhhzfb0b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org,
 Ergus <spacibba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Andrey Orst <andreyorst@HIDDEN> writes:

> (defface foo...)
> (when (>= emacs-major-version 27)
>   (set-face-attribute foo... :extend t))

Unless I'm mistaken, this has the disadvantage of making Custom confused
as to who changed the face, i.e. M-x customize-face RET foo... RET will
say that the face was "CHANGED outside Customize".  For all intents and
purposes a package author may wish the face to be described as
"STANDARD" as long as no theming or user customization has been applied.

Maybe some backquote trickery may help?


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=magit-extend-demo.patch

--- magit-diff.el.bkp	2019-10-17 20:29:21.771892709 +0200
+++ magit-diff.el	2019-10-17 20:53:47.927829447 +0200
@@ -509,12 +509,14 @@
   :group 'magit-faces)
 
 (defface magit-diff-hunk-heading
-  '((((class color) (background light))
+  `((((class color) (background light))
      :background "grey80"
-     :foreground "grey30")
+     :foreground "grey30"
+     ,@(unless (version<= emacs-version "27") '(:extend t)))
     (((class color) (background dark))
      :background "grey25"
-     :foreground "grey70"))
+     :foreground "grey70"
+     ,@(unless (version<= emacs-version "27") '(:extend t))))
   "Face for diff hunk headings."
   :group 'magit-faces)
 

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


(I did not look for a way to factor out the (:extend t) into a leading
(default =E2=80=A6) clause, but there ought to be a way to do it.)

This method should be usable by theme authors too, crufty as it looks=E2=80=
=A6

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 17:24:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 13:24:20 2019
Received: from localhost ([127.0.0.1]:48890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL9Vb-0002oQ-US
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 13:24:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL9VZ-0002o8-VV
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 13:24:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42438)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL9VU-00057g-Rq; Thu, 17 Oct 2019 13:24:12 -0400
Received: from [176.228.60.248] (port=3735 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL9VU-0002Fu-74; Thu, 17 Oct 2019 13:24:12 -0400
Date: Thu, 17 Oct 2019 20:23:56 +0300
Message-Id: <83imon9tg3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN> (message from
 Dmitry Gutov on Thu, 17 Oct 2019 19:50:12 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
 <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 17 Oct 2019 19:50:12 +0300
> 
> On 17.10.2019 19:29, Eli Zaretskii wrote:
> > If you select text in Firefox, what do you see? does it extend the
> > selection to the edge of the window?
> 
> It does not.
> 
> After considering it a bit, I might like Firefox-like behavior for the 
> region personally.

That's what happened to me as well.  So I think people who are
claiming it's a breaking change might try running with the change for
a week or so, perhaps they will change their minds.

> Even so, it might be safer to only offer such option and not change
> it by default.

We did, for the 'region' face.

> This example was about how diff-mode behavior did/should look, though.

We could consider individual faces for making them extend by default.
But there's a more general claim in this bug report: that the change
will screw many unbundled packages out there; if that is true,
changing some faces in core is not a solution.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 17:20:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 13:20:49 2019
Received: from localhost ([127.0.0.1]:48886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL9SD-0002iQ-Cb
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 13:20:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL9SC-0002iD-51
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 13:20:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42351)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL9S7-0003RX-25; Thu, 17 Oct 2019 13:20:43 -0400
Received: from [176.228.60.248] (port=3524 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL9S5-0001oj-FZ; Thu, 17 Oct 2019 13:20:41 -0400
Date: Thu, 17 Oct 2019 20:20:27 +0300
Message-Id: <83k1939tlw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <ba47ff70-241c-5c58-8440-9a32f18c9cf1@HIDDEN> (message from
 Dmitry Gutov on Thu, 17 Oct 2019 19:46:16 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN> <2328b90c-4e4e-dd58-7e8e-1f36e0b11ae8@HIDDEN>
 <83zhhz9wda.fsf@HIDDEN> <ba47ff70-241c-5c58-8440-9a32f18c9cf1@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37774 <at> debbugs.gnu.org
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 17 Oct 2019 19:46:16 +0300
> 
>  > It should perhaps tell you something important about the change.
> 
> That is this case you're willing to weather the storm of complaints from 
> users that dislike change, even purely visual like this one?

No, that I consider this change a no-brainer and not really a
significant change at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:50:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:50:21 2019
Received: from localhost ([127.0.0.1]:48863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8yj-0001v1-D5
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:50:21 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:40227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL8yh-0001ul-Ur
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:50:20 -0400
Received: by mail-wm1-f41.google.com with SMTP id b24so3261990wmj.5
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 09:50:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=BI6UKFnTVrT6RBv922WuuRzG/oV3/DHyzVlOKEaoD/I=;
 b=epl1xVNY8iMcgovnxV9bIpJzMV4rEolt7p0ktqXqzh8YklhiYuZU0xkzOpIvM/qCvW
 U/1wGpUzjPfOY1vQg5XsaVNSQ36JS6FyBp9I4XdeyNRJSS1bod7Px9hrC8LuiG707IaK
 GufCe+jJX83MxsMh5MwARKK3H+Rz/S9km3BKt0KPDiMXUKTwM8eawyX0BuDhYU+UsUDY
 Dy2h7M7CCC5jN4WXPdMIS+I+AaboVGVxcDLTRnjIW2JjMEcp7Xyxzcg07wteUFZ1fNMc
 fialClHrjDcx1Awk50tpbJmrbxgnwP/5oiHFYTk7+QQAMXAUBikiyhqPf70Py9AZNkd0
 MuZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=BI6UKFnTVrT6RBv922WuuRzG/oV3/DHyzVlOKEaoD/I=;
 b=pVRziDu8QP0fY4PnO9/eciTDHkIhUOf3yv1AxQ+c9abvBlRc/Ff/YKRNpb6vhiLH63
 +3oyJklFW4AVw7FrpE4QM3ynlBN5oJdJmtY3y6iK/QOfTszGqEkeNsLDGVkvzvA8DPpe
 vXCBnKGpx5savNSTIlMMM72HB0bpeQdlrNH4YWHijngYUP+pNAP+6vbxs9q4lczEumql
 Pnckm383PhJBylcqeVg7Hl7kwF9W/psCH6Ndbt0t7rdQylCBu2Kaqa3y121fxgjemhoP
 /PEdISjq09wu+0ITGY9bt3aLghRL153dHV+9kX50YoLKE37auftoTt+tr2VOG8T9zyHw
 Vj0w==
X-Gm-Message-State: APjAAAX49zalcbIjWgWjVGT2Lg2nR5/raKoT4sD6TZh8+BgkTgrcSCIT
 WTa3JwA+r9X9rriTPKpk7YxVrzPV
X-Google-Smtp-Source: APXvYqyqmaKLG3wyEYY1xnXVGZny4A5f3oyVgZhlqCs9+8FEhSRpwza2QofFRruz1q+iLp6XWOIFpg==
X-Received: by 2002:a05:600c:2185:: with SMTP id
 e5mr3845832wme.78.1571331013719; 
 Thu, 17 Oct 2019 09:50:13 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id o4sm4029939wre.91.2019.10.17.09.50.12
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 09:50:13 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> <83tv879vy0.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6bc27f9f-e701-afb8-c6f1-408f471187c7@HIDDEN>
Date: Thu, 17 Oct 2019 19:50:12 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83tv879vy0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 17.10.2019 19:29, Eli Zaretskii wrote:
> If you select text in Firefox, what do you see? does it extend the
> selection to the edge of the window?

It does not.

After considering it a bit, I might like Firefox-like behavior for the 
region personally. Even so, it might be safer to only offer such option 
and not change it by default.

This example was about how diff-mode behavior did/should look, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:46:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:46:27 2019
Received: from localhost ([127.0.0.1]:48854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8ux-0001oC-Eq
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:46:27 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:55869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL8uu-0001nw-Ub
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:46:25 -0400
Received: by mail-wm1-f47.google.com with SMTP id a6so3254906wma.5
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 09:46:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=JTFrYr+HXSjIM+7T9d7Rvt+eU/+MSLSHqqMA0uW3d4Y=;
 b=j+fK7FuBVu6tDOWcvrh7AbIUp8yCg/borW6klVPQ5ONOXBMVi7Htu9zQ5R/FuAOzVp
 pkE0PIQWGZETm4gN9tXuOu5uiGPcOO7aeocR6P9HHZTy5uQmV6zz8QwXq1uA98ltqw09
 6zYRqqHMdW60Lv/Qwi1MNn025ewoZFSobzuzRYXCqRWxt5Fk18YhFLCGPGe/55k13v3g
 Vv/wc3iPI1pgaxRgU0Z9NX4cZCHUruT5KobYgw7f7jDmY9xCgCcpUqf5bWAAQXiwg9LT
 vIGRRPb8wuPhv++tGXr252tixDHLnNhZfnFmBaWTOxjd6BkTVYJz9RU8ReOIGPPa61QA
 7uXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=JTFrYr+HXSjIM+7T9d7Rvt+eU/+MSLSHqqMA0uW3d4Y=;
 b=N8eOn9NoUllM/eN4a3sETa89mYGtzA/c+luEzHgrsUSzYsY45Qrc1xrcHUhNafvqCq
 T4dFPbuS15ykoIG3w6iNFAC53TqBTNpLE0kjV0q9R5DwcCvpeESqpZqHQvt+TWEopKZY
 IhHLUTlZ0zMA5q+7Bevh6tB17sDMW0E9Df7JI7ZeTcy+qT0Lo1lLq9QNylflrIMi9zuB
 Ul+kWBhtjV3q/JpAcq51HydmSXJGQRlAItfm0e+wf/lvdnXqv7M19AOZSuYN+iu6iGgT
 uw3JeN+mZQRo0mCVDC7AusfKehba19kCRqFLbISMLfCfUpA8lSttcuUwXgYZtlOTUsPB
 wkqw==
X-Gm-Message-State: APjAAAVwdjo3HmsK5/ztJYGHyWwI/oxhAz/ycplZx4VzumlRES3bWX1T
 74YrUEgfTov8zuAdM/attatqge3h
X-Google-Smtp-Source: APXvYqyKsI7FKzvB1qsaCCy0WDYJPeaIGA4pWYS9Lx9EOqhNw87FkW8PkaglzBRYBKVzhAVbPPRK1w==
X-Received: by 2002:a7b:c938:: with SMTP id h24mr3732109wml.117.1571330778635; 
 Thu, 17 Oct 2019 09:46:18 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id o4sm4015686wre.91.2019.10.17.09.46.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 09:46:17 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN> <2328b90c-4e4e-dd58-7e8e-1f36e0b11ae8@HIDDEN>
 <83zhhz9wda.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <ba47ff70-241c-5c58-8440-9a32f18c9cf1@HIDDEN>
Date: Thu, 17 Oct 2019 19:46:16 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83zhhz9wda.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 17.10.2019 19:20, Eli Zaretskii wrote:
> Thanks for offering your opinion, but could you please elaborate about
> the breakage?

Same as mentioned by others: the newlines in a region are highlighted 
differently than before.

 > It should perhaps tell you something important about the change.

That is this case you're willing to weather the storm of complaints from 
users that dislike change, even purely visual like this one?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:39:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:39:35 2019
Received: from localhost ([127.0.0.1]:48843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8oI-0001cO-RK
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:39:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL8oG-0001c8-KQ
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:39:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41362)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL8oB-0003OF-8L; Thu, 17 Oct 2019 12:39:27 -0400
Received: from [176.228.60.248] (port=4983 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL8oA-0005Y5-Bm; Thu, 17 Oct 2019 12:39:26 -0400
Date: Thu, 17 Oct 2019 19:39:11 +0300
Message-Id: <83r23b9vio.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87y2xj5os0.fsf@HIDDEN> (message from Michael Albinus on Thu, 17
 Oct 2019 18:18:23 +0200)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN> <87lftjbo3p.fsf@HIDDEN>
 <83lftjbjyi.fsf@HIDDEN> <87y2xj5os0.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, spacibba@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: andreyorst@HIDDEN,  spacibba@HIDDEN,  37774 <at> debbugs.gnu.org
> Date: Thu, 17 Oct 2019 18:18:23 +0200
> 
> > What is a "rectangular context"?  I'm not sure I understand the exact
> > meaning of that.
> 
> I mean the use cases shown by Andrey Orst. Maybe "rectangular context"
> is wrong wording; I thought it is obvious what's meant.

Ah, okay.  I thought you had more to add to that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:30:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:30:23 2019
Received: from localhost ([127.0.0.1]:48839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8fO-0001P2-Re
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:30:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL8fN-0001Op-C0
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:30:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41201)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL8fG-0001R9-UV; Thu, 17 Oct 2019 12:30:16 -0400
Received: from [176.228.60.248] (port=4423 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL8fG-000403-7R; Thu, 17 Oct 2019 12:30:14 -0400
Date: Thu, 17 Oct 2019 19:29:59 +0300
Message-Id: <83tv879vy0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN> (message from
 Dmitry Gutov on Thu, 17 Oct 2019 17:08:39 +0300)
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
 <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 17 Oct 2019 17:08:39 +0300
> 
> > With Firefox these diffs are boxed in a subarea of the Firefox window.
> > They do not start or extend at the window edges and text in these
> > boxes is static, can neither overflow into a newline nor be broken.
> 
> I think we can think of this "subarea" as directly corresponding to an 
> Emacs window for the purposes of this discussion, when we think how 
> diff-mode should display things.

If you select text in Firefox, what do you see? does it extend the
selection to the edge of the window?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:28:34 2019
Received: from localhost ([127.0.0.1]:48833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8de-0001KY-Eo
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:28:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL8dc-0001KI-KH
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:28:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41163)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL8dX-0000ut-Ge; Thu, 17 Oct 2019 12:28:27 -0400
Received: from [176.228.60.248] (port=4314 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL8dV-00075S-9n; Thu, 17 Oct 2019 12:28:26 -0400
Date: Thu, 17 Oct 2019 19:28:10 +0300
Message-Id: <83v9sn9w11.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <7fc74bce-8143-8cf0-1b60-2d289ae926e1@HIDDEN> (message from
 Dmitry Gutov on Thu, 17 Oct 2019 16:56:23 +0300)
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <7fc74bce-8143-8cf0-1b60-2d289ae926e1@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 17 Oct 2019 16:56:23 +0300
> 
> > However, no other application extends underlines to the window edge
> > as Emacs used to do, this was a plain bug that this change fixed.
> 
> +1
> 
> Which at least disproves the claim that Emacs didn't "behave like other 
> applications" previously, and that it does with the new change.

It doesn't disprove it, it makes it less strong.  Because some
applications definitely behave like Emacs does now, they even behave
like that with selected text, something we didn't change in Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:21:14 2019
Received: from localhost ([127.0.0.1]:48808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8WY-00017j-1u
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:21:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL8WW-00017X-7a
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:21:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40956)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL8WR-0005jl-42; Thu, 17 Oct 2019 12:21:07 -0400
Received: from [176.228.60.248] (port=3862 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL8WO-0003Wr-Uk; Thu, 17 Oct 2019 12:21:06 -0400
Date: Thu, 17 Oct 2019 19:20:49 +0300
Message-Id: <83zhhz9wda.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-reply-to: <2328b90c-4e4e-dd58-7e8e-1f36e0b11ae8@HIDDEN> (message from
 Dmitry Gutov on Thu, 17 Oct 2019 17:02:41 +0300)
Subject: Re: bug#37774: 27.0.50;
 new :extend attribute broke visuals of all themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN> <2328b90c-4e4e-dd58-7e8e-1f36e0b11ae8@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 17 Oct 2019 17:02:41 +0300
> 
> I'm pretty sure that the claim that the new feature broke things is 
> valid. It's my reaction as well, and just this morning I got a message 
> from another long-time Emacs user (and a package author) asking if I had 
> any idea what could have broken the region's display in the master build.

Thanks for offering your opinion, but could you please elaborate about
the breakage?

> Given your conservative stance on many issues in the past, I'm frankly 
> surprised.

It should perhaps tell you something important about the change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 16:18:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 12:18:43 2019
Received: from localhost ([127.0.0.1]:48800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL8U5-00012u-PJ
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:18:43 -0400
Received: from mout.gmx.net ([212.227.15.18]:35577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iL8U2-00012Z-KA
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 12:18:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571329107;
 bh=QvxxM73xDKKGlAALZ9sYnT0nFUPoZj6WrmkpBrqI/uQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=EvdrHW+S0MTBCHXCFCDLP0hO8dki6VvjxoE+YFWVI/WRx9HHkQ48g27rI5ljqSr2X
 j8xoHQDYV0/AURCw4g3zk1pog+myHrsoqSMDnBLMGAFD0cKSASR3Pcm4DZj+n2o+Sw
 E6U3E84H50x699u1y+c6cFQc4tThQyT3bbE/CjQ4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.42.71]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Md6Qr-1hmd4i1E1L-00aF0B; Thu, 17
 Oct 2019 18:18:27 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN> <87lftjbo3p.fsf@HIDDEN>
 <83lftjbjyi.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 18:18:23 +0200
In-Reply-To: <83lftjbjyi.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 17 Oct
 2019 16:05:57 +0300")
Message-ID: <87y2xj5os0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:zIlKtH96Tt0CtcIiOI1lR818x706N0035OHZlV2W5bu54GfQsQJ
 ZLlK0T+HqLx4/5yi5fWrrd59vUwmIqnDPpA5TUCknNrF+Td2HPUYKCna+F5LKVadrFNukz1
 rLXXA7K855lVSaEmncnGdVHYOxCPOWf1lU/4TQsQOPSPqmBCtxX20uzWMmz5xX97PDxz5+k
 UzjDUF3w1veJI+TT3te4Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:dUGaJe69BEE=:CitdP2tw6yTZ1E0V5kDagm
 SaeP9HtxQejVcPqoEMwFtDrypSW0iezqJEuoSWs5jNiiE3Omu4+G4WPjl1QvtfdLhbqvrTqxY
 U1CGxImylOKOoprSXxqzrlgIe8KPYIsIy9C+cfVsbOgl97Zhu24zxv0+G3M84fqpL98prLzpV
 AM2p9UJCCvvchTBoid6UAngL1cIYxW8IxR8U+jrOSi+mc9czMZyEpZWMKzVBP2jI2r2WysGGU
 G8suQxmMT0Fhx/PGmQjWmBNUV7hLqVK9mmWP1qKZmSgyDgY6yvPlftwymVJ+6GFJwh7Ubwmt9
 HTB4YAOFfLPRKTTzZgMrWwCLUo2ZevhcB8jhZC4n48datTym4IfdOFGK0tgbs5iY1d9VoSwQF
 XgHNNKxEYZKCcmLAn9H9zvP4iO8WpMT8t3IY49cPJzfBHaPrEaQ4ky06BxkZkfBA3lFNEoStp
 IGc5Xi7hhDk5B3wZGIbC444VDk7hou9d0dY+asvxx/TEu/4yKXVrRHq7Getknw5Uh7b2R+B14
 LHrnJNsbHWSJU8Nml91jAt9NzsakOLrTjO5B1aLar3o35hmMZJ1HYRRF5J6Yw69gZzyFVnEq1
 b5VPb11XWVWHw5dz+X9EECtxCeBphpZ5iCWMuqjht6RXW9a7IyrxuMFPacS09KVIq2fTaHvmn
 MIsRyIl+gQ54VrmLj080Y23r0zS3u9LOpTK8l+XcIh4BmtAeM+r13D/Fw7JbIZ+wY8j657a4P
 GHBuoFCF3rpdQp64FG1iDtd8t4it8c5Xefe0WIeok8Niih/Fs96KGmRxujweE9Zpl2tK+7q8H
 +RKDAC3vEAfHHRU88ve++YH3m7UWNUjDFuOcXMnnYQQcW31fB8cAMtoSP5v3pZIIshZTwjthB
 YMzwL2OCdhF5FKiUJNxFKB0N68emkG8IakPtW4iFNFJoaORcJDMtoQTw0RhH6ZT6P7FUPpCUv
 zh6P/n9iNKew9t3MgArljawyobDN18h/QmXeVKesyXE6Ms8GWE5qwILmqvojc5i28+od6vA4V
 c1VzyYTg5DuZrHPyw3G8uWsy6U9jOKbifuEY4cwCTskHty2exZcL9Ap0BnWz8D4cYhdP0g6Jw
 hiQDl2w4lAUkzsadou3k9JQ4Fgrj5qpsxe/KcoRQZ1xPHtPE082Ybj0QJWMYq0TnuCWNbKzoD
 O8251wKbd+tkGqP+ApvdYhXk10n6iKWQijXSt+cVFV8GiG6j0CLbkfYBzV/sKLUsq8cPyg8ZN
 ArZpe7mKOkSuFB05lqyLpzoOFaY0e4QfXNwYKQgNIleRWIKFLsq+5ZiFJwsk=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, spacibba@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I believe it is more complex. There might be situations foo shall not
>> extend to EOL, and other situations it should.
>>
>> The latter case is when foo is used in a "rectangular" context as
>> explained.
>
> What is a "rectangular context"?  I'm not sure I understand the exact
> meaning of that.

I mean the use cases shown by Andrey Orst. Maybe "rectangular context"
is wrong wording; I thought it is obvious what's meant.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 14:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:38:29 2019
Received: from localhost ([127.0.0.1]:48629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6v7-0006eP-Et
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:38:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL6v5-0006eC-Ag
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:38:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38485)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL6v0-0001bh-5P; Thu, 17 Oct 2019 10:38:22 -0400
Received: from [176.228.60.248] (port=1570 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL6uz-0007dr-FQ; Thu, 17 Oct 2019 10:38:21 -0400
Date: Thu, 17 Oct 2019 17:38:05 +0300
Message-Id: <8336frbfoy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
In-reply-to: <CAAKhXoaOYL5kryUK+qM1arYD3VCZzWqvPx521Zgp3soODVaqjA@HIDDEN>
 (message from Andrey Orst on Thu, 17 Oct 2019 17:13:00 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
 <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
 <83pnivbki7.fsf@HIDDEN>
 <CAAKhXoYU1Bjh+jnjM5nctVEu25MbyxDHw6M7bZ0_mJNsh61XFg@HIDDEN>
 <838spjbhc0.fsf@HIDDEN>
 <CAAKhXoaOYL5kryUK+qM1arYD3VCZzWqvPx521Zgp3soODVaqjA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrey Orst <andreyorst@HIDDEN>
> Date: Thu, 17 Oct 2019 17:13:00 +0300
> Cc: 37774 <at> debbugs.gnu.org
> 
> > So maybe a few more faces need to be extended, at least optionally.
> > The issue that was brought up here was, AFAIU, that this feature
> > breaks many features so badly that it needs to be reverted or at least
> > turned off by default.  I have yet to see some sound arguments for
> > that.
> 
> Perhaps we need to see what developers of packages think about this change?

Everybody who has an opinion and arguments to back that up is invited
to speak up here.  TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 14:13:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:13:38 2019
Received: from localhost ([127.0.0.1]:48602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6X3-00061N-Sk
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:13:38 -0400
Received: from mail-yb1-f179.google.com ([209.85.219.179]:46207)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iL6X1-00061A-GM
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:13:35 -0400
Received: by mail-yb1-f179.google.com with SMTP id h202so725549ybg.13
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 07:13:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=eMUiSIPWXNT9gXteiddsGr5iZFVT3kl16fmcXK/gIzA=;
 b=BXAUpG5R/Bga++feonNqC1iYOhZxhyPLSdwQcdyHIi0vJRwjoqmiuVePFKGY7ZCYzO
 YD2tGGxsaFwTENV75EX7IfYk1pzOJgQnuDfnIkjU4LZ74Hhpe8Y19rR3oEGOsICZEOrN
 SGYTOs1QQV5TbfW4M7xyxnKmtMRy2dw9z8sf0jz3WWGl9h0ZDwiNha/2bBsrLvzA3RJI
 nYvHIPU/FqpUfXxn5eFl0zVnrCko3jlZ84P3Z+sSkmtYng6QvVjjO9bJKJCg5u5TMJHE
 bv4ZPbueb3we9GlnH6nBw+lrl9AexUN1DhnMtL5mIf5yF3u9V2iZ/dQzR/cYtulblggR
 PjBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=eMUiSIPWXNT9gXteiddsGr5iZFVT3kl16fmcXK/gIzA=;
 b=Pc92PfhJPqUCElrxVg9yD8CY3S2cdguorQmnSEkC6w5+g7Mo7AjRNxnKWLh5rYYDzw
 p1NFTBnFsRs8J7oNjH4aa/YcQCIkBM8SR17bsR7+z6R64QvM8MCxCPqvVYusPDdFEDNM
 hyBSDA9l4q1uH4PZDHUJgoVndhd9bbMc+8dnIZY+7zOJINHuZfeq5hQ3mP1861xQVuwy
 g0Nqn1RNA/yZHlWfFWG/wuS9KTuTYC2cJmi3mwY073BZlSpW/ZY3B2fAbX7zXJUpyLyQ
 xhipfSDYHyQnOcs+4f2ncjvkiNNEqHMNJwBrzxA8ekuxYqyaRs1Q+7BzMAyqBrAHNvz7
 a9pA==
X-Gm-Message-State: APjAAAVqdMQmZBlfPFfQB4VVJXyS45iQVXoeCvj30WTgHsKyD+cXnEFB
 vBMYNt+ERF2fB2T4maW25lHZdNH9WuH4JYSvmQacNtW9Uek=
X-Google-Smtp-Source: APXvYqy55eXc7WB1qlMspdQVZZnz3Au4J2zdTczl2vW6aT/CwJkuwk9XP12BJKQwmR3sCrCFv+geb2e/Q/2fkP5rAM0=
X-Received: by 2002:a25:bd0b:: with SMTP id f11mr2513245ybk.172.1571321609711; 
 Thu, 17 Oct 2019 07:13:29 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
 <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
 <83pnivbki7.fsf@HIDDEN>
 <CAAKhXoYU1Bjh+jnjM5nctVEu25MbyxDHw6M7bZ0_mJNsh61XFg@HIDDEN>
 <838spjbhc0.fsf@HIDDEN>
In-Reply-To: <838spjbhc0.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Thu, 17 Oct 2019 17:13:00 +0300
Message-ID: <CAAKhXoaOYL5kryUK+qM1arYD3VCZzWqvPx521Zgp3soODVaqjA@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000005ff53205951bd298"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005ff53205951bd298
Content-Type: text/plain; charset="UTF-8"

> So maybe a few more faces need to be extended, at least optionally.
> The issue that was brought up here was, AFAIU, that this feature
> breaks many features so badly that it needs to be reverted or at least
> turned off by default.  I have yet to see some sound arguments for
> that.

Perhaps we need to see what developers of packages think about this change?

--
Best regards,
Andrey Orst

--0000000000005ff53205951bd298
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>&gt; So maybe a few more faces need to be extended, a=
t least optionally.<br>&gt; The issue that was brought up here was, AFAIU, =
that this feature<br>&gt; breaks many features so badly that it needs to be=
 reverted or at least<br>&gt; turned off by default.=C2=A0 I have yet to se=
e some sound arguments for<br>&gt; that.<br></div><div><br></div>Perhaps we=
 need to see what developers of packages think about this change?<div><br><=
/div><div><div><div><div>--<br>Best regards,<br>Andrey Orst</div></div></di=
v></div></div>

--0000000000005ff53205951bd298--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 14:12:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:12:55 2019
Received: from localhost ([127.0.0.1]:48598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6WN-000605-By
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:12:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:42473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL6WL-0005zy-Dp
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:12:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44010)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iL6WJ-0000WK-P1
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:12:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iL6WI-0000U6-Mr
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:12:51 -0400
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:41495)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iL6WI-0000Tf-HK
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:12:50 -0400
Received: by mail-wr1-x429.google.com with SMTP id p4so2539314wrm.8
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 07:12:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=e8SKxrMhKOHmQG+jTYc4s+VXhfUC2/narElRfZpkp0s=;
 b=fLIjiDdAFLyq3uK+oaXgosp5jB9hv5/Cpwj56phVTh3WiJ4y5HckFwZlNiFCSD1A43
 z8BKWSaIqcZnylFceqHgFizq8TDOBxBZEeWK2kyEX8S5HShSGU4znV67blNUWPhqv5VR
 ea2pxodce7vc0UtHO9fGfFOF2HnVU2mgP8bIvVlcK/q3KcHFr3xMbFUG0rM12+AeZA5+
 lBxWtlelLDr+/Is5cVPJO4hOL1L0BV1I6Ds3Rb3nVGR/2jZUwLNuL93jt9J6yMw/BKnt
 HQjWf+AHJ2D/hmBqLdWt/y2AAUfznmhpjgEh4/EiA5CouR3oYHHn8YWPmkOCOgCWMB7V
 qoZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=e8SKxrMhKOHmQG+jTYc4s+VXhfUC2/narElRfZpkp0s=;
 b=IPovpkukO47epSVTwd4xU15/hguaniCxhPZNHg0BqtbmkVbR1yII0ZdEWdSzzcG4e/
 hAznSUkaaMlYMlABI2DfsYrFN5JP5yHubZebd9j0rScdtY9PBCgmymJK8QtzCteg0qJ4
 phxC+6qiXlCl/lkOLe1emnqJVAizty9EcM1StJnxg4C+3YNrIqIxus3Hq8cFl7znK+i8
 m84kGhx42pO4KJB37KXkwGw1jAYcSSOduiuwjFVowfgJRRdS+WL9gqCGf7qyeMMz9Hvr
 mgN2ffFGXJ3hAIZm0pWFtUXXwjXSVWhQipCuNoGQUi47RWgFkHvS4yNiieuSn+Lmv+xm
 z4qA==
X-Gm-Message-State: APjAAAUiRqAgkcsmg09djs/raEqxQ1A1YaWmuNMphh6bzG/n9PZeW9WJ
 lvxC4r6yoPOahym0jTSCTTjfMqNz
X-Google-Smtp-Source: APXvYqwLrBLn0CiYsyPChEdQ8a4n1B5aU367/B+wRv+yWPg+yI5yJcTnpBCIub5kJBXuAE/qNzP2Tw==
X-Received: by 2002:a05:6000:12cd:: with SMTP id
 l13mr3236206wrx.181.1571321568950; 
 Thu, 17 Oct 2019 07:12:48 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id n8sm2687520wma.7.2019.10.17.07.12.48
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 07:12:48 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN> <83y2xkcyu9.fsf@HIDDEN>
 <87o8yg5v80.fsf@HIDDEN> <83o8ygcvb0.fsf@HIDDEN>
 <20191016202908.tmcir2v56gols45e@Ergus>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <b0d2f8fc-8d09-c515-40ad-0ebc5bcb8b2e@HIDDEN>
Date: Thu, 17 Oct 2019 17:12:47 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <20191016202908.tmcir2v56gols45e@Ergus>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::429
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 16.10.2019 23:29, Ergus via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
>> I don't think I agree.  I'm not convinced by the reasons, and I find
>> the new appearance not worse (and sometimes better) than the old.
>>
>> I think the objections are mostly because of the surprising new
>> appearance.
>>
> Agree. I also asked in the emacs telegram group and in general many
> people prefer that "the selection looks like in vim"

I think it's a valid preference, and it'll be nice if people can 
configure their Emacs to do that.

BTW, if we want to adopt the appearance of Vim or Firefox for the region 
display, we should probably avoid highlighting the extra character at 
the end of the line, the one that corresponds to newline apparently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 14:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:08:48 2019
Received: from localhost ([127.0.0.1]:48593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6SN-0005uO-Pl
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:08:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:60516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL6SM-0005uH-B1
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:08:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43191)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iL6SK-0003TR-Im
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:08:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iL6SJ-0007AY-H8
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:08:44 -0400
Received: from mail-wm1-x32a.google.com ([2a00:1450:4864:20::32a]:38410)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iL6SJ-0007AM-95
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:08:43 -0400
Received: by mail-wm1-x32a.google.com with SMTP id 3so2701747wmi.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 07:08:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=UTSocx52fBgPLPN4Ll/uUVYiojhWNF0BwlEqoIlNH0I=;
 b=KZnbXy9qtczm5k1qZ8F5PEN+Dp7gElf4djNVDA3JvU8d/9/DN02ajC/yd7JD1b8jBS
 e5Y0vg8NphY3jcS9f5l/6rlfjUdwrdJs8BcD4fmOPpWbWCW2tqaEkFTZTHw4ejB86lhR
 RBGRfc/5Uscl0FCViIpC28XSA2gh517RGQL4oODbTXF/ZnP1cO/YWKpqll8D/6VydJo7
 heLINzWL42D9gs6sQ7A/r7ib8jgJyTfvl9GBtQ6ObRLrp2AdOEehGJ+T7hFOi5cMuPQg
 OSN9S18g+0foR0OrJevgGASC+1pHsU9syXXGvdO1pEkwK3KOUahyy8scDUUQgH9Qd+Sd
 Ml0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=UTSocx52fBgPLPN4Ll/uUVYiojhWNF0BwlEqoIlNH0I=;
 b=dpZ36rgdtU+8VS77YyKbl2ARNoz/XYobyQ6gGVh8kgbT83x/uKrIBNLqU/iOZ+U/hs
 t3pZ/02Eso28nbh3XggXExtx4XiSJ/QGAnDYTkOcBJgEE6nhOK7AyXF08yD3PknaR8Rd
 sw80S1iGQG+HrqEyUajDJ7hAgwWHjGsSdQhyll1dpRzV98qNPL9v+qGLmBOLA1EUJiDM
 nvacK7hhIY6SaNySrWAmaY2gpy02T3U9py2D0cOWBw+vMN+TD6Cse0WOxiM53r/4t+Kg
 hVcBF7Ef6ZKVqat2Op+2Q7VTJ8O9LIKiG22csD7zdHSp81sXu0Q4DZLQvUOpejTLabWi
 oM6Q==
X-Gm-Message-State: APjAAAXF2eCqYTr08cFs27109/c5Bj5URIYDiKq4LhfqStc54VOAjuHx
 NgHmSg359bahNbrB40lzHxK9jhr8
X-Google-Smtp-Source: APXvYqzyPG8J3PNnJ+boA9YJIfTs1XmaB7jm4LgQsfOlfE+6edWBkLnrF50B5WkR9s/zOdLndcTulg==
X-Received: by 2002:a1c:a444:: with SMTP id n65mr3217930wme.111.1571321321613; 
 Thu, 17 Oct 2019 07:08:41 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id e9sm11665936wme.3.2019.10.17.07.08.40
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 07:08:40 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <6f01b03d-7be3-71cc-ff97-c1a4f7b3c213@HIDDEN>
Date: Thu, 17 Oct 2019 17:08:39 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <4dc05091-53db-bff9-4623-0aedd9c2907f@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32a
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 17.10.2019 11:25, martin rudalics wrote:
>  > Also I looked how other applications extend diff blocks, and e.g.
>  > GitLab extends diff background colors to the window right edge,
>  > not to EOL, for example,
>  > 
> https://github.com/emacs-mirror/emacs/commit/3d6075e3ee8c447f8974b37007a1b1ae1af8917c 
> 
> 
> With Firefox these diffs are boxed in a subarea of the Firefox window.
> They do not start or extend at the window edges and text in these
> boxes is static, can neither overflow into a newline nor be broken.

I think we can think of this "subarea" as directly corresponding to an 
Emacs window for the purposes of this discussion, when we think how 
diff-mode should display things.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 14:03:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:03:14 2019
Received: from localhost ([127.0.0.1]:48585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6Mr-0005mQ-Aa
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:03:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL6Mo-0005lo-Np
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:03:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37792)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL6Mj-0005sY-IR; Thu, 17 Oct 2019 10:02:57 -0400
Received: from [176.228.60.248] (port=3053 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL6Mg-0005xV-E3; Thu, 17 Oct 2019 10:02:57 -0400
Date: Thu, 17 Oct 2019 17:02:39 +0300
Message-Id: <838spjbhc0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
In-reply-to: <CAAKhXoYU1Bjh+jnjM5nctVEu25MbyxDHw6M7bZ0_mJNsh61XFg@HIDDEN>
 (message from Andrey Orst on Thu, 17 Oct 2019 16:40:49 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
 <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
 <83pnivbki7.fsf@HIDDEN>
 <CAAKhXoYU1Bjh+jnjM5nctVEu25MbyxDHw6M7bZ0_mJNsh61XFg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Andrey Orst <andreyorst@HIDDEN>
> Date: Thu, 17 Oct 2019 16:40:49 +0300
> Cc: 37774 <at> debbugs.gnu.org
> 
> Git diff is an inline diff. It doesn't need changes to be aligned side by side,
> and doesn't need changes to be linked as in side by side diff tools like,
> meld, and diff-viewers in Intellij Idea[1], VSCode[2], Sublime Merge[3], Smartgit[4],
> 
> [1] https://www.oreilly.com/library/view/intellij-idea-essentials/9781784396930/graphics/6930OT_03_44.jpg
> [2] https://www.meziantou.net/assets/result1.png?v=2c344912
> [3] https://edge.alluremedia.com.au/m/l/2018/09/smerge.png
> [4] https://www.syntevo.com/assets/images/products/smartgit/opener-481720cb.png
> 
> and even when we looking at inline diff,
> most GUI tools use extended highlighters,
> because it is easy to understand:
> 
> sublime merge: https://i.ytimg.com/vi/ZrdkEBJV660/maxresdefault.jpg
> Magit: https://magit.vc/screenshots/commit-top.png
> 
> Consider looking at how magit supposed to look in official screenshots here,
> and how it looks after the change. https://emacsair.me/2017/09/01/magit-walk-through/

So maybe a few more faces need to be extended, at least optionally.
The issue that was brought up here was, AFAIU, that this feature
breaks many features so badly that it needs to be reverted or at least
turned off by default.  I have yet to see some sound arguments for
that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 14:02:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 10:02:53 2019
Received: from localhost ([127.0.0.1]:48581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6Me-0005lb-V4
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:02:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:37346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL6Md-0005lU-By
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 10:02:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42362)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iL6MY-0005Lz-7j
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:02:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iL6MX-0005oz-5l
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:02:46 -0400
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:38351)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iL6MW-0005oh-Vx
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 10:02:45 -0400
Received: by mail-wm1-x335.google.com with SMTP id 3so2676705wmi.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 07:02:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=1Ggj784jB8pDMfnK1jgu+ODPaZnXP76/4VS3jD2ySrA=;
 b=gttwZ89q0IXCJERvT6sGIL9thOOYra4cKf+nykeohj+bcabr0pwxyFF5svqETWYK7b
 hRsecFgqeRZHKdYsSKozouTqOl6PEiTC3LvuYnB6UMwlMtHgdWZE/2BdXRV7b79aYRb7
 ycM5pwzQGTYFyW0zyYo6KAbsnDUcZ3HviISayjlHiEGIM5g7Dtwg6HFpBisT/r6sCw7p
 CtTcpzoMt92NmjTw5FOhPN6T1GHJcBDYgXmZFbPTl+4MgPhqbTJ8AtR/PmFkO57Lxuf1
 ENRcNDWHkG35/HJ9bUzOY+OaNoLd2atkKv9SHMfP87klfHt3gbJC/kjt2bia+4nvbaR7
 TruQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=1Ggj784jB8pDMfnK1jgu+ODPaZnXP76/4VS3jD2ySrA=;
 b=NxF1Pk2TZu++0smwcvCftK3PfKD3SClpQULJGpb8HExGWEXOWPV9+1FRnQsuUO7NYZ
 ypmvwdMKtEK6N6KPBkZTaRjOxxeR+Yc56ewGwK/1iBzWfL/QniUaOr7NgSMlNtQw5fYn
 wD7ToVtllXKS/cPvhxxyJIcrq7TtQHJJJDxWm2p9d+BnP20NwnXxHo61ZiDGwgr5odpd
 d/3C/+7HZ+J4IjwiUmhUvi4DapvJc+BKsxZcLadA607RyPy5dgX59zkB+5fIMxBpstKY
 PNonqAVzorBpm7Sv27UsvgXaNYck3ZvOiFb9xEBVvaOqUWVqMznd75fbf1c5c2yrOamS
 nprQ==
X-Gm-Message-State: APjAAAXAsDFUD/7wcew7vn3e/TMSK1+CoKnkPZAhwTfRtw+XXKoC3vsa
 LzTUz+uyGlqQ+tEYlugwWW6iFO/w
X-Google-Smtp-Source: APXvYqyS51ni/lJwB7Cw15kzpEXIjjaHU8isNftJN8suE5vJ9WNB4PN/UooP7TNtAQNfeYHJ8b6mKg==
X-Received: by 2002:a1c:1bc5:: with SMTP id b188mr3130775wmb.164.1571320963456; 
 Thu, 17 Oct 2019 07:02:43 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id r10sm2453926wml.46.2019.10.17.07.02.42
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 07:02:42 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
 <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2328b90c-4e4e-dd58-7e8e-1f36e0b11ae8@HIDDEN>
Date: Thu, 17 Oct 2019 17:02:41 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83r23bbvdj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::335
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 17.10.2019 11:59, Eli Zaretskii wrote:
> I still don't see why "broke visuals" is what it did.  I happen to
> think that the new appearance is not worse, and sometimes better than
> the old one.

I'm pretty sure that the claim that the new feature broke things is 
valid. It's my reaction as well, and just this morning I got a message 
from another long-time Emacs user (and a package author) asking if I had 
any idea what could have broken the region's display in the master build.

Given your conservative stance on many issues in the past, I'm frankly 
surprised.

In any case, while I haven't looked deep into this issue, I'm under 
impression that it should be possible to both retain the "rectangular" 
behavior many here are accustomed to, and fix the original pain point 
that brought this feature into existence.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 13:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 09:56:32 2019
Received: from localhost ([127.0.0.1]:48571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6GW-0005b8-Ik
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:56:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:41801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL6GU-0005b2-4E
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:56:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41431)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iL6GR-0005uz-Ul
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:56:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iL6GQ-0004Sk-Sk
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:56:27 -0400
Received: from mail-wr1-x441.google.com ([2a00:1450:4864:20::441]:41944)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iL6GQ-0004ST-MN
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:56:26 -0400
Received: by mail-wr1-x441.google.com with SMTP id p4so2469462wrm.8
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 06:56:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=M2AMA4yM/7dm76qLQJ6Y16tdm3sv4TEBpdduvGB7Yk0=;
 b=nKQKrBZrqwYHjvpiase6muCOvl1FT5MRxKy8wRqs5Va+V0poqlOkysW+yhBnqaqdQ2
 D0ktkBZrkwAytICTK8uC5yILHx0y0W3LaGOJ93fY0LOgFzYxKzFlFQjEMN5xsThRl6AJ
 N8MLSjn7SzLWDNaZFg/m1OwoJA2HscVcm/WMyK8E8SssRpAwDJhAgrbRu2biF42DxR75
 KfWAwelCCFjyz8nGZcNt9Yw9ePUaE62dkTtc/MT5zqDzo9Q26Ayk3D9SfVXbSoVY+FfQ
 dZ8BRR3QOHiz3hR8/cQ3LoqTSZOL02PfYEJFnDBiBUBlExCm/jW13kYin7ixsOhkOrzm
 TfWw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=M2AMA4yM/7dm76qLQJ6Y16tdm3sv4TEBpdduvGB7Yk0=;
 b=f5wSBs0I9VI6s2nPqSKUQoc7GnKOgJbBUwQqmlQe/VXBuKvV3oeJlaSZzhfrsUtB/s
 OMXcUEtYRB5GBL+qwJuvfab6N48FIBPDnvIEijUUKLbQbsZpUFmtyTCJJWd78sDj3xuc
 A2+6a1tkfKMPh6uJFLQQKHsEgJex6SbcEn9ACElAdd5q2PLeYl2hDDfc9M72UQo6gSHn
 UxGaPJ5As7xKHlzKkfOmcmowUpTMJU4mLSG+AfMVxxZJ99Le+JGKJomhDYDpNZGP9fmw
 4YP5d5iR4cpNlmIXney6lUfnTfEGZMcpHxK5ZS4io+5+3FAtxnQEfirxiU6O+jcuPECZ
 vR4g==
X-Gm-Message-State: APjAAAUtp286Iwv9pGHVr17OWNM3b30E7gILJC4hJ+VsdEW6R4uQhPcK
 HLrhmKCjrRLA85H0NqhggkxHKZ3k
X-Google-Smtp-Source: APXvYqwOhlt7KoN6x+//lt0QbTgMEaqE2R6hFGsq/UfBp98fJUTv0xqd4P0OJEaK6DI3FYY18eO+xQ==
X-Received: by 2002:adf:df05:: with SMTP id y5mr3450201wrl.84.1571320585143;
 Thu, 17 Oct 2019 06:56:25 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id d193sm2871148wmd.0.2019.10.17.06.56.24
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 06:56:24 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN> <87pniw30td.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7fc74bce-8143-8cf0-1b60-2d289ae926e1@HIDDEN>
Date: Thu, 17 Oct 2019 16:56:23 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87pniw30td.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::441
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 16.10.2019 23:14, Juri Linkov wrote:
>>> (It's a pity that the long discussion of this before the development
>>> started went without any such objections from the people who are
>>> regulars on emacs-devel.)
>>
>> Btw, please take into account that what that change caused is that
>> Emacs now behaves like other applications in this regard.
> 
> I don't know what applications behave the same.  I tried different
> editors that I could find (namely LibreOffice Writer and xed)
> and all they extend highlighting of the selected region
> to the window right edge, not to EOL.
> 
> Also I looked how other applications extend diff blocks, and e.g.
> GitLab extends diff background colors to the window right edge,
> not to EOL, for example,
> https://github.com/emacs-mirror/emacs/commit/3d6075e3ee8c447f8974b37007a1b1ae1af8917c
> 
> However, no other application extends underlines to the window edge
> as Emacs used to do, this was a plain bug that this change fixed.

+1

Which at least disproves the claim that Emacs didn't "behave like other 
applications" previously, and that it does with the new change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 13:54:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 09:54:45 2019
Received: from localhost ([127.0.0.1]:47433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL6En-0005HG-3k
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:54:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:51181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1iL6Ek-0005H8-CE
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:54:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41052)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raaahh@HIDDEN>) id 1iL6Ei-0003iz-U8
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:54:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1iL6Eh-0003yn-Te
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:54:40 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:36351)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <raaahh@HIDDEN>) id 1iL6Eh-0003yc-NY
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 09:54:39 -0400
Received: by mail-wm1-x332.google.com with SMTP id m18so2656699wmc.1
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 06:54:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pizWO+48CZllSngXhfJ18UyM5hVbwqiQlqWpBDQFh/I=;
 b=jsLLrctkqj+YoCVxgE7kg1cTry4xHuerkpSrDPzVBHRuQZ50Q9Z6G/TY9Flf3eiaco
 qhZSxQWHHapN/zn/mBOAIRHz+Se2O01g4cUV3vt+A4QAybapSSrJ+55KiTPlJZucJ5BA
 T0D0Jtb7PsggBbOblgrRc2itgnL4QwiI41xtsQokThBYH89LglrotJ4ubF4PhI8ZX4QL
 A2pJUpd2KfVU2jw2bp7Htiy5qXbGDA0hAsse++oCMrgkfImA8YeqWOJiBpXWak9uM4VJ
 PBo4HeavZMdWbycTZ/Wvxu4FO8gQfiv64NpXD8G2wZ7QMvoVnix0eKOpzF9blmruCYF3
 TICw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pizWO+48CZllSngXhfJ18UyM5hVbwqiQlqWpBDQFh/I=;
 b=G1SCS1HfqaUVTFK7CsYejqigWaj0brDmsNynQ8leZLMDKXiPntaUmXRr5HdML8xt3C
 29Cz+KzoEJbyYV8sM3rCF/DadWxG6hheLZaCDG7+qIreKwtbYLDHL+w+e04sA9AWgwui
 MpziMAMiSXJVaijKeoWDT6RfIK2D5JbG8rH6t1pIqweo7y2J6gP+gnuf1FhMdP1qQfLZ
 BqfFUZv4Oav1EYD2XGO+pl79renPWG5+ND4aGiSrfn1smppc7zJfxOgcJ1IdJINOZunU
 mbjK2orwzC5yx3Xe0tU9zGwLlKY1VC2jVccUedWPNlXUAhhw+iacT2t2jd51bgng3HQB
 lJcQ==
X-Gm-Message-State: APjAAAXg720d1IUKT72Ph6HoglvY+E7HpeZB6PAdPgSA47WT4iP9OsBa
 J481VlviOGRgsRoKganIbQzbFW2p
X-Google-Smtp-Source: APXvYqz0QaEyZiwgLOWv3bx4hekl+pWWVIvqdGbmBwre+QpHOvZ8LPAJj2NzCicE9pNkkiWnrRHJNw==
X-Received: by 2002:a1c:4c03:: with SMTP id z3mr3158834wmf.174.1571320477667; 
 Thu, 17 Oct 2019 06:54:37 -0700 (PDT)
Received: from [192.168.0.140] ([109.110.245.170])
 by smtp.googlemail.com with ESMTPSA id y186sm2767197wmb.41.2019.10.17.06.54.36
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 17 Oct 2019 06:54:36 -0700 (PDT)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: bug-gnu-emacs@HIDDEN
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <39dcbdd6-d817-b420-6397-1882b21b917e@HIDDEN>
Date: Thu, 17 Oct 2019 16:54:35 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <83tv88cyic.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::332
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On 16.10.2019 21:54, Eli Zaretskii wrote:

> (It's a pity that the long discussion of this before the development
> started went without any such objections from the people who are
> regulars on emacs-devel.)

Please try to recall highly non-specific subject name of that thread.

There are a lot of new messages in emacs-devel every day during recent 
weeks (and in the bug tracker as well), and skipping long-running 
threads talking about specialized matters is only natural.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 13:41:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 09:41:33 2019
Received: from localhost ([127.0.0.1]:47425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL61w-0004y1-4Z
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:41:33 -0400
Received: from mail-yw1-f43.google.com ([209.85.161.43]:40614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iL61t-0004xn-Ci
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:41:26 -0400
Received: by mail-yw1-f43.google.com with SMTP id e205so869657ywc.7
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 06:41:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=e8U3nHH9rzDyrXSXpQKJ+CoH6nYUO83ntSpSuBK4Pf8=;
 b=sPmeLqb5r8TnfEQHUVjzhzT8L72Osqx4rLkK8rduuKeyda5FbSbxmlVrmVbh3aQZNG
 GYL9w6l+T46nCfJBQmoF7/0ISsDkXSpB50ObcEqzbr6Yah0JmCZJhWuJvX4An0uK8mvD
 gMP1ahKAXuVjF/i+y4aGnTT3D8EI3nSC/cQJeN6wf3il1I0T8nU1ag8LGjZwSB9lfORb
 F0f2KkEME4n7Gv50sMtqVMz/c9kWwgyRIdXKwdyJa0xlp7PTs/iwSyp/wtB9kEHvhnhc
 kSJfNuEQ5Ho+E3slTPOFmdOzph6v0+6GnEzBtxr2uKznKwRHVIf3xIOc/bTYYFZz0GD9
 Ggow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=e8U3nHH9rzDyrXSXpQKJ+CoH6nYUO83ntSpSuBK4Pf8=;
 b=IcobqGILFMPLC9dnZcbcwUHqVUg/jI8aL0rlnuCMpeIbIhIt/zbTE8ViCppBDOEnb0
 CC4xSWCnRHiF1tzP47ERlalRJ/jhZEnQ7cIhiYl0+KEL1M7H+cT5vzZ8FfbsM6Qhs8pW
 kpVgTXis31H0Co75SdAFbQ8uMxHOS+XFzK13OAd1SN6I6NEuoQG33dThToUhgE6CFb6n
 t+aeEvTHsqHrOuEMlLr8fLQskOCCT25YVM4Iv73Ngrj1ObKJVvTkWv84sNrNrX/RyJyJ
 U3nNDgcbUinPtYWg2SH3uXslrwuntWHFD1mmlOgXKUHY/wgIMlGbdXi1ByUHgytHgtyu
 Y9nA==
X-Gm-Message-State: APjAAAXG35iKFT2cx+WkOoUIn4OgP7XGTn1F1y1iMVgiJxdDOrYujjWN
 KCcEeam9kcYWb6wvI5zLxDt9F9UZZtsMjUETXhrn7Q9ziCY=
X-Google-Smtp-Source: APXvYqw6PM1weUXZ7qaLnEpKBRfdg2KdaE3QNTNUkeZdlwyHqHBLl1zlRnosjPwugbEpJg5fl74xj5kdpkFPbMxvyU4=
X-Received: by 2002:a81:54:: with SMTP id 81mr2686310ywa.475.1571319679269;
 Thu, 17 Oct 2019 06:41:19 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
 <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
 <83pnivbki7.fsf@HIDDEN>
In-Reply-To: <83pnivbki7.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Thu, 17 Oct 2019 16:40:49 +0300
Message-ID: <CAAKhXoYU1Bjh+jnjM5nctVEu25MbyxDHw6M7bZ0_mJNsh61XFg@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000004fbe8b05951b5f7f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000004fbe8b05951b5f7f
Content-Type: text/plain; charset="UTF-8"

Git diff is an inline diff. It doesn't need changes to be aligned side by
side,
and doesn't need changes to be linked as in side by side diff tools like,
meld, and diff-viewers in Intellij Idea[1], VSCode[2], Sublime Merge[3],
Smartgit[4],

[1]
https://www.oreilly.com/library/view/intellij-idea-essentials/9781784396930/graphics/6930OT_03_44.jpg
[2] https://www.meziantou.net/assets/result1.png?v=2c344912
[3] https://edge.alluremedia.com.au/m/l/2018/09/smerge.png
[4]
https://www.syntevo.com/assets/images/products/smartgit/opener-481720cb.png

and even when we looking at inline diff,
most GUI tools use extended highlighters,
because it is easy to understand:

sublime merge: https://i.ytimg.com/vi/ZrdkEBJV660/maxresdefault.jpg
Magit: https://magit.vc/screenshots/commit-top.png

Consider looking at how magit supposed to look in official screenshots here,
and how it looks after the change.
https://emacsair.me/2017/09/01/magit-walk-through/
--
Best regards,
Andrey Orst

--0000000000004fbe8b05951b5f7f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Git diff is an inline diff. It doesn&#39;t need changes to=
 be aligned side by side,<br>and doesn&#39;t need changes to be linked as i=
n side by side diff tools like,<br>meld, and diff-viewers in Intellij Idea[=
1], VSCode[2], Sublime Merge[3], Smartgit[4],<br><br>[1] <a href=3D"https:/=
/www.oreilly.com/library/view/intellij-idea-essentials/9781784396930/graphi=
cs/6930OT_03_44.jpg">https://www.oreilly.com/library/view/intellij-idea-ess=
entials/9781784396930/graphics/6930OT_03_44.jpg</a><br>[2] <a href=3D"https=
://www.meziantou.net/assets/result1.png?v=3D2c344912">https://www.meziantou=
.net/assets/result1.png?v=3D2c344912</a><br>[3] <a href=3D"https://edge.all=
uremedia.com.au/m/l/2018/09/smerge.png">https://edge.alluremedia.com.au/m/l=
/2018/09/smerge.png</a><br>[4] <a href=3D"https://www.syntevo.com/assets/im=
ages/products/smartgit/opener-481720cb.png">https://www.syntevo.com/assets/=
images/products/smartgit/opener-481720cb.png</a><br><br>and even when we lo=
oking at inline diff,<div>most GUI tools use extended highlighters,</div><d=
iv>because it is easy to understand:</div><div><br></div><div>sublime merge=
: <a href=3D"https://i.ytimg.com/vi/ZrdkEBJV660/maxresdefault.jpg">https://=
i.ytimg.com/vi/ZrdkEBJV660/maxresdefault.jpg</a></div><div>Magit:=C2=A0<a h=
ref=3D"https://magit.vc/screenshots/commit-top.png">https://magit.vc/screen=
shots/commit-top.png</a></div><div><br></div><div>Consider looking at how m=
agit supposed to look in official screenshots here,</div><div>and how it lo=
oks after the change.=C2=A0<a href=3D"https://emacsair.me/2017/09/01/magit-=
walk-through/">https://emacsair.me/2017/09/01/magit-walk-through/</a><br>--=
<br>Best regards,<br>Andrey Orst</div></div>

--0000000000004fbe8b05951b5f7f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 13:06:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 09:06:20 2019
Received: from localhost ([127.0.0.1]:47376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL5Tw-0003yo-3B
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:06:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL5Tu-0003yZ-BM
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 09:06:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36953)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL5Tp-0000sy-3D; Thu, 17 Oct 2019 09:06:13 -0400
Received: from [176.228.60.248] (port=3552 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL5To-00068s-3i; Thu, 17 Oct 2019 09:06:12 -0400
Date: Thu, 17 Oct 2019 16:05:57 +0300
Message-Id: <83lftjbjyi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87lftjbo3p.fsf@HIDDEN> (message from Michael Albinus on Thu, 17
 Oct 2019 13:36:26 +0200)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN> <87lftjbo3p.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, spacibba@HIDDEN, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Ergus <spacibba@HIDDEN>,  andreyorst@HIDDEN,  37774 <at> debbugs.gnu.org
> Date: Thu, 17 Oct 2019 13:36:26 +0200
> 
> I believe it is more complex. There might be situations foo shall not
> extend to EOL, and other situations it should.
> 
> The latter case is when foo is used in a "rectangular" context as
> explained.

What is a "rectangular context"?  I'm not sure I understand the exact
meaning of that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 12:54:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 08:54:31 2019
Received: from localhost ([127.0.0.1]:47349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL5IV-0003Zg-GQ
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 08:54:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL5IT-0003ZR-TN
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 08:54:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36819)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL5IO-0004jq-NF; Thu, 17 Oct 2019 08:54:24 -0400
Received: from [176.228.60.248] (port=2839 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL5IO-0005AG-48; Thu, 17 Oct 2019 08:54:24 -0400
Date: Thu, 17 Oct 2019 15:54:08 +0300
Message-Id: <83pnivbki7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
In-reply-to: <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
 (message from Andrey Orst on Thu, 17 Oct 2019 12:20:36 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
 <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrey Orst <andreyorst@HIDDEN>
> Date: Thu, 17 Oct 2019 12:20:36 +0300
> Cc: 37774 <at> debbugs.gnu.org
> 
> Though here's an example why old behavior is better, and it's based on
> other apps, since I see that you value this argument, by referring to
> external word processors. Emacs has a built in merge tool: Ediff, and
> it is also used for diffing buffers side by side, and it's way more
> natural to see extended highlighting, as it is done in other merge
> tools outside Emacs.

What would happen in your Ediff example if the face for added lines
were customized to have a distinct foreground color, leaving the
background color at its default?  That's what "git diff" shows on a
terminal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 12:38:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 08:38:32 2019
Received: from localhost ([127.0.0.1]:47332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL532-000377-EI
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 08:38:32 -0400
Received: from sonic309-24.consmr.mail.ir2.yahoo.com ([77.238.179.82]:45704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iL52x-00036q-Jm
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 08:38:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1571315900; bh=MTn0rKQRL61ZP2pCVG3UWxlRLrNlQTeoFGWtLkhA6kM=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=lkdMACvAcw1aK+CIPCdWYK5g0bDP1d9JR9pDH4vc1ByBuTM80uz2XvlrnLYaJdkJig1HXswob+UYq/bgf7AdBhpNuoD6RtKnKZknFjpkClXr950RhR3aj/2H7MnNZ4cNPWlbY7horXBIHy7WgmmzwXq95lLso71S6kVK+o5bq1b/DR48p1lC46lSKqP9sScZPg/BzjCxKs974qK3KnQVKGp66ilz2JIHga06M/WmArOk23BhfdvWbdNEKWUj9/Qmn0GY85ZlI5sM6Hsv13ulnGO4vXUec+SU3mkv+/gsGhZ+Xll9lFbNglv0iQGgKBzLJzwRNmfcKVDIkdXwOE/drw==
X-YMail-OSG: ZKNxdrkVM1letGQzgj3VsOsCDoWtNfZ0Dfn3QTiO.acxQb8_UiwIvyjC9rHi5mb
 ItlzlJl0j0cX3KPoqrE.lCc.gJ_.VNUT1FxK5FGBKo_27_7p6Zm0tLC1bTFiBqH15TXgSj1jgAgQ
 ZZuT9zM4MdB5gfYHAZJqGbdgKESXj50SsBK4tlqIVKO.7flQx4viAIUf1z338YdsjVdc2PDTAQt0
 pdMYNDGIrNtcPgsFaGisrJfKUgJ.LwQd_bKpFqYmU8PtkGPpP0vyhYiRofLcMiD6JRbTV_ju7YH6
 awIf4xsmqouTFulq.gcGok9PGIiYVMEG9s9VnwqGiORuha30cE2v3pCgEfg.ajrDP8UuDxaR72PA
 2zfyf5XqL.UUUCDE1j6x9wNjq2DkW5josTF6yxCswSTfsMmKA43yLw.pHXgBCec6E.wwNL5saYr5
 i.YD4KiAwA3igZlEHxNQB.PvlprXFj7Yib6a9APQs.VDImvzDnQg9td5GqThIX1kh5kPt6KTBi6x
 g7RgrcdeOHAkrM19r2DQxv9MpmcgGhPwIZmZSjIMqVhnab4zo6zZfR3uosKBaMjszdwbOEXjgEeL
 X.RgWt2EfTFbZsLKyMRwU4BGu2y6n2rD_VZKsiPQZ4SxuS1oQwlY6SESPuUU0b7s5v7d_T1pO0LO
 roJ2Us3aY99YlwwHjIQtSJKBjROgUN6j2.PWlOmzvNtXvQM21L7qkXSEL15FNR9Se0n6F8qRsmCM
 qI3MMTo3VZOeCLaRRYumZVvcktR1ZpbP.52rKR55ghkjRoLljEh9nmDm36Wd.hh1XnMGnoN0.Up5
 Hj2uHSXTE9XJxwwlhWaWnMd7t0ONZXlWTysmSg2KgHXcSbmftv_r2CN_Uq3b7vYBb0agJPSn5Pu3
 efPjCUO0tV6e4LEuUJTVegDQo6T2Ut_yYk8CRjaso_FlTeBPO5.yfzcKiZahSirmj9XiwEvXu.nR
 Ti2TC.8WGABNaPvD9AzaNX7ZSPX60wGxGi5oP4AxG2kkfKLnUbyix6Kd0Bx.FYkKR9QyIfDZQ6oZ
 R8LB5GkvbMUWvgwS0tTicjCPYDIyIydtdUXfmTpex8jef0fnHiY2GNjPBHbIZ.uDAxcbk0yC158c
 wNqOdDBLH60jcuYkb9VJKFK8uawK_E7FcVHXZTY7yRdjXn00Lr1SM1vemt1n_JrPV1NAXvkRI9qh
 ppjinmBPBsDnrxMymd9umQKx42LHzkKwHBVSeWrJHYYCK_7qY2R_Uq_PQ5wQpq3jKnY4z9RsfKZ2
 IeyR1GpQaJfElxOiUafn8_xqo5wd1Vck6sWf4yPwbgYs_gJDOoISgMxRvDuRQlscMMjCnVKJWcZK
 8kexdHWstSyNx
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ir2.yahoo.com with HTTP; Thu, 17 Oct 2019 12:38:20 +0000
Received: by smtp424.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 97be93707a0b5a763cfc9dee2a4124d0; 
 Thu, 17 Oct 2019 12:38:17 +0000 (UTC)
Date: Thu, 17 Oct 2019 14:38:02 +0200
From: Ergus <spacibba@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
Message-ID: <20191017123802.5nd7wqb3yd3dxvau@Ergus>
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN> <87lftjbo3p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87lftjbo3p.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Oct 17, 2019 at 01:36:26PM +0200, Michael Albinus wrote:
>Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Do we have something in defface that we can "recommend" to conditionally
>>> specify this attribute when version >= 27 only (maybe a syntax sugar)?
>>
>> (if (>= emacs-major-version 27)
>>     (defface foo...) ; for Emacs 27 and later
>>   (defface foo...)   ; for Emacs 26 and older
>
>I believe it is more complex. There might be situations foo shall not
>extend to EOL, and other situations it should.
>
>The latter case is when foo is used in a "rectangular" context as
>explained. You need to introduce a second face foo-extend, and you must
>replace all uses of foo by foo-extend where needed.
>
>Best regards, Michael.

Sorry, what do you mean by "rectangular" context?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 11:36:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 07:36:46 2019
Received: from localhost ([127.0.0.1]:47257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL45F-0001d1-TX
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 07:36:46 -0400
Received: from mout.gmx.net ([212.227.17.21]:34349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iL45C-0001cn-T5
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 07:36:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1571312189;
 bh=vbAqSovZ/4DT2yYg7hEXLxAud86w+SOrnCmExU7gm0o=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NKl2Rnzl4Rgbwg23ZM8N5+oQMyPwUV1WvGnVEtfsRtkqIURtnRLDm+Rw97W1bB9ij
 uJ7BW2RcuKBq4pJDESASf9mF20aj22FTosVkBoaSt08opoIEJiE7It6k1yfOrkudbD
 yjlalI8DyioCdZpXDGYdMN1ATysW16gh/kcjiWsY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.42.71]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N4hvb-1hwhMR41nb-011k1v; Thu, 17
 Oct 2019 13:36:29 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <831rvcgbn2.fsf@HIDDEN> <20191016131813.62i6xuwguc7nxyrn@Ergus>
 <83a7a0egtf.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 13:36:26 +0200
In-Reply-To: <83a7a0egtf.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 16 Oct
 2019 20:33:16 +0300")
Message-ID: <87lftjbo3p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YBTagdCPzBDW/9YKUk1FYgsVk5HeDQhTWgJ8ws0JEAQF3ZL5535
 mUBFae5t0UJIDK2oGZi2BEMixGL7veRFh3d4iV6yVrsv5FgXey0FkqIBVsnMagIlBVi/4pT
 cXfO9HRqoyqRCZCfyrFhC4MRXueo0R6ogwPUmg018agN6OxyoM++sgAe2yPhXUbmj2DAvIO
 /g0hDfkYswN+kOS8ad0GA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RtbJhK3QwUY=:DbcehDPgD/1WG6RyUPe8+S
 KGNpANNC64iY0gvUtSPiMhm+O+pVnbddijEh7v3IdVKrqpP2uWq95k0LrMntInbxpA4UqOZom
 cSRti+L5Ni7Sh38iUX0coRTvcgZQi5N3wjHM2SrHZ7MXB6jXaGla0NDM0zJ2G5TIx3aLtx7X8
 naZ7kcB9SS0yUFJvb1nJYJRsVzD5Lr5vYoJiTmCZoBPKd68IAjvfOJZEIfrbUjBY73aMGc8f0
 SVUxbZ2WZkCoetDB2Zl8hwqhdl8mNEUnf/TKEdPJiHRIDQJz+ET3T4AifNXZcpig6bvZ1ufmV
 y3Xy7EQYXNABbQuGpO4AA8kJAZ269p4dF1fz5uWAzyksDCnLap7oL4tEo8n/qUTc6Ycicp5Ul
 q6HUFAfH3VRqpQ9OP+uc8HnTuuegGDYiwI2fQeoFMakq6ktRLGlCbADpY8n2dx0J6UB+sAIqu
 wHWbATFHRD4aioD2pn1U8cSxLsFM4Bj2KvlVk1g2n+GWRL/iB6Fav3DnMkO/oE+Ja2X2I+nPD
 t8td2sdoyA4r8hKQkn6jufwHzFEaG/S/r5m7HTX0OnsBmrWeeW8UqGWqGk5AhEObuPE5V9Pqo
 PbLaepWhKaBp9AenexHFvFYExopH7Pyz+d+AMJdDa34qpn7UaSXBTJHwcp2spTcLhxAaIu5ol
 6N2klyNkVdSo1w7SK4Btzg3YgiTG3MjZBfrO0QUITdgNuqg2+4lfjZq8vxEiF/2l/+9+fvzSp
 wRifBoSdcIsVGIPRxoEcwCIbr3QNVFGeQ/vzs12DEBy+npbvSIbFv/ArDJpnw8rcYI576js3Z
 +na0aD/br1stW7NT44wgrvKM/rTVzF51Pl5ZVuMxfJzlgK5sDMjR8QR2P8Ug+B5192K+B4O0h
 mwXMAhZTjp4aa8hIEi/wMd4zR0N0TWMTgJPuHCkHneoblfPke0nYJIt0yV60uuEzq9QCJYOak
 4kR7PxYE+qOZyI2fdhbkQ9fRTYT0PDi3iPiq0EWpfmznZ1HBRenWNTQzR1SNKQjOqR4c0wsFn
 xxPslDaTLYGcrQjhTpEle8NP3u7swvijKYv5Iq5MZbjwGJQMUWwnibSqUyz+5PBioLSQZg3rz
 0jCpG2ybZ7YDUzoUscUj+SH3OJ8pzwtTaje12BBsJJnfSNIYGDpMg1C6wHxkCMJ/8ivx+OUwS
 48u+UENgTvZsMJFahkpjKWbyVeoH3OOLsB4GlJpB2STYwd/uAK5FjfufDLjNcbtrDODnZYxX9
 /qQRAOI2keu2fdT9HPAgXB5cgYw5ljdfwwdZkRrGHj1jkdesrz3+URdjVdXA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37774
Cc: andreyorst@HIDDEN, Ergus <spacibba@HIDDEN>, 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Do we have something in defface that we can "recommend" to conditionally
>> specify this attribute when version >= 27 only (maybe a syntax sugar)?
>
> (if (>= emacs-major-version 27)
>     (defface foo...) ; for Emacs 27 and later
>   (defface foo...)   ; for Emacs 26 and older

I believe it is more complex. There might be situations foo shall not
extend to EOL, and other situations it should.

The latter case is when foo is used in a "rectangular" context as
explained. You need to introduce a second face foo-extend, and you must
replace all uses of foo by foo-extend where needed.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 09:21:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 05:21:18 2019
Received: from localhost ([127.0.0.1]:47141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL1y9-0004OO-Sv
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 05:21:17 -0400
Received: from mail-yb1-f170.google.com ([209.85.219.170]:42575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iL1y5-0004OB-WC
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 05:21:14 -0400
Received: by mail-yb1-f170.google.com with SMTP id 4so469968ybq.9
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 02:21:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=VcaC+bTy1m7A3aGepzdXASf20OY930t2n4Ye+zT4J00=;
 b=qYlipbBTHJcuWGQhTHS+2aL5fGReKZUQXKZmdF3OlNJ2tdohAXix4DEDyh9syH38iC
 rnoTQazN3Ue4J6zl5/icAj9SwzAy5ImV72fLt82lQ0K+LGUQxjlwBo91cpHV0+/OWNyo
 nosb0zWHDn/JtoqvcZ64dgZjJ88SKRCbjIuHToAb78ZzGufMCfxfI3mkotWsUCiJOBzp
 mnfnT0nmqwOQxKNZNibu5IMDsTpHUoVnkssGkpCCX3RbFkrKOHIagEsszlkHesG3/Knw
 koI+IoEDAHOQNyZVmXP1C90K7cNhkJXmpfm5bLmf93Nv4gjafzqAZ5fCIW4J5xUAuLGg
 0d+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VcaC+bTy1m7A3aGepzdXASf20OY930t2n4Ye+zT4J00=;
 b=I0FVWBIueluycPOLKIdjmiMW9kf07G+rZCmGCBaBPUxCdOJ5asTXpGZLWRSs5tglMu
 7CPFFSx3AkSIZtt2dTsY1RVs4ykVZnUaZ01wVxqGfZBOYrtlMlC0k/oTyKQM6RlwmZCX
 vCkyTQUEqxycgdV4jJUf0xBvDYwiWvCO363t6AKrIUlJQdq6mKsJGp0GkFrLFf6y2OdG
 BV6WTGJQoXwL6A19/+VnsOPcmHNA9QKbRAzqpnuP26h+d7OV14ltBLa6POYOlEQ7CnTz
 T4TIdEZpUqZb9u4bFArpj/km/1n4b4Hg3stuRAozwDtF1+t4fN4mk2H1BNYBeslvewwu
 zPOw==
X-Gm-Message-State: APjAAAWoN4dTGslm/z7thiZNjtgyg4e668qF4UddGxeXtvX09qnRTXek
 as++RM/Hr/jeclrmqL/9LCAZ9pn1/XA6tn1gfOyqi2R2FXI=
X-Google-Smtp-Source: APXvYqwI/br9QzlLNeweAAb4EWSWdnenmlOL3sUbX6+DDI5Qc8jGgElHt2LHMctZL6781embO7WWyFKAtjEt7SfDkDs=
X-Received: by 2002:a25:a423:: with SMTP id f32mr1362400ybi.30.1571304066995; 
 Thu, 17 Oct 2019 02:21:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 <83r23bbvdj.fsf@HIDDEN>
In-Reply-To: <83r23bbvdj.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Thu, 17 Oct 2019 12:20:36 +0300
Message-ID: <CAAKhXobm8B+DT=L0-KreGRD3THkt0pvabX46RVctCRkT-EGwFQ@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/related; boundary="000000000000bf9fb4059517bc0d"
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--000000000000bf9fb4059517bc0d
Content-Type: multipart/alternative; boundary="000000000000bf9fb3059517bc0c"

--000000000000bf9fb3059517bc0c
Content-Type: text/plain; charset="UTF-8"

> I don't think I understand your point.  All the packages you mentioned
> display text.

Everything in Emacs is text, let's not pretend that every buffer is
used for editing, because it's not.

Magit is an interface to Git. It displays visual information about
repository. It displays hunks. Hunks are text, but in Magit we're
supposed to interact with hunks as with interface items. We can fold
those and unfold hunks. We can stage and stash hunks. We can open hunk
in Ediff. I wonder what would you say if in some GUI app interface
suddenly becomes as long as the text in it and goes from block shape
to teared down cardboard shape.

Though here's an example why old behavior is better, and it's based on
other apps, since I see that you value this argument, by referring to
external word processors. Emacs has a built in merge tool: Ediff, and
it is also used for diffing buffers side by side, and it's way more
natural to see extended highlighting, as it is done in other merge
tools outside Emacs.

Meld:
[image: image.png]

Emacs:
[image: image.png]

> I still don't see why "broke visuals" is what it did.  I happen to
> think that the new appearance is not worse, and sometimes better than
> the old one.

Perhaps you're the only one who do not see it. The key words here are
/some times/, and trust me, I see it as /rare times/ and not as /most
of the times/.

> And this feature was discussed at length before implementing, so it
> isn't like it came out of the blue.

I'm a Emacs user, and I'm not associated with development by any
means. I just updated my Emacs, as I do every day, and spotted the
change that seem to look like a bug. I asked on the web, and was
suggested to post a bug report about it.

> How about if you try using this feature for a week or so, and see if
> you become accustomed to it nonetheless?

I was already using this feature for a while and see how wrong it is
for my workflow of using Ediff and Magit alone. There's also Org mode
that was themed in a way that I can see different sections separated
by beyond EOL highlighting and source blocks were blocks.

--
Best regards,
Andrey Orst

--000000000000bf9fb3059517bc0c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">&gt; I don&#39;t think I understand your point.=C2=A0 All =
the packages you mentioned<br>&gt; display text.<br><br>Everything in Emacs=
 is text, let&#39;s not pretend that every buffer is<br>used for editing, b=
ecause it&#39;s not.<br><br>Magit is an interface to Git. It displays visua=
l information about<br>repository. It displays hunks. Hunks are text, but i=
n Magit we&#39;re<br>supposed to interact with hunks as with interface item=
s. We can fold<br>those and unfold hunks. We can stage and stash hunks. We =
can open hunk<br>in Ediff. I wonder what would you say if in some GUI app i=
nterface<br>suddenly becomes as long as the text in it and goes from block =
shape<br>to teared down cardboard shape.<br><br>Though here&#39;s an exampl=
e why old behavior is better, and it&#39;s based on<br>other apps, since I =
see that you value this argument, by referring to<br>external word processo=
rs. Emacs has a built in merge tool: Ediff, and<br>it is also used for diff=
ing buffers side by side, and it&#39;s way more<br>natural to see extended =
highlighting, as it is done in other merge<br>tools outside Emacs.<br><br>M=
eld:<br><div><img src=3D"cid:ii_k1uhtb630" alt=3D"image.png" width=3D"542" =
height=3D"304"><br></div><br>Emacs:<br><div><img src=3D"cid:ii_k1uhtomh1" a=
lt=3D"image.png" width=3D"542" height=3D"294"><br></div><div><br></div>&gt;=
 I still don&#39;t see why &quot;broke visuals&quot; is what it did.=C2=A0 =
I happen to<br>&gt; think that the new appearance is not worse, and sometim=
es better than<br>&gt; the old one.<br><br>Perhaps you&#39;re the only one =
who do not see it. The key words here are<br>/some times/, and trust me, I =
see it as /rare times/ and not as /most<br>of the times/.<br><br>&gt; And t=
his feature was discussed at length before implementing, so it<br>&gt; isn&=
#39;t like it came out of the blue.<br><br>I&#39;m a Emacs user, and I&#39;=
m not associated with development by any<br>means. I just updated my Emacs,=
 as I do every day, and spotted the<br>change that seem to look like a bug.=
 I asked on the web, and was<br>suggested to post a bug report about it.<br=
><br>&gt; How about if you try using this feature for a week or so, and see=
 if<br>&gt; you become accustomed to it nonetheless?<br><br>I was already u=
sing this feature for a while and see how wrong it is<br>for my workflow of=
 using Ediff and Magit alone. There&#39;s also Org mode<br>that was themed =
in a way that I can see different sections separated<br>by beyond EOL highl=
ighting and source blocks were blocks.<br><br>--<br>Best regards,<br>Andrey=
 Orst</div>

--000000000000bf9fb3059517bc0c--

--000000000000bf9fb4059517bc0d
Content-Type: image/png; name="image.png"
Content-Disposition: inline; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <ii_k1uhtb630>
X-Attachment-Id: ii_k1uhtb630
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=
--000000000000bf9fb4059517bc0d
Content-Type: image/png; name="image.png"
Content-Disposition: inline; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <ii_k1uhtomh1>
X-Attachment-Id: ii_k1uhtomh1
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--000000000000bf9fb4059517bc0d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 08:59:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 04:59:44 2019
Received: from localhost ([127.0.0.1]:47125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL1dH-0003oG-SF
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:59:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iL1dG-0003o4-MS
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:59:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33080)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iL1dB-00040a-Fw; Thu, 17 Oct 2019 04:59:37 -0400
Received: from [176.228.60.248] (port=4463 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iL1dA-0007wG-Rj; Thu, 17 Oct 2019 04:59:37 -0400
Date: Thu, 17 Oct 2019 11:59:20 +0300
Message-Id: <83r23bbvdj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
In-reply-to: <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
 (message from Andrey Orst on Thu, 17 Oct 2019 11:52:46 +0300)
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
 <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrey Orst <andreyorst@HIDDEN>
> Date: Thu, 17 Oct 2019 11:52:46 +0300
> Cc: 37774 <at> debbugs.gnu.org
> 
> > Word processors.
> 
> Emacs is so much more than a word processor.
> 
> The thing is, that all your thoughts are seem correct if
> we're speaking about text. Though,in Emacs there are many
> packages that are used not for text editing, but for
> interactions with different tools, and such change breaks
> well established user interface. Examples were already
> provided: Helm, Magit, Ediff

I don't think I understand your point.  All the packages you mentioned
display text.

> I do agree that this change is aimed to provide native way
> of extending highlighting beyond EOL without relying on
> hacks. And I think it's a good intention.I just disagree
> with how it was forced in a way that it broke visuals of
> many external packages that provide UI elements via
> highlighting.

I still don't see why "broke visuals" is what it did.  I happen to
think that the new appearance is not worse, and sometimes better than
the old one.

And this feature was discussed at length before implementing, so it
isn't like it came out of the blue.

How about if you try using this feature for a week or so, and see if
you become accustomed to it nonetheless?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37774; Package emacs. Full text available.

Message received at 37774 <at> debbugs.gnu.org:


Received: (at 37774) by debbugs.gnu.org; 17 Oct 2019 08:53:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 04:53:24 2019
Received: from localhost ([127.0.0.1]:47121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL1XA-0003fX-2G
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:53:24 -0400
Received: from mail-yw1-f44.google.com ([209.85.161.44]:43388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1iL1X8-0003fK-9K
 for 37774 <at> debbugs.gnu.org; Thu, 17 Oct 2019 04:53:22 -0400
Received: by mail-yw1-f44.google.com with SMTP id q7so589149ywe.10
 for <37774 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 01:53:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Rce31kku1LquJqWQZWfodqguGNYdwOfxAhWg+GqH4vc=;
 b=iC2f7aXnGJVet06I91EjEs1fvOWKpKlkMPPfsRbYoCyG+tUj899tSGCoe6goKtkbgB
 RQBO9tdpAwg2swU6Xzqye1bz2YEih37hEG7FS2fUFM1lxXZipk8Ba751aFd3TeiAk0Tw
 tYqsQgQykE/n+dwU+NTpvj7yTqnNZvzu0yOuC9Xnbkhe3VqhdreHV75MdtGdwvzoCfwI
 A8e/Y6cZcPk1vMv87fqyii6/mCM/eo+/iumKzvjSRc5aD9ujANlnJtVIRg0w3kJElYMw
 TplCznEWXRKBBPOscCFmd6fXiRIU2TWZou23nStYZWwMkArrN8060nB6XEByHvE7Ci9D
 nV7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Rce31kku1LquJqWQZWfodqguGNYdwOfxAhWg+GqH4vc=;
 b=SsvPh6P+bvGOis77gxEDTitDbJ4Ew8gPfGE4QxEVfAg4lnbyNXx8KdRwynON29Qppj
 H4dUA0K/htBD3QN99IbbwwzUmGwxtsotJOZzvJ8lLDBYu+kPt4riCqsAKqrVT2WfYVXl
 PoE+xJ1+3J1JiDrOYzzfvmyVRjp3UVEmdOZ2n42h5vqYV/Hte/gjC+dqhED5GPsA3iUH
 7cGJCemwZPESTtsIe7ufOWg5SBbI2+I4BrF8Fy+ahbLeTaH2fJHLMSHJYTNMcANMQbQH
 MZFMDF1FmB1u6/2B3136q9QaBDifRuGUD4M7cAv+u99nAihwCAbcYzhXCwY5khVSsudH
 m21A==
X-Gm-Message-State: APjAAAX78F9e9onMbxHt1Llj44E0aH1CuiSUpkMtotakNzYwyxhZfhjn
 Q9OIUVpYGQMkGXzejs/8EmK6hWpPw9N4rF0ZyOU=
X-Google-Smtp-Source: APXvYqxZJ7JUiVC9C8q7SMwT7G5xAF2GYELsAEJO6sB2VYBHFGLi/m+6WSwwvZhFByV3ogDftV7S3eFi2FbasSvTTBU=
X-Received: by 2002:a81:485:: with SMTP id 127mr1885044ywe.1.1571302396464;
 Thu, 17 Oct 2019 01:53:16 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXoYfeTwvkxrx9zTGtceqS9hV364fb7ePL+DoLdGHHcxAaQ@HIDDEN>
 <83bluhf7nz.fsf@HIDDEN> <20191016111004.oialbyleokafpccz@Ergus>
 <87k194fvn7.fsf@HIDDEN>
 <CAAKhXob747J_+WZk6fLt7OLWRM_bu5PdPaMR_APE-2waVi_oPQ@HIDDEN>
 <871rvceeqp.fsf@HIDDEN> <83tv88cyic.fsf@HIDDEN>
 <83pniwcvon.fsf@HIDDEN>
 <87pniw30td.fsf@HIDDEN> <83k193dhdr.fsf@HIDDEN>
In-Reply-To: <83k193dhdr.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Thu, 17 Oct 2019 11:52:46 +0300
Message-ID: <CAAKhXob18NX59giJd2CyR2ckYpdBK61uOsmqcRQ7Pf=_NsCcDw@HIDDEN>
Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all
 themes and other packages
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002d122005951759dd"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37774
Cc: 37774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002d122005951759dd
Content-Type: text/plain; charset="UTF-8"

> Word processors.

Emacs is so much more than a word processor.

The thing is, that all your thoughts are seem correct if
we're speaking about text. Though,in Emacs there are many
packages that are used not for text editing, but for
interactions with different tools, and such change breaks
well established user interface. Examples were already
provided: Helm, Magit, Ediff, and there are also a lot of
user themes which provide more modern look to Emacs by using
this feature, which then affects packages that these themes
try to configure, e.g. doom-themes can configure Treemacs
package to look more like a true UI element rather than
buffer with text, that supposed to be interacted because it
just have some icons.

I do agree that this change is aimed to provide native way
of extending highlighting beyond EOL without relying on
hacks. And I think it's a good intention.I just disagree
with how it was forced in a way that it broke visuals of
many external packages that provide UI elements via
highlighting.

--
Best regards,
Andrey Orst

--0000000000002d122005951759dd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">&gt; Word processors.<br><br><div><div>Emacs is so much mo=
re than a word processor.<br><br>The thing is, that all your thoughts are s=
eem correct if<br>we&#39;re speaking about text. Though,in Emacs there are =
many<br>packages that are used not for text editing, but for<br>interaction=
s with different tools, and such change breaks<br>well established user int=
erface. Examples were already<br>provided: Helm, Magit, Ediff, and there ar=
e also a lot of<br>user themes which provide more modern look to Emacs by u=
sing<br>this feature, which then affects packages that these themes<br>try =
to configure, e.g. doom-themes can configure Treemacs<br>package to look mo=
re like a true UI element rather than<br>buffer with text, that supposed to=
 be interacted because it<br>jus